<?php

namespace App\Events;

use Illuminate\Queue\SerializesModels;

/**
 * 相互心动事件
 * Class EachLike
 * @package App\Events
 */
class EachLike
{
    use SerializesModels;

    public $uid;
    public $isLikeUid;

    /**
     * Create a new event instance.
     *
     * @param  int  $uid
     * @param  int  $isLikeUid
     */
    public function __construct(int $uid, int $isLikeUid)
    {
        $this->uid = $uid;
        $this->isLikeUid = $isLikeUid;
    }
}
