<?php

namespace App\Events;

use Illuminate\Queue\SerializesModels;
use Illuminate\Foundation\Events\Dispatchable;
use Illuminate\Broadcasting\InteractsWithSockets;

/**
 * 隐藏卡片事件
 * @package App\Events
 */
class HidePartner
{
    use Dispatchable;
    use InteractsWithSockets;
    use SerializesModels;

    public $partner_id;

    /**
     * Create a new event instance.
     *
     * @param  int  $partner_id
     */
    public function __construct(int $partner_id)
    {
        $this->partner_id = $partner_id;
    }
}
