<?php

namespace App\Events;

use Illuminate\Foundation\Events\Dispatchable;
use Illuminate\Queue\SerializesModels;

class PairTwoSideAgree
{
    use Dispatchable;
    use SerializesModels;

    /** @var int 用户 */
    public $uid;
    /** @var int 匹配用户 */
    public $pairUid;

    /**
     * Create a new event instance.
     *
     * @param  int  $uid
     * @param  int  $pairUid
     */
    public function __construct(int $uid, int $pairUid)
    {
        $this->uid = $uid;
        $this->pairUid = $pairUid;
    }
}
