<?php

namespace App\Events;

use App\Models\PartnerModel;
use Illuminate\Support\Facades\Config;

/**
 * 卡片等级改变事件
 * Class PartnerFeedPoolChange
 * @package App\Events
 */
class PartnerFeedPoolChange
{
    public $model;
    public $stackGlobalConfig;

    /**
     * Create a new event instance.
     *
     * @param  PartnerModel  $model
     */
    public function __construct(PartnerModel $model)
    {
        $this->model = $model;
        $this->stackGlobalConfig = Config::all();
    }
}
