<?php

namespace App\Generated\Exceptions;

class ErrorCode
{
    public const SERVER_INTERNAL_ERROR = -1;

    public const INVALID_PARAMETER = -2;

    public const API_DEPRECATED = -10;

    public const API_NOT_FOUND = -11;

    public const MAINTAIN_MODE = -20;

    public const AUTH_FAILED = -100;

    public const CUSTOM_ERROR_MESSAGE = -10000;

    public const UNAUTHORIZED = 401;

    public const FORBIDDEN = 403;

    public const NOT_FOUND = 404;

    public const METHOD_NOT_ALLOWED = 405;

    public const CONFLICT = 409;

    public const GONE = 410;

    public const UNPROCESSABLE_ENTITY = 422;

    public const TOO_MANY_REQUESTS = 429;

    public const DAILY_FEED_LIMIT = 202;

    public const AUTH_EXPIRED = 301;

    public const SYSTEM_ERROR = 505;

}
