<?php

namespace App\Generated\V1_1\Enums;

use Kamicloud\StubApi\BOs\Enum;

class IMMessageType extends Enum
{
    public const TIMTextElem = 'TIMTextElem';

    public const TIMLocationElem = 'TIMLocationElem';

    public const TIMFaceElem = 'TIMFaceElem';

    public const TIMCustomElem = 'TIMCustomElem';

    public const TIMSoundElem = 'TIMSoundElem';

    public const TIMImageElem = 'TIMImageElem';

    public const TIMFileElem = 'TIMFileElem';

    public const TIMVideoFileElem = 'TIMVideoFileElem';

    public const _MAP = [
        self::TIMTextElem => 'TIMTextElem',
        self::TIMLocationElem => 'TIMLocationElem',
        self::TIMFaceElem => 'TIMFaceElem',
        self::TIMCustomElem => 'TIMCustomElem',
        self::TIMSoundElem => 'TIMSoundElem',
        self::TIMImageElem => 'TIMImageElem',
        self::TIMFileElem => 'TIMFileElem',
        self::TIMVideoFileElem => 'TIMVideoFileElem',
    ];

}
