<?php

namespace App\Jobs\GrowingIO;

use Illuminate\Bus\Queueable;
use Illuminate\Queue\SerializesModels;
use Illuminate\Queue\InteractsWithQueue;
use Illuminate\Contracts\Queue\ShouldQueue;
use Illuminate\Foundation\Bus\Dispatchable;

class TestingReportJob extends BaseReportJob implements ShouldQueue
{
    use Dispatchable;
    use InteractsWithQueue;
    use Queueable;
    use SerializesModels;

    protected $uid;

    public function __construct($uid)
    {
        $this->uid = $uid;
    }

    public function doHandle()
    {
        $this->doReport(self::TESTING, $this->uid, [
            'xxx' => 'xxx'
        ]);
    }
}
