<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Model;

/**
 * App\Models\ArticleLookModel
 *
 * @property int $id
 * @property int $uid
 * @property int $looked_at
 * @property \Illuminate\Support\Carbon $created_at
 * @property \Illuminate\Support\Carbon $updated_at
 * @method static \Illuminate\Database\Eloquent\Builder|\App\Models\ArticleLookModel newModelQuery()
 * @method static \Illuminate\Database\Eloquent\Builder|\App\Models\ArticleLookModel newQuery()
 * @method static \Illuminate\Database\Eloquent\Builder|\App\Models\ArticleLookModel query()
 * @method static \Illuminate\Database\Eloquent\Builder|\App\Models\ArticleLookModel whereCreatedAt($value)
 * @method static \Illuminate\Database\Eloquent\Builder|\App\Models\ArticleLookModel whereId($value)
 * @method static \Illuminate\Database\Eloquent\Builder|\App\Models\ArticleLookModel whereLookedAt($value)
 * @method static \Illuminate\Database\Eloquent\Builder|\App\Models\ArticleLookModel whereUid($value)
 * @method static \Illuminate\Database\Eloquent\Builder|\App\Models\ArticleLookModel whereUpdatedAt($value)
 * @mixin \Eloquent
 */
class ArticleLookModel extends Model
{
    //
    protected $table = 'kdgx_fpdx_article_looks';

    protected $dateFormat = 'U';

    protected $fillable = ['uid', 'looked_at'];
}
