<?php

namespace App\Models\Common;

use Illuminate\Database\Eloquent\Model;

/**
 * App\Models\Common\NoticeTemplateModel
 *
 * @property int $id
 * @property \Illuminate\Support\Carbon $created_at 创建时间
 * @property \Illuminate\Support\Carbon $updated_at 更新时间
 * @property int $uid 用户
 * @property string $key 通知类型
 * @property string $group 分组
 * @property int $isopen 是否打开0关闭|1打开
 * @method static \Illuminate\Database\Eloquent\Builder|\App\Models\Common\NoticeTemplateModel newModelQuery()
 * @method static \Illuminate\Database\Eloquent\Builder|\App\Models\Common\NoticeTemplateModel newQuery()
 * @method static \Illuminate\Database\Eloquent\Builder|\App\Models\Common\NoticeTemplateModel query()
 * @method static \Illuminate\Database\Eloquent\Builder|\App\Models\Common\NoticeTemplateModel whereCreatedAt($value)
 * @method static \Illuminate\Database\Eloquent\Builder|\App\Models\Common\NoticeTemplateModel whereGroup($value)
 * @method static \Illuminate\Database\Eloquent\Builder|\App\Models\Common\NoticeTemplateModel whereId($value)
 * @method static \Illuminate\Database\Eloquent\Builder|\App\Models\Common\NoticeTemplateModel whereIsopen($value)
 * @method static \Illuminate\Database\Eloquent\Builder|\App\Models\Common\NoticeTemplateModel whereKey($value)
 * @method static \Illuminate\Database\Eloquent\Builder|\App\Models\Common\NoticeTemplateModel whereUid($value)
 * @method static \Illuminate\Database\Eloquent\Builder|\App\Models\Common\NoticeTemplateModel whereUpdatedAt($value)
 * @mixin \Eloquent
 */
class NoticeTemplateModel extends Model
{
    //
    protected $table = 'kdgx_miniprogram_notice_manage';

    public $dateFormat = 'U';

    protected $fillable = ['key', 'uid', 'group', 'isopen'];
}
