<?php

namespace App\Models;

/**
 * 卖室友(官方版)表白记录
 * Class ConfessModel
 *
 * @package App\Models
 * @deprecated
 * @property int $id 主键
 * @property int $uid 用户id
 * @property string $media_id 公众号
 * @property int $create_at 操作时间
 * @property int $partner_id 卡片id
 * @property string|null $nickname 昵称
 * @property string $content 表白内容
 * @property int $send_self 是否发送自己
 * @property int $send_msg 是否发送短信
 * @property int $receive_msg 接收结果短信
 * @property int $state 是否生效1生效;0无效
 * @property int|null $receive_state 回复结果0未处理;1同意;-1拒绝
 * @method static \Illuminate\Database\Eloquent\Builder|\App\Models\ConfessModel newModelQuery()
 * @method static \Illuminate\Database\Eloquent\Builder|\App\Models\ConfessModel newQuery()
 * @method static \Illuminate\Database\Eloquent\Builder|\App\Models\ConfessModel query()
 * @method static \Illuminate\Database\Eloquent\Builder|\App\Models\ConfessModel whereContent($value)
 * @method static \Illuminate\Database\Eloquent\Builder|\App\Models\ConfessModel whereCreateAt($value)
 * @method static \Illuminate\Database\Eloquent\Builder|\App\Models\ConfessModel whereId($value)
 * @method static \Illuminate\Database\Eloquent\Builder|\App\Models\ConfessModel whereMediaId($value)
 * @method static \Illuminate\Database\Eloquent\Builder|\App\Models\ConfessModel whereNickname($value)
 * @method static \Illuminate\Database\Eloquent\Builder|\App\Models\ConfessModel wherePartnerId($value)
 * @method static \Illuminate\Database\Eloquent\Builder|\App\Models\ConfessModel whereReceiveMsg($value)
 * @method static \Illuminate\Database\Eloquent\Builder|\App\Models\ConfessModel whereReceiveState($value)
 * @method static \Illuminate\Database\Eloquent\Builder|\App\Models\ConfessModel whereSendMsg($value)
 * @method static \Illuminate\Database\Eloquent\Builder|\App\Models\ConfessModel whereSendSelf($value)
 * @method static \Illuminate\Database\Eloquent\Builder|\App\Models\ConfessModel whereState($value)
 * @method static \Illuminate\Database\Eloquent\Builder|\App\Models\ConfessModel whereUid($value)
 * @mixin \Eloquent
 */
class ConfessModel extends Model
{
    protected $table = 'kdgx_partner_charge_confess';

    public $timestamps = false;

    public $fillable = [
        'uid',
        'media_id',
        'create_at',
        'partner_id',
        'nickname',
        'content',
        'send_self',
        'send_msg',
        'receive_msg',
        'state',
        'receive_state'
    ];
}
