<?php

namespace App\Models\CustomArticle;

use Illuminate\Database\Eloquent\Model;

class Article extends Model
{
    //
    protected $table = "kdgx_custom_articles";


    public $dateFormat = 'U';

    protected $fillable = [
        'title',
        'author',
        'owner',
        'public_id',
        'content',
        'tag',
        'url',
        'view',
        'thumb',
        'comment',
        'showed_at',
        'deleted_at',
    ];


    public function comments()
    {
        return $this->hasMany(Comment::class);
    }
}
