<?php

namespace App\Models\Daily;

use Illuminate\Database\Eloquent\Model;

/**
 * App\Models\Daily\SubscribeModel
 *
 * @property int $id
 * @property string $openid
 * @property string $public_id 公众号ID
 * @property int $subscribe 是否订阅
 * @property \Illuminate\Support\Carbon $created_at
 * @property \Illuminate\Support\Carbon $updated_at
 * @method static \Illuminate\Database\Eloquent\Builder|\App\Models\Daily\SubscribeModel newModelQuery()
 * @method static \Illuminate\Database\Eloquent\Builder|\App\Models\Daily\SubscribeModel newQuery()
 * @method static \Illuminate\Database\Eloquent\Builder|\App\Models\Daily\SubscribeModel query()
 * @method static \Illuminate\Database\Eloquent\Builder|\App\Models\Daily\SubscribeModel whereCreatedAt($value)
 * @method static \Illuminate\Database\Eloquent\Builder|\App\Models\Daily\SubscribeModel whereId($value)
 * @method static \Illuminate\Database\Eloquent\Builder|\App\Models\Daily\SubscribeModel whereOpenid($value)
 * @method static \Illuminate\Database\Eloquent\Builder|\App\Models\Daily\SubscribeModel wherePublicId($value)
 * @method static \Illuminate\Database\Eloquent\Builder|\App\Models\Daily\SubscribeModel whereSubscribe($value)
 * @method static \Illuminate\Database\Eloquent\Builder|\App\Models\Daily\SubscribeModel whereUpdatedAt($value)
 * @mixin \Eloquent
 */
class SubscribeModel extends Model
{
    //
    protected $table = 'daily_subscribe';

    public $dateFormat = 'U';

    protected $fillable = ['openid', 'public_id', 'subscribe'];
}
