<?php

namespace App\Models\Deed;

use App\Models\Model;

/**
 * App\Models\Deed\DeedCommentModel
 *
 * @property int $id
 * @property \Illuminate\Support\Carbon $created_at 创建时间
 * @property \Illuminate\Support\Carbon $updated_at 修改时间
 * @property string $number 契约编号
 * @property int $uid 用户
 * @property int $comment_uid 被评价用户
 * @property int $speed 契约签订速度
 * @property int $level 交友体验
 * @method static \Illuminate\Database\Eloquent\Builder|\App\Models\Deed\DeedCommentModel newModelQuery()
 * @method static \Illuminate\Database\Eloquent\Builder|\App\Models\Deed\DeedCommentModel newQuery()
 * @method static \Illuminate\Database\Eloquent\Builder|\App\Models\Deed\DeedCommentModel query()
 * @method static \Illuminate\Database\Eloquent\Builder|\App\Models\Deed\DeedCommentModel whereCommentUid($value)
 * @method static \Illuminate\Database\Eloquent\Builder|\App\Models\Deed\DeedCommentModel whereCreatedAt($value)
 * @method static \Illuminate\Database\Eloquent\Builder|\App\Models\Deed\DeedCommentModel whereId($value)
 * @method static \Illuminate\Database\Eloquent\Builder|\App\Models\Deed\DeedCommentModel whereLevel($value)
 * @method static \Illuminate\Database\Eloquent\Builder|\App\Models\Deed\DeedCommentModel whereNumber($value)
 * @method static \Illuminate\Database\Eloquent\Builder|\App\Models\Deed\DeedCommentModel whereSpeed($value)
 * @method static \Illuminate\Database\Eloquent\Builder|\App\Models\Deed\DeedCommentModel whereUid($value)
 * @method static \Illuminate\Database\Eloquent\Builder|\App\Models\Deed\DeedCommentModel whereUpdatedAt($value)
 * @mixin \Eloquent
 */
class DeedCommentModel extends Model
{
    protected $table = 'kdgx_fpdx_deed_comment';

    public $dateFormat = 'U';

    protected $fillable = ['number', 'uid', 'comment_uid', 'speed', 'level'];
}
