<?php

namespace App\Models\Deed;

use App\Models\Model;

/**
 * App\Models\Deed\NoticeReadModel
 *
 * @property int $id
 * @property int $uid
 * @property int $unread_cnt 未读次数
 * @property \Illuminate\Support\Carbon $created_at 创建时间
 * @property \Illuminate\Support\Carbon $updated_at 修改时间
 * @method static \Illuminate\Database\Eloquent\Builder|\App\Models\Deed\NoticeReadModel newModelQuery()
 * @method static \Illuminate\Database\Eloquent\Builder|\App\Models\Deed\NoticeReadModel newQuery()
 * @method static \Illuminate\Database\Eloquent\Builder|\App\Models\Deed\NoticeReadModel query()
 * @method static \Illuminate\Database\Eloquent\Builder|\App\Models\Deed\NoticeReadModel whereCreatedAt($value)
 * @method static \Illuminate\Database\Eloquent\Builder|\App\Models\Deed\NoticeReadModel whereId($value)
 * @method static \Illuminate\Database\Eloquent\Builder|\App\Models\Deed\NoticeReadModel whereUid($value)
 * @method static \Illuminate\Database\Eloquent\Builder|\App\Models\Deed\NoticeReadModel whereUnreadCnt($value)
 * @method static \Illuminate\Database\Eloquent\Builder|\App\Models\Deed\NoticeReadModel whereUpdatedAt($value)
 * @mixin \Eloquent
 */
class NoticeReadModel extends Model
{

    protected $table = 'kdgx_fpdx_deed_notice_read';

    public $dateFormat = 'U';

    protected $fillable = ['uid', 'unread_cnt'];
}
