<?php

namespace App\Models\Fpdx;

use App\Models\Model;

/**
 * App\Models\Fpdx\FormAnswerModel
 *
 * @property int $id
 * @property int $uid 用户ID
 * @property int $form_id 表单ID
 * @property int $question_id 问题ID
 * @property string $type 答案类型
 * @property string $answer 答案
 * @property \Illuminate\Support\Carbon $created_at 创建时间
 * @property \Illuminate\Support\Carbon $updated_at 修改时间
 * @method static \Illuminate\Database\Eloquent\Builder|\App\Models\Fpdx\FormAnswerModel newModelQuery()
 * @method static \Illuminate\Database\Eloquent\Builder|\App\Models\Fpdx\FormAnswerModel newQuery()
 * @method static \Illuminate\Database\Eloquent\Builder|\App\Models\Fpdx\FormAnswerModel query()
 * @method static \Illuminate\Database\Eloquent\Builder|\App\Models\Fpdx\FormAnswerModel whereAnswer($value)
 * @method static \Illuminate\Database\Eloquent\Builder|\App\Models\Fpdx\FormAnswerModel whereCreatedAt($value)
 * @method static \Illuminate\Database\Eloquent\Builder|\App\Models\Fpdx\FormAnswerModel whereFormId($value)
 * @method static \Illuminate\Database\Eloquent\Builder|\App\Models\Fpdx\FormAnswerModel whereId($value)
 * @method static \Illuminate\Database\Eloquent\Builder|\App\Models\Fpdx\FormAnswerModel whereQuestionId($value)
 * @method static \Illuminate\Database\Eloquent\Builder|\App\Models\Fpdx\FormAnswerModel whereType($value)
 * @method static \Illuminate\Database\Eloquent\Builder|\App\Models\Fpdx\FormAnswerModel whereUid($value)
 * @method static \Illuminate\Database\Eloquent\Builder|\App\Models\Fpdx\FormAnswerModel whereUpdatedAt($value)
 * @mixin \Eloquent
 */
class FormAnswerModel extends Model
{
    //
    protected $table = "fpdx_pair_form_answers";

    protected $dateFormat = 'U';

    public $fillable = ['uid', 'form_id', 'question_id', 'type', 'answer'];
}
