<?php

namespace App\Models\Fpdx;

use App\Models\Model;

/**
 * App\Models\Fpdx\FormModel
 *
 * @property int $id
 * @property int $stage_id 期数
 * @property string $activity_type 活动类型
 * @property string $title 标题
 * @property string|null $describe 描述
 * @property int $showed_at 显示时间
 * @property \Illuminate\Support\Carbon $created_at 创建时间
 * @property \Illuminate\Support\Carbon $updated_at 修改时间
 * @property int $deleted_at 删除时间
 * @method static \Illuminate\Database\Eloquent\Builder|\App\Models\Fpdx\FormModel newModelQuery()
 * @method static \Illuminate\Database\Eloquent\Builder|\App\Models\Fpdx\FormModel newQuery()
 * @method static \Illuminate\Database\Eloquent\Builder|\App\Models\Fpdx\FormModel query()
 * @method static \Illuminate\Database\Eloquent\Builder|\App\Models\Fpdx\FormModel whereActivityType($value)
 * @method static \Illuminate\Database\Eloquent\Builder|\App\Models\Fpdx\FormModel whereCreatedAt($value)
 * @method static \Illuminate\Database\Eloquent\Builder|\App\Models\Fpdx\FormModel whereDeletedAt($value)
 * @method static \Illuminate\Database\Eloquent\Builder|\App\Models\Fpdx\FormModel whereDescribe($value)
 * @method static \Illuminate\Database\Eloquent\Builder|\App\Models\Fpdx\FormModel whereId($value)
 * @method static \Illuminate\Database\Eloquent\Builder|\App\Models\Fpdx\FormModel whereShowedAt($value)
 * @method static \Illuminate\Database\Eloquent\Builder|\App\Models\Fpdx\FormModel whereStageId($value)
 * @method static \Illuminate\Database\Eloquent\Builder|\App\Models\Fpdx\FormModel whereTitle($value)
 * @method static \Illuminate\Database\Eloquent\Builder|\App\Models\Fpdx\FormModel whereUpdatedAt($value)
 * @mixin \Eloquent
 */
class FormModel extends Model
{
    //
    protected $table = "fpdx_pair_forms";

    protected $dateFormat = 'U';

    public $fillable = ['stage_id', 'activity_type', 'title', 'describe', 'showed_at', 'deleted_at'];
}
