<?php

namespace App\Models\Fpdx;

use Illuminate\Database\Eloquent\Model;

/**
 * App\Models\Fpdx\MediaLogModel
 *
 * @property int $id 主键
 * @property int $uid 用户id
 * @property int $create_at 操作时间
 * @property float $gold_flower 金fa情况
 * @property float $red_flower 红fa情况
 * @property int $partner_id 卡片id
 * @property string $from_media 来源media
 * @property string $pay_media 交易media
 * @method static \Illuminate\Database\Eloquent\Builder|\App\Models\Fpdx\MediaLogModel newModelQuery()
 * @method static \Illuminate\Database\Eloquent\Builder|\App\Models\Fpdx\MediaLogModel newQuery()
 * @method static \Illuminate\Database\Eloquent\Builder|\App\Models\Fpdx\MediaLogModel query()
 * @method static \Illuminate\Database\Eloquent\Builder|\App\Models\Fpdx\MediaLogModel whereCreateAt($value)
 * @method static \Illuminate\Database\Eloquent\Builder|\App\Models\Fpdx\MediaLogModel whereFromMedia($value)
 * @method static \Illuminate\Database\Eloquent\Builder|\App\Models\Fpdx\MediaLogModel whereGoldFlower($value)
 * @method static \Illuminate\Database\Eloquent\Builder|\App\Models\Fpdx\MediaLogModel whereId($value)
 * @method static \Illuminate\Database\Eloquent\Builder|\App\Models\Fpdx\MediaLogModel wherePartnerId($value)
 * @method static \Illuminate\Database\Eloquent\Builder|\App\Models\Fpdx\MediaLogModel wherePayMedia($value)
 * @method static \Illuminate\Database\Eloquent\Builder|\App\Models\Fpdx\MediaLogModel whereRedFlower($value)
 * @method static \Illuminate\Database\Eloquent\Builder|\App\Models\Fpdx\MediaLogModel whereUid($value)
 * @mixin \Eloquent
 */
class MediaLogModel extends Model
{
    protected $table = 'kdgx_partner_charge_logs';

    protected $fillable = ['uid', 'create_at', 'gold_flower', 'red_flower', 'partner_id', 'from_media', 'pay_media'];

    public $timestamps = false;
}
