<?php

namespace App\Models\Fpdx;

use App\Models\Model;

/**
 * App\Models\Fpdx\MediaNotiveModel
 *
 * @property int $id 主键
 * @property \Illuminate\Support\Carbon|null $created_at 创建时间
 * @property \Illuminate\Support\Carbon|null $updated_at 更新时间
 * @property int|null $deleted_at 删除时间
 * @property int|null $read_at 阅读时间
 * @property string $media_id 公众号id
 * @property string $content 通知内容
 * @property int $type 类型
 * @method static \Illuminate\Database\Eloquent\Builder|\App\Models\Fpdx\MediaNotiveModel newModelQuery()
 * @method static \Illuminate\Database\Eloquent\Builder|\App\Models\Fpdx\MediaNotiveModel newQuery()
 * @method static \Illuminate\Database\Eloquent\Builder|\App\Models\Fpdx\MediaNotiveModel query()
 * @method static \Illuminate\Database\Eloquent\Builder|\App\Models\Fpdx\MediaNotiveModel whereContent($value)
 * @method static \Illuminate\Database\Eloquent\Builder|\App\Models\Fpdx\MediaNotiveModel whereCreatedAt($value)
 * @method static \Illuminate\Database\Eloquent\Builder|\App\Models\Fpdx\MediaNotiveModel whereDeletedAt($value)
 * @method static \Illuminate\Database\Eloquent\Builder|\App\Models\Fpdx\MediaNotiveModel whereId($value)
 * @method static \Illuminate\Database\Eloquent\Builder|\App\Models\Fpdx\MediaNotiveModel whereMediaId($value)
 * @method static \Illuminate\Database\Eloquent\Builder|\App\Models\Fpdx\MediaNotiveModel whereReadAt($value)
 * @method static \Illuminate\Database\Eloquent\Builder|\App\Models\Fpdx\MediaNotiveModel whereType($value)
 * @method static \Illuminate\Database\Eloquent\Builder|\App\Models\Fpdx\MediaNotiveModel whereUpdatedAt($value)
 * @mixin \Eloquent
 */
class MediaNotiveModel extends Model
{
    protected $table = 'kdgx_fpdx_media_notive';

    protected $fillable = ['deleted_at', 'read_at', 'media_id', 'content', 'type'];

    protected $dateFormat = 'U';
}
