<?php

namespace App\Models\Fpdx;

use Illuminate\Database\Eloquent\Model;

/**
 * App\Models\Fpdx\MediaOrderModel
 *
 * @method static \Illuminate\Database\Eloquent\Builder|\App\Models\Fpdx\MediaOrderModel newModelQuery()
 * @method static \Illuminate\Database\Eloquent\Builder|\App\Models\Fpdx\MediaOrderModel newQuery()
 * @method static \Illuminate\Database\Eloquent\Builder|\App\Models\Fpdx\MediaOrderModel query()
 * @mixin \Eloquent
 */
class MediaOrderModel extends Model
{
    //
    protected $table = 'pocket.kdgx_media_order_log';

    protected $fillable = ['media_id', 'amount', 'describe', 'type', 'tag'];

    protected $dateFormat = 'U';
}
