<?php

namespace App\Models\Fpdx;

use App\Models\Model;

/**
 * App\Models\Fpdx\NoticeReadModel
 *
 * @property int $id 主键
 * @property \Illuminate\Support\Carbon $created_at 创建时间
 * @property \Illuminate\Support\Carbon|null $updated_at 更新时间
 * @property int $notice_id 公告id
 * @property int $uid 用户id
 * @method static \Illuminate\Database\Eloquent\Builder|\App\Models\Fpdx\NoticeReadModel newModelQuery()
 * @method static \Illuminate\Database\Eloquent\Builder|\App\Models\Fpdx\NoticeReadModel newQuery()
 * @method static \Illuminate\Database\Eloquent\Builder|\App\Models\Fpdx\NoticeReadModel query()
 * @method static \Illuminate\Database\Eloquent\Builder|\App\Models\Fpdx\NoticeReadModel whereCreatedAt($value)
 * @method static \Illuminate\Database\Eloquent\Builder|\App\Models\Fpdx\NoticeReadModel whereId($value)
 * @method static \Illuminate\Database\Eloquent\Builder|\App\Models\Fpdx\NoticeReadModel whereNoticeId($value)
 * @method static \Illuminate\Database\Eloquent\Builder|\App\Models\Fpdx\NoticeReadModel whereUid($value)
 * @method static \Illuminate\Database\Eloquent\Builder|\App\Models\Fpdx\NoticeReadModel whereUpdatedAt($value)
 * @mixin \Eloquent
 */
class NoticeReadModel extends Model
{
    protected $table = "kdgx_fpdx_room_notice_read";

    protected $dateFormat = 'U';

    protected $fillable = ['id', 'notice_id', 'uid'];
}
