<?php

namespace App\Models\Fpdx;

use Illuminate\Database\Eloquent\Model;

/**
 * App\Models\Fpdx\OperationalLogModel
 *
 * @property int $id
 * @property int $stage_id
 * @property int $uid
 * @property string $type
 * @property string $content
 * @property \Illuminate\Support\Carbon $created_at
 * @property \Illuminate\Support\Carbon $updated_at
 * @method static \Illuminate\Database\Eloquent\Builder|\App\Models\Fpdx\OperationalLogModel newModelQuery()
 * @method static \Illuminate\Database\Eloquent\Builder|\App\Models\Fpdx\OperationalLogModel newQuery()
 * @method static \Illuminate\Database\Eloquent\Builder|\App\Models\Fpdx\OperationalLogModel query()
 * @method static \Illuminate\Database\Eloquent\Builder|\App\Models\Fpdx\OperationalLogModel whereContent($value)
 * @method static \Illuminate\Database\Eloquent\Builder|\App\Models\Fpdx\OperationalLogModel whereCreatedAt($value)
 * @method static \Illuminate\Database\Eloquent\Builder|\App\Models\Fpdx\OperationalLogModel whereId($value)
 * @method static \Illuminate\Database\Eloquent\Builder|\App\Models\Fpdx\OperationalLogModel whereStageId($value)
 * @method static \Illuminate\Database\Eloquent\Builder|\App\Models\Fpdx\OperationalLogModel whereType($value)
 * @method static \Illuminate\Database\Eloquent\Builder|\App\Models\Fpdx\OperationalLogModel whereUid($value)
 * @method static \Illuminate\Database\Eloquent\Builder|\App\Models\Fpdx\OperationalLogModel whereUpdatedAt($value)
 * @mixin \Eloquent
 */
class OperationalLogModel extends Model
{
    //
    protected $table = "fpdx_pair_operational_logs";

    protected $dateFormat = 'U';

    protected $fillable = ['id', 'stage_id', 'uid', 'type', 'content'];
}
