<?php

namespace App\Models\Fpdx;

use App\Models\Model;

/**
 * App\Models\Fpdx\SyjUserModel
 *
 * @property int $id
 * @property string $nickname 姓名
 * @property string $phone
 * @property string $qq
 * @property string $weixin
 * @property string $sex 性别：男/女
 * @property int $height 身高
 * @property string $home 家乡
 * @property string $province 省份
 * @property string $city 城市
 * @property string $school
 * @property string $introduce 自我介绍
 * @property int|null $bind
 * @method static \Illuminate\Database\Eloquent\Builder|\App\Models\Fpdx\SyjUserModel newModelQuery()
 * @method static \Illuminate\Database\Eloquent\Builder|\App\Models\Fpdx\SyjUserModel newQuery()
 * @method static \Illuminate\Database\Eloquent\Builder|\App\Models\Fpdx\SyjUserModel query()
 * @method static \Illuminate\Database\Eloquent\Builder|\App\Models\Fpdx\SyjUserModel whereBind($value)
 * @method static \Illuminate\Database\Eloquent\Builder|\App\Models\Fpdx\SyjUserModel whereCity($value)
 * @method static \Illuminate\Database\Eloquent\Builder|\App\Models\Fpdx\SyjUserModel whereHeight($value)
 * @method static \Illuminate\Database\Eloquent\Builder|\App\Models\Fpdx\SyjUserModel whereHome($value)
 * @method static \Illuminate\Database\Eloquent\Builder|\App\Models\Fpdx\SyjUserModel whereId($value)
 * @method static \Illuminate\Database\Eloquent\Builder|\App\Models\Fpdx\SyjUserModel whereIntroduce($value)
 * @method static \Illuminate\Database\Eloquent\Builder|\App\Models\Fpdx\SyjUserModel whereNickname($value)
 * @method static \Illuminate\Database\Eloquent\Builder|\App\Models\Fpdx\SyjUserModel wherePhone($value)
 * @method static \Illuminate\Database\Eloquent\Builder|\App\Models\Fpdx\SyjUserModel whereProvince($value)
 * @method static \Illuminate\Database\Eloquent\Builder|\App\Models\Fpdx\SyjUserModel whereQq($value)
 * @method static \Illuminate\Database\Eloquent\Builder|\App\Models\Fpdx\SyjUserModel whereSchool($value)
 * @method static \Illuminate\Database\Eloquent\Builder|\App\Models\Fpdx\SyjUserModel whereSex($value)
 * @method static \Illuminate\Database\Eloquent\Builder|\App\Models\Fpdx\SyjUserModel whereWeixin($value)
 * @mixin \Eloquent
 */
class SyjUserModel extends Model
{
    protected $table = 'kdgx_fpdx_syj_user';

    public $timestamps = false;
}
