<?php

namespace App\Models\Fpdx;

use Illuminate\Database\Eloquent\Model;

/**
 * App\Models\Fpdx\TaskModel
 *
 * @property int $id
 * @property string $data 数据
 * @property int|null $term 期数
 * @property int|null $day 第几天
 * @method static \Illuminate\Database\Eloquent\Builder|\App\Models\Fpdx\TaskModel newModelQuery()
 * @method static \Illuminate\Database\Eloquent\Builder|\App\Models\Fpdx\TaskModel newQuery()
 * @method static \Illuminate\Database\Eloquent\Builder|\App\Models\Fpdx\TaskModel query()
 * @method static \Illuminate\Database\Eloquent\Builder|\App\Models\Fpdx\TaskModel whereData($value)
 * @method static \Illuminate\Database\Eloquent\Builder|\App\Models\Fpdx\TaskModel whereDay($value)
 * @method static \Illuminate\Database\Eloquent\Builder|\App\Models\Fpdx\TaskModel whereId($value)
 * @method static \Illuminate\Database\Eloquent\Builder|\App\Models\Fpdx\TaskModel whereTerm($value)
 * @mixin \Eloquent
 */
class TaskModel extends Model
{
    protected $table = 'kdgx_partner_charge_task';

    public $timestamps = false;

    protected $fillable = ['data', 'term', 'day'];
}
