<?php

namespace App\Models\Fpdx;

use App\Models\Model;

/**
 * App\Models\Fpdx\WxkfLogModel
 *
 * @property int $id
 * @property string $date 日期
 * @property string $wxid wxid
 * @property int $today_cnt 今日发码数量
 * @property int $today_add_cnt 今日加好友数量
 * @property int $replay_cnt 今日响应次数
 * @method static \Illuminate\Database\Eloquent\Builder|\App\Models\Fpdx\WxkfLogModel newModelQuery()
 * @method static \Illuminate\Database\Eloquent\Builder|\App\Models\Fpdx\WxkfLogModel newQuery()
 * @method static \Illuminate\Database\Eloquent\Builder|\App\Models\Fpdx\WxkfLogModel query()
 * @method static \Illuminate\Database\Eloquent\Builder|\App\Models\Fpdx\WxkfLogModel whereDate($value)
 * @method static \Illuminate\Database\Eloquent\Builder|\App\Models\Fpdx\WxkfLogModel whereId($value)
 * @method static \Illuminate\Database\Eloquent\Builder|\App\Models\Fpdx\WxkfLogModel whereReplayCnt($value)
 * @method static \Illuminate\Database\Eloquent\Builder|\App\Models\Fpdx\WxkfLogModel whereTodayAddCnt($value)
 * @method static \Illuminate\Database\Eloquent\Builder|\App\Models\Fpdx\WxkfLogModel whereTodayCnt($value)
 * @method static \Illuminate\Database\Eloquent\Builder|\App\Models\Fpdx\WxkfLogModel whereWxid($value)
 * @mixin \Eloquent
 */
class WxkfLogModel extends Model
{
    public $table = "kdgx_fpdx_wxkf_log";

    public $fillable = ['id', 'date', 'wxid', 'today_cnt', 'today_add_cnt', 'replay_cnt'];

    public $timestamps = false;
}
