<?php

namespace App\Models\Gnight;

use App\Models\Model;

/**
 * App\Models\Gnight\LockInviteModel
 *
 * @property int $id 主键，用户
 * @property \Illuminate\Support\Carbon $created_at 创建时间
 * @property \Illuminate\Support\Carbon|null $updated_at 更新时间
 * @property int $get_voice_id 解锁获取声音
 * @property int $invite_uid 助力用户
 * @method static \Illuminate\Database\Eloquent\Builder|\App\Models\Gnight\LockInviteModel newModelQuery()
 * @method static \Illuminate\Database\Eloquent\Builder|\App\Models\Gnight\LockInviteModel newQuery()
 * @method static \Illuminate\Database\Eloquent\Builder|\App\Models\Gnight\LockInviteModel query()
 * @method static \Illuminate\Database\Eloquent\Builder|\App\Models\Gnight\LockInviteModel whereCreatedAt($value)
 * @method static \Illuminate\Database\Eloquent\Builder|\App\Models\Gnight\LockInviteModel whereGetVoiceId($value)
 * @method static \Illuminate\Database\Eloquent\Builder|\App\Models\Gnight\LockInviteModel whereId($value)
 * @method static \Illuminate\Database\Eloquent\Builder|\App\Models\Gnight\LockInviteModel whereInviteUid($value)
 * @method static \Illuminate\Database\Eloquent\Builder|\App\Models\Gnight\LockInviteModel whereUpdatedAt($value)
 * @mixin \Eloquent
 */
class LockInviteModel extends Model
{
    protected $table = 'kdgx_gnight_lock_invite';

    protected $dateFormat = 'U';

    protected $fillable = ['id', 'created_at', 'updated_at', 'get_voice_id', 'invite_uid'];
}
