<?php

namespace App\Models\Gnight;

use App\Models\Model;

/**
 * App\Models\Gnight\VoiceInviteModel
 *
 * @property int $id 主键，用户
 * @property \Illuminate\Support\Carbon $created_at 创建时间
 * @property \Illuminate\Support\Carbon|null $updated_at 更新时间
 * @property int $uid 发起用户
 * @property int $invite_uid 助力用户
 * @method static \Illuminate\Database\Eloquent\Builder|\App\Models\Gnight\VoiceInviteModel newModelQuery()
 * @method static \Illuminate\Database\Eloquent\Builder|\App\Models\Gnight\VoiceInviteModel newQuery()
 * @method static \Illuminate\Database\Eloquent\Builder|\App\Models\Gnight\VoiceInviteModel query()
 * @method static \Illuminate\Database\Eloquent\Builder|\App\Models\Gnight\VoiceInviteModel whereCreatedAt($value)
 * @method static \Illuminate\Database\Eloquent\Builder|\App\Models\Gnight\VoiceInviteModel whereId($value)
 * @method static \Illuminate\Database\Eloquent\Builder|\App\Models\Gnight\VoiceInviteModel whereInviteUid($value)
 * @method static \Illuminate\Database\Eloquent\Builder|\App\Models\Gnight\VoiceInviteModel whereUid($value)
 * @method static \Illuminate\Database\Eloquent\Builder|\App\Models\Gnight\VoiceInviteModel whereUpdatedAt($value)
 * @mixin \Eloquent
 */
class VoiceInviteModel extends Model
{
    protected $table = 'kdgx_gnight_voice_invite';

    protected $dateFormat = 'U';

    protected $fillable = ['id', 'created_at', 'updated_at', 'uid', 'invite_uid'];
}
