<?php

namespace App\Models\Goodnight;

use Illuminate\Database\Eloquent\Model;

/**
 * App\Models\Goodnight\InviteLogModel
 *
 * @property int $id
 * @property \Illuminate\Support\Carbon $created_at 创建时间
 * @property \Illuminate\Support\Carbon $updated_at 更新时间
 * @property int $uid 用户
 * @property int $invite_uid 邀请用户
 * @property int $gnight_coin 晚安币
 * @method static \Illuminate\Database\Eloquent\Builder|\App\Models\Goodnight\InviteLogModel newModelQuery()
 * @method static \Illuminate\Database\Eloquent\Builder|\App\Models\Goodnight\InviteLogModel newQuery()
 * @method static \Illuminate\Database\Eloquent\Builder|\App\Models\Goodnight\InviteLogModel query()
 * @method static \Illuminate\Database\Eloquent\Builder|\App\Models\Goodnight\InviteLogModel whereCreatedAt($value)
 * @method static \Illuminate\Database\Eloquent\Builder|\App\Models\Goodnight\InviteLogModel whereGnightCoin($value)
 * @method static \Illuminate\Database\Eloquent\Builder|\App\Models\Goodnight\InviteLogModel whereId($value)
 * @method static \Illuminate\Database\Eloquent\Builder|\App\Models\Goodnight\InviteLogModel whereInviteUid($value)
 * @method static \Illuminate\Database\Eloquent\Builder|\App\Models\Goodnight\InviteLogModel whereUid($value)
 * @method static \Illuminate\Database\Eloquent\Builder|\App\Models\Goodnight\InviteLogModel whereUpdatedAt($value)
 * @mixin \Eloquent
 */
class InviteLogModel extends Model
{
    protected $table = 'kdgx_goodnight_invite_log';

    protected $fillable = ['id', 'created_at', 'updated_at', 'uid', 'invite_uid', 'gnight_coin'];

    protected $dateFormat = "U";
}
