<?php

namespace App\Models\Goodnight;

use Illuminate\Database\Eloquent\Model;

/**
 * App\Models\Goodnight\RoomMessageModel
 *
 * @property int $id
 * @property int $uid
 * @property int $room_id 房间ID
 * @property string|null $type 消息类型
 * @property string $content 内容
 * @property \Illuminate\Support\Carbon $created_at
 * @property \Illuminate\Support\Carbon $updated_at
 * @property int $read_at
 * @method static \Illuminate\Database\Eloquent\Builder|\App\Models\Goodnight\RoomMessageModel newModelQuery()
 * @method static \Illuminate\Database\Eloquent\Builder|\App\Models\Goodnight\RoomMessageModel newQuery()
 * @method static \Illuminate\Database\Eloquent\Builder|\App\Models\Goodnight\RoomMessageModel query()
 * @method static \Illuminate\Database\Eloquent\Builder|\App\Models\Goodnight\RoomMessageModel whereContent($value)
 * @method static \Illuminate\Database\Eloquent\Builder|\App\Models\Goodnight\RoomMessageModel whereCreatedAt($value)
 * @method static \Illuminate\Database\Eloquent\Builder|\App\Models\Goodnight\RoomMessageModel whereId($value)
 * @method static \Illuminate\Database\Eloquent\Builder|\App\Models\Goodnight\RoomMessageModel whereReadAt($value)
 * @method static \Illuminate\Database\Eloquent\Builder|\App\Models\Goodnight\RoomMessageModel whereRoomId($value)
 * @method static \Illuminate\Database\Eloquent\Builder|\App\Models\Goodnight\RoomMessageModel whereType($value)
 * @method static \Illuminate\Database\Eloquent\Builder|\App\Models\Goodnight\RoomMessageModel whereUid($value)
 * @method static \Illuminate\Database\Eloquent\Builder|\App\Models\Goodnight\RoomMessageModel whereUpdatedAt($value)
 * @mixin \Eloquent
 */
class RoomMessageModel extends Model
{
    //
    protected $table = 'kdgx_goodnight_room_messages';

    protected $dateFormat = "U";

    protected $fillable = ['uid', 'room_id', 'type', 'content'];
}
