<?php

namespace App\models\Goodnight;

use Illuminate\Database\Eloquent\Model;

/**
 * App\models\Goodnight\SystemTagModel
 *
 * @property int $id
 * @property \Illuminate\Support\Carbon $created_at 创建时间
 * @property \Illuminate\Support\Carbon $updated_at 更新时间
 * @property int $voice_id 声音id
 * @property string $tag 标记
 * @method static \Illuminate\Database\Eloquent\Builder|\App\models\Goodnight\SystemTagModel newModelQuery()
 * @method static \Illuminate\Database\Eloquent\Builder|\App\models\Goodnight\SystemTagModel newQuery()
 * @method static \Illuminate\Database\Eloquent\Builder|\App\models\Goodnight\SystemTagModel query()
 * @method static \Illuminate\Database\Eloquent\Builder|\App\models\Goodnight\SystemTagModel whereCreatedAt($value)
 * @method static \Illuminate\Database\Eloquent\Builder|\App\models\Goodnight\SystemTagModel whereId($value)
 * @method static \Illuminate\Database\Eloquent\Builder|\App\models\Goodnight\SystemTagModel whereTag($value)
 * @method static \Illuminate\Database\Eloquent\Builder|\App\models\Goodnight\SystemTagModel whereUpdatedAt($value)
 * @method static \Illuminate\Database\Eloquent\Builder|\App\models\Goodnight\SystemTagModel whereVoiceId($value)
 * @mixin \Eloquent
 */
class SystemTagModel extends Model
{
    protected $table = 'kdgx_goodnight_system_tag';
    protected $dateFormat = 'U';
    protected $fillable = ['created_at', 'updated_at', 'voice_id', 'tag'];
}
