<?php

namespace App\Models\Goodnight;

use Illuminate\Database\Eloquent\Model;

/**
 * App\Models\Goodnight\TopicModel
 *
 * @property int $id
 * @property \Illuminate\Support\Carbon $created_at
 * @property \Illuminate\Support\Carbon $updated_at
 * @property string $topic
 * @property int $show
 * @property int $sort
 * @method static \Illuminate\Database\Eloquent\Builder|\App\Models\Goodnight\TopicModel newModelQuery()
 * @method static \Illuminate\Database\Eloquent\Builder|\App\Models\Goodnight\TopicModel newQuery()
 * @method static \Illuminate\Database\Eloquent\Builder|\App\Models\Goodnight\TopicModel query()
 * @method static \Illuminate\Database\Eloquent\Builder|\App\Models\Goodnight\TopicModel whereCreatedAt($value)
 * @method static \Illuminate\Database\Eloquent\Builder|\App\Models\Goodnight\TopicModel whereId($value)
 * @method static \Illuminate\Database\Eloquent\Builder|\App\Models\Goodnight\TopicModel whereShow($value)
 * @method static \Illuminate\Database\Eloquent\Builder|\App\Models\Goodnight\TopicModel whereSort($value)
 * @method static \Illuminate\Database\Eloquent\Builder|\App\Models\Goodnight\TopicModel whereTopic($value)
 * @method static \Illuminate\Database\Eloquent\Builder|\App\Models\Goodnight\TopicModel whereUpdatedAt($value)
 * @mixin \Eloquent
 */
class TopicModel extends Model
{

    protected $table = 'kdgx_goodnight_voice_topics';

    protected $dateFormat = 'U';

    protected $fillable = ['show', 'topic', 'sort'];
}
