<?php

namespace App\Models\Gteam;

use Illuminate\Database\Eloquent\Model;

/**
 * App\Models\Gteam\ActivityModel
 *
 * @property int $id
 * @property \Illuminate\Support\Carbon $created_at 创建时间|预约开始时间
 * @property \Illuminate\Support\Carbon $updated_at 更新时间
 * @property int $match_end_at 预约结束时间
 * @property string $name 活动名称
 * @property string $ack 活动标志
 * @property string $type 预约类型wz:王者|cj:吃鸡
 * @method static \Illuminate\Database\Eloquent\Builder|\App\Models\Gteam\ActivityModel newModelQuery()
 * @method static \Illuminate\Database\Eloquent\Builder|\App\Models\Gteam\ActivityModel newQuery()
 * @method static \Illuminate\Database\Eloquent\Builder|\App\Models\Gteam\ActivityModel query()
 * @method static \Illuminate\Database\Eloquent\Builder|\App\Models\Gteam\ActivityModel whereAck($value)
 * @method static \Illuminate\Database\Eloquent\Builder|\App\Models\Gteam\ActivityModel whereCreatedAt($value)
 * @method static \Illuminate\Database\Eloquent\Builder|\App\Models\Gteam\ActivityModel whereId($value)
 * @method static \Illuminate\Database\Eloquent\Builder|\App\Models\Gteam\ActivityModel whereMatchEndAt($value)
 * @method static \Illuminate\Database\Eloquent\Builder|\App\Models\Gteam\ActivityModel whereName($value)
 * @method static \Illuminate\Database\Eloquent\Builder|\App\Models\Gteam\ActivityModel whereType($value)
 * @method static \Illuminate\Database\Eloquent\Builder|\App\Models\Gteam\ActivityModel whereUpdatedAt($value)
 * @mixin \Eloquent
 */
class ActivityModel extends Model
{

    protected $table = 'kdgx_gteam_enter_activity';

    protected $dateFormat = 'U';

    protected $fillable = ['match_end_at', 'name', 'ack'];
}
