<?php

namespace App\Models\Gteam;

use Illuminate\Database\Eloquent\Model;

/**
 * App\Models\Gteam\CommentModel
 *
 * @property int $id
 * @property \Illuminate\Support\Carbon $created_at 创建时间
 * @property \Illuminate\Support\Carbon $updated_at 更新时间
 * @property int $room_id 房间
 * @property int|null $uid 评论用户
 * @property int|null $comment_uid 被评论用户
 * @property int $speed 组队速度
 * @property int $level 游戏水平
 * @method static \Illuminate\Database\Eloquent\Builder|\App\Models\Gteam\CommentModel newModelQuery()
 * @method static \Illuminate\Database\Eloquent\Builder|\App\Models\Gteam\CommentModel newQuery()
 * @method static \Illuminate\Database\Eloquent\Builder|\App\Models\Gteam\CommentModel query()
 * @method static \Illuminate\Database\Eloquent\Builder|\App\Models\Gteam\CommentModel whereCommentUid($value)
 * @method static \Illuminate\Database\Eloquent\Builder|\App\Models\Gteam\CommentModel whereCreatedAt($value)
 * @method static \Illuminate\Database\Eloquent\Builder|\App\Models\Gteam\CommentModel whereId($value)
 * @method static \Illuminate\Database\Eloquent\Builder|\App\Models\Gteam\CommentModel whereLevel($value)
 * @method static \Illuminate\Database\Eloquent\Builder|\App\Models\Gteam\CommentModel whereRoomId($value)
 * @method static \Illuminate\Database\Eloquent\Builder|\App\Models\Gteam\CommentModel whereSpeed($value)
 * @method static \Illuminate\Database\Eloquent\Builder|\App\Models\Gteam\CommentModel whereUid($value)
 * @method static \Illuminate\Database\Eloquent\Builder|\App\Models\Gteam\CommentModel whereUpdatedAt($value)
 * @mixin \Eloquent
 */
class CommentModel extends Model
{
    //
    protected $table = 'kdgx_gteam_room_comment';

    protected $dateFormat = 'U';

    protected $fillable = ['room_id', 'uid', 'comment_uid', 'speed', 'level'];
}
