<?php

namespace App\Models\Gteam;

use Illuminate\Database\Eloquent\Model;

/**
 * App\Models\Gteam\UserModel
 *
 * @property int $uid
 * @property \Illuminate\Support\Carbon $created_at 创建时间
 * @property \Illuminate\Support\Carbon $updated_at 更新时间
 * @property int|null $login_at 登陆时间
 * @property string|null $weixin 微信
 * @property string|null $qq QQ
 * @property int $credit 信誉值
 * @property int $succ_cnt 成功次数
 * @property int $friend_cnt 好友数
 * @property int $cj_wx_rank 吃鸡微信段位
 * @property int $cj_qq_rank 吃鸡QQ段位
 * @property int $wz_wx_rank 王者微信段位
 * @property int $wz_qq_rank 王者QQ段位
 * @method static \Illuminate\Database\Eloquent\Builder|\App\Models\Gteam\UserModel newModelQuery()
 * @method static \Illuminate\Database\Eloquent\Builder|\App\Models\Gteam\UserModel newQuery()
 * @method static \Illuminate\Database\Eloquent\Builder|\App\Models\Gteam\UserModel query()
 * @method static \Illuminate\Database\Eloquent\Builder|\App\Models\Gteam\UserModel whereCjQqRank($value)
 * @method static \Illuminate\Database\Eloquent\Builder|\App\Models\Gteam\UserModel whereCjWxRank($value)
 * @method static \Illuminate\Database\Eloquent\Builder|\App\Models\Gteam\UserModel whereCreatedAt($value)
 * @method static \Illuminate\Database\Eloquent\Builder|\App\Models\Gteam\UserModel whereCredit($value)
 * @method static \Illuminate\Database\Eloquent\Builder|\App\Models\Gteam\UserModel whereFriendCnt($value)
 * @method static \Illuminate\Database\Eloquent\Builder|\App\Models\Gteam\UserModel whereLoginAt($value)
 * @method static \Illuminate\Database\Eloquent\Builder|\App\Models\Gteam\UserModel whereQq($value)
 * @method static \Illuminate\Database\Eloquent\Builder|\App\Models\Gteam\UserModel whereSuccCnt($value)
 * @method static \Illuminate\Database\Eloquent\Builder|\App\Models\Gteam\UserModel whereUid($value)
 * @method static \Illuminate\Database\Eloquent\Builder|\App\Models\Gteam\UserModel whereUpdatedAt($value)
 * @method static \Illuminate\Database\Eloquent\Builder|\App\Models\Gteam\UserModel whereWeixin($value)
 * @method static \Illuminate\Database\Eloquent\Builder|\App\Models\Gteam\UserModel whereWzQqRank($value)
 * @method static \Illuminate\Database\Eloquent\Builder|\App\Models\Gteam\UserModel whereWzWxRank($value)
 * @mixin \Eloquent
 */
class UserModel extends Model
{
    //
    protected $table = 'kdgx_gteam_user';

    protected $dateFormat = 'U';

    protected $primaryKey = 'uid';

    protected $fillable = [
        'uid',
        'created_at',
        'updated_at',
        'login_at',
        'weixin',
        'qq',
        'credit',
        'succ_cnt',
        'friend_cnt',
        'cj_wx_rank',
        'wz_wx_rank'
    ];
}
