<?php

namespace App\Models\Interlocution;

use App\Models\Model;

/**
 * App\Models\Interlocution\QuestionModel
 *
 * @property int $id
 * @property string $title 问题
 * @property \Illuminate\Support\Carbon $created_at 创建时间
 * @property \Illuminate\Support\Carbon $updated_at 修改时间
 * @method static \Illuminate\Database\Eloquent\Builder|\App\Models\Interlocution\QuestionModel newModelQuery()
 * @method static \Illuminate\Database\Eloquent\Builder|\App\Models\Interlocution\QuestionModel newQuery()
 * @method static \Illuminate\Database\Eloquent\Builder|\App\Models\Interlocution\QuestionModel query()
 * @method static \Illuminate\Database\Eloquent\Builder|\App\Models\Interlocution\QuestionModel whereCreatedAt($value)
 * @method static \Illuminate\Database\Eloquent\Builder|\App\Models\Interlocution\QuestionModel whereId($value)
 * @method static \Illuminate\Database\Eloquent\Builder|\App\Models\Interlocution\QuestionModel whereTitle($value)
 * @method static \Illuminate\Database\Eloquent\Builder|\App\Models\Interlocution\QuestionModel whereUpdatedAt($value)
 * @mixin \Eloquent
 */
class QuestionModel extends Model
{
    //
    protected $table = 'kdgx_fpdx_questions';

    protected $dateFormat = 'U';

    public $fillable = ['title'];
}
