<?php

namespace App\Models\Log;

use App\Models\Model;

/**
 * App\Models\Log\ApiLogModel
 *
 * @method static \Illuminate\Database\Eloquent\Builder|\App\Models\Log\ApiLogModel newModelQuery()
 * @method static \Illuminate\Database\Eloquent\Builder|\App\Models\Log\ApiLogModel newQuery()
 * @method static \Illuminate\Database\Eloquent\Builder|\App\Models\Log\ApiLogModel query()
 * @mixin \Eloquent
 */
class ApiLogModel extends Model
{
    protected $connection = 'mysql_datalog';

    protected $table = "kdgx_fpdx_apilog";

    public $timestamps = false;

    protected $fillable = [
        'uri',
        'method',
        'controller',
        'uid',
        'request',
        'response',
        'http_status',
        'func_line',
        'sql_line',
        'ip',
        'begin_at',
        'end_at',
        'host'
    ];
}
