<?php

namespace App\Models\Log;

use Illuminate\Database\Eloquent\Model;

/**
 * App\Models\Log\PartnerCheckNoticeModel
 *
 * @property int $id
 * @property int $uid uid
 * @property int $partner_id 卡片ID
 * @property string $field 字段
 * @property int $check 是否审核通过
 * @property int $new 是否新卡片
 * @property int $notice 是否通知
 * @property int $read_at 阅读时间
 * @property \Illuminate\Support\Carbon $created_at 创建时间
 * @property \Illuminate\Support\Carbon $updated_at 修改时间
 * @method static \Illuminate\Database\Eloquent\Builder|\App\Models\Log\PartnerCheckNoticeModel newModelQuery()
 * @method static \Illuminate\Database\Eloquent\Builder|\App\Models\Log\PartnerCheckNoticeModel newQuery()
 * @method static \Illuminate\Database\Eloquent\Builder|\App\Models\Log\PartnerCheckNoticeModel query()
 * @method static \Illuminate\Database\Eloquent\Builder|\App\Models\Log\PartnerCheckNoticeModel whereCheck($value)
 * @method static \Illuminate\Database\Eloquent\Builder|\App\Models\Log\PartnerCheckNoticeModel whereCreatedAt($value)
 * @method static \Illuminate\Database\Eloquent\Builder|\App\Models\Log\PartnerCheckNoticeModel whereField($value)
 * @method static \Illuminate\Database\Eloquent\Builder|\App\Models\Log\PartnerCheckNoticeModel whereId($value)
 * @method static \Illuminate\Database\Eloquent\Builder|\App\Models\Log\PartnerCheckNoticeModel whereNew($value)
 * @method static \Illuminate\Database\Eloquent\Builder|\App\Models\Log\PartnerCheckNoticeModel whereNotice($value)
 * @method static \Illuminate\Database\Eloquent\Builder|\App\Models\Log\PartnerCheckNoticeModel wherePartnerId($value)
 * @method static \Illuminate\Database\Eloquent\Builder|\App\Models\Log\PartnerCheckNoticeModel whereReadAt($value)
 * @method static \Illuminate\Database\Eloquent\Builder|\App\Models\Log\PartnerCheckNoticeModel whereUid($value)
 * @method static \Illuminate\Database\Eloquent\Builder|\App\Models\Log\PartnerCheckNoticeModel whereUpdatedAt($value)
 * @mixin \Eloquent
 */
class PartnerCheckNoticeModel extends Model
{
    //
    protected $table = 'kdgx_fpdx_partner_notice_logs';

    protected $dateFormat = 'U';

    public $fillable = ['uid', 'partner_id', 'field', 'check', 'notice', 'read_at', 'new'];
}
