<?php

namespace App\Models\Log;

use App\Models\Model;

/**
 * App\Models\Log\UserPhotoLogModel
 *
 * @property int $id 主键
 * @property int $uid 用户
 * @property string $src 资源地址
 * @property \Illuminate\Support\Carbon|null $created_at 创建时间
 * @method static \Illuminate\Database\Eloquent\Builder|\App\Models\Log\UserPhotoLogModel newModelQuery()
 * @method static \Illuminate\Database\Eloquent\Builder|\App\Models\Log\UserPhotoLogModel newQuery()
 * @method static \Illuminate\Database\Eloquent\Builder|\App\Models\Log\UserPhotoLogModel query()
 * @method static \Illuminate\Database\Eloquent\Builder|\App\Models\Log\UserPhotoLogModel whereCreatedAt($value)
 * @method static \Illuminate\Database\Eloquent\Builder|\App\Models\Log\UserPhotoLogModel whereId($value)
 * @method static \Illuminate\Database\Eloquent\Builder|\App\Models\Log\UserPhotoLogModel whereSrc($value)
 * @method static \Illuminate\Database\Eloquent\Builder|\App\Models\Log\UserPhotoLogModel whereUid($value)
 * @mixin \Eloquent
 */
class UserPhotoLogModel extends Model
{
    protected $table = "kdgx_fpdx_user_photo_logs";

    protected $dateFormat = 'U';

    public $fillable = ['id', 'uid', 'src'];

    public const UPDATED_AT = null;
}
