<?php

namespace App\Models\Media;

class MediaSecureText extends MediaSecure
{
    //
    protected $table = "media_secure_text";

    protected $dateFormat = 'U';

    protected $fillable = array(
        'uid',
        'type',
        'field',
        'field_primary',
        'origin',
        'machine_result',
        'labels',
        'audit_at',
        'audit_suggestion',
        'result'
    );

    protected $casts = array(
        'machine_result' => 'array',
        'labels' => 'array',
    );
}
