<?php

namespace App\Models\Media;

class MediaSecureVoice extends MediaSecure
{
    //
    protected $table = "media_secure_voice";

    protected $dateFormat = 'U';

    protected $fillable = array(
        'uid',
        'type',
        'field',
        'field_primary',
        'origin',
        'machine_result',
        'translate',
        'audit_at',
        'audit_suggestion',
        'result',
        'task_id'
    );

    protected $casts = array(
        'machine_result' => 'array'
    );
}
