<?php

namespace App\Models\QQ;

use Illuminate\Database\Eloquent\Model;

/**
 * App\Models\QQ\FormIdModel
 *
 * @property int $id
 * @property string $appid
 * @property string $openid openid
 * @property string $form_id
 * @property int $send_at 使用时间
 * @property string $errmsg 发送错误信息
 * @property \Illuminate\Support\Carbon $created_at 创建时间
 * @property \Illuminate\Support\Carbon $updated_at
 * @method static \Illuminate\Database\Eloquent\Builder|\App\Models\QQ\FormIdModel newModelQuery()
 * @method static \Illuminate\Database\Eloquent\Builder|\App\Models\QQ\FormIdModel newQuery()
 * @method static \Illuminate\Database\Eloquent\Builder|\App\Models\QQ\FormIdModel query()
 * @method static \Illuminate\Database\Eloquent\Builder|\App\Models\QQ\FormIdModel whereAppid($value)
 * @method static \Illuminate\Database\Eloquent\Builder|\App\Models\QQ\FormIdModel whereCreatedAt($value)
 * @method static \Illuminate\Database\Eloquent\Builder|\App\Models\QQ\FormIdModel whereErrmsg($value)
 * @method static \Illuminate\Database\Eloquent\Builder|\App\Models\QQ\FormIdModel whereFormId($value)
 * @method static \Illuminate\Database\Eloquent\Builder|\App\Models\QQ\FormIdModel whereId($value)
 * @method static \Illuminate\Database\Eloquent\Builder|\App\Models\QQ\FormIdModel whereOpenid($value)
 * @method static \Illuminate\Database\Eloquent\Builder|\App\Models\QQ\FormIdModel whereSendAt($value)
 * @method static \Illuminate\Database\Eloquent\Builder|\App\Models\QQ\FormIdModel whereUpdatedAt($value)
 * @mixin \Eloquent
 */
class FormIdModel extends Model
{
    //

    protected $table = 'kdgx_qqmini_forms';

    protected $dateFormat = 'U';

    public $fillable = ['appid', 'openid', 'form_id', 'send_at', 'errmsg'];
}
