<?php

namespace App\Models\Share;

use Illuminate\Database\Eloquent\Model;

/**
 * App\Models\Share\FlowerCheckModel
 *
 * @property int $id
 * @property \Illuminate\Support\Carbon $created_at 创建时间
 * @property \Illuminate\Support\Carbon $updated_at 更新时间
 * @property int $list_id 分享id
 * @property int $check_uid 助力用户
 * @property float $fee 助力度
 * @method static \Illuminate\Database\Eloquent\Builder|\App\Models\Share\FlowerCheckModel newModelQuery()
 * @method static \Illuminate\Database\Eloquent\Builder|\App\Models\Share\FlowerCheckModel newQuery()
 * @method static \Illuminate\Database\Eloquent\Builder|\App\Models\Share\FlowerCheckModel query()
 * @method static \Illuminate\Database\Eloquent\Builder|\App\Models\Share\FlowerCheckModel whereCheckUid($value)
 * @method static \Illuminate\Database\Eloquent\Builder|\App\Models\Share\FlowerCheckModel whereCreatedAt($value)
 * @method static \Illuminate\Database\Eloquent\Builder|\App\Models\Share\FlowerCheckModel whereFee($value)
 * @method static \Illuminate\Database\Eloquent\Builder|\App\Models\Share\FlowerCheckModel whereId($value)
 * @method static \Illuminate\Database\Eloquent\Builder|\App\Models\Share\FlowerCheckModel whereListId($value)
 * @method static \Illuminate\Database\Eloquent\Builder|\App\Models\Share\FlowerCheckModel whereUpdatedAt($value)
 * @mixin \Eloquent
 */
class FlowerCheckModel extends Model
{
    protected $table = 'kdgx_charge_flower_check';

    protected $dateFormat = 'U';

    protected $fillable = ['list_id', 'check_uid', 'fee'];
}
