<?php

namespace App\Models\Share;

use App\Models\Model;

/**
 * App\Models\Share\LikemeCheckModel
 *
 * @property int $id
 * @property \Illuminate\Support\Carbon $created_at 创建时间
 * @property \Illuminate\Support\Carbon $updated_at 更新时间
 * @property int $praise_id 分享id|点赞记录id
 * @property int $partner_id 卡片id
 * @property int $uid 分享者id
 * @property int $invite_uid 助力者id
 * @property int $dis_score 助力进度
 * @method static \Illuminate\Database\Eloquent\Builder|\App\Models\Share\LikemeCheckModel newModelQuery()
 * @method static \Illuminate\Database\Eloquent\Builder|\App\Models\Share\LikemeCheckModel newQuery()
 * @method static \Illuminate\Database\Eloquent\Builder|\App\Models\Share\LikemeCheckModel query()
 * @method static \Illuminate\Database\Eloquent\Builder|\App\Models\Share\LikemeCheckModel whereCreatedAt($value)
 * @method static \Illuminate\Database\Eloquent\Builder|\App\Models\Share\LikemeCheckModel whereDisScore($value)
 * @method static \Illuminate\Database\Eloquent\Builder|\App\Models\Share\LikemeCheckModel whereId($value)
 * @method static \Illuminate\Database\Eloquent\Builder|\App\Models\Share\LikemeCheckModel whereInviteUid($value)
 * @method static \Illuminate\Database\Eloquent\Builder|\App\Models\Share\LikemeCheckModel wherePartnerId($value)
 * @method static \Illuminate\Database\Eloquent\Builder|\App\Models\Share\LikemeCheckModel wherePraiseId($value)
 * @method static \Illuminate\Database\Eloquent\Builder|\App\Models\Share\LikemeCheckModel whereUid($value)
 * @method static \Illuminate\Database\Eloquent\Builder|\App\Models\Share\LikemeCheckModel whereUpdatedAt($value)
 * @mixin \Eloquent
 */
class LikemeCheckModel extends Model
{
    protected $table = "kdgx_fpdx_lileme_invite_check";

    protected $dateFormat = "U";

    protected $fillable = ['praise_id', 'partner_id', 'uid', 'invite_uid', 'dis_score'];
}
