<?php

namespace App\Models\Share;

use Illuminate\Database\Eloquent\Model;

/**
 * App\Models\Share\RedpackCheckModel
 *
 * @property int $id
 * @property \Illuminate\Support\Carbon $created_at 创建时间
 * @property \Illuminate\Support\Carbon $updated_at 更新时间
 * @property int $list_id 分享id
 * @property int $check_uid 助力用户
 * @property float $fee 助力度
 * @method static \Illuminate\Database\Eloquent\Builder|\App\Models\Share\RedpackCheckModel newModelQuery()
 * @method static \Illuminate\Database\Eloquent\Builder|\App\Models\Share\RedpackCheckModel newQuery()
 * @method static \Illuminate\Database\Eloquent\Builder|\App\Models\Share\RedpackCheckModel query()
 * @method static \Illuminate\Database\Eloquent\Builder|\App\Models\Share\RedpackCheckModel whereCheckUid($value)
 * @method static \Illuminate\Database\Eloquent\Builder|\App\Models\Share\RedpackCheckModel whereCreatedAt($value)
 * @method static \Illuminate\Database\Eloquent\Builder|\App\Models\Share\RedpackCheckModel whereFee($value)
 * @method static \Illuminate\Database\Eloquent\Builder|\App\Models\Share\RedpackCheckModel whereId($value)
 * @method static \Illuminate\Database\Eloquent\Builder|\App\Models\Share\RedpackCheckModel whereListId($value)
 * @method static \Illuminate\Database\Eloquent\Builder|\App\Models\Share\RedpackCheckModel whereUpdatedAt($value)
 * @mixin \Eloquent
 */
class RedpackCheckModel extends Model
{
    protected $table = 'kdgx_charge_redpack_check';

    protected $dateFormat = 'U';

    protected $fillable = ['list_id', 'check_uid', 'fee'];
}
