<?php

namespace App\Models\Share;

use Illuminate\Database\Eloquent\Model;

/**
 * App\Models\Share\RedpackListModel
 *
 * @property int $id
 * @property \Illuminate\Support\Carbon $created_at 创建时间
 * @property \Illuminate\Support\Carbon $updated_at 更新时间
 * @property int $expired_at 到期时间
 * @property float $fee 金额
 * @property int $completeness 完成度
 * @property int $notice 是否通知0不通知1通知
 * @property int $is_withdraw 是否提现
 * @property int $uid 用户
 * @property int $is_notice 是否失效通知
 * @method static \Illuminate\Database\Eloquent\Builder|\App\Models\Share\RedpackListModel newModelQuery()
 * @method static \Illuminate\Database\Eloquent\Builder|\App\Models\Share\RedpackListModel newQuery()
 * @method static \Illuminate\Database\Eloquent\Builder|\App\Models\Share\RedpackListModel query()
 * @method static \Illuminate\Database\Eloquent\Builder|\App\Models\Share\RedpackListModel whereCompleteness($value)
 * @method static \Illuminate\Database\Eloquent\Builder|\App\Models\Share\RedpackListModel whereCreatedAt($value)
 * @method static \Illuminate\Database\Eloquent\Builder|\App\Models\Share\RedpackListModel whereExpiredAt($value)
 * @method static \Illuminate\Database\Eloquent\Builder|\App\Models\Share\RedpackListModel whereFee($value)
 * @method static \Illuminate\Database\Eloquent\Builder|\App\Models\Share\RedpackListModel whereId($value)
 * @method static \Illuminate\Database\Eloquent\Builder|\App\Models\Share\RedpackListModel whereIsNotice($value)
 * @method static \Illuminate\Database\Eloquent\Builder|\App\Models\Share\RedpackListModel whereIsWithdraw($value)
 * @method static \Illuminate\Database\Eloquent\Builder|\App\Models\Share\RedpackListModel whereNotice($value)
 * @method static \Illuminate\Database\Eloquent\Builder|\App\Models\Share\RedpackListModel whereUid($value)
 * @method static \Illuminate\Database\Eloquent\Builder|\App\Models\Share\RedpackListModel whereUpdatedAt($value)
 * @mixin \Eloquent
 */
class RedpackListModel extends Model
{

    protected $table = "kdgx_charge_redpack_list";

    protected $dateFormat = 'U';

    protected $fillable = ['expired_at', 'is_withdraw', 'fee', 'completeness', 'notice', 'uid', 'is_notice'];
}
