<?php

namespace App\Models\Syj;

use Illuminate\Database\Eloquent\Model;

/**
 * App\Models\Syj\GroupModel
 *
 * @property int $id
 * @property string $name 名称
 * @property string $image 图片
 * @property int $capacity_number 容量人数
 * @property int $total_number 当前人数
 * @property int $state 上下线状态
 * @property int $expired_at 过期时间
 * @property \Illuminate\Support\Carbon $created_at
 * @property \Illuminate\Support\Carbon $updated_at
 * @method static \Illuminate\Database\Eloquent\Builder|\App\Models\Syj\GroupModel newModelQuery()
 * @method static \Illuminate\Database\Eloquent\Builder|\App\Models\Syj\GroupModel newQuery()
 * @method static \Illuminate\Database\Eloquent\Builder|\App\Models\Syj\GroupModel query()
 * @method static \Illuminate\Database\Eloquent\Builder|\App\Models\Syj\GroupModel whereCapacityNumber($value)
 * @method static \Illuminate\Database\Eloquent\Builder|\App\Models\Syj\GroupModel whereCreatedAt($value)
 * @method static \Illuminate\Database\Eloquent\Builder|\App\Models\Syj\GroupModel whereExpiredAt($value)
 * @method static \Illuminate\Database\Eloquent\Builder|\App\Models\Syj\GroupModel whereId($value)
 * @method static \Illuminate\Database\Eloquent\Builder|\App\Models\Syj\GroupModel whereImage($value)
 * @method static \Illuminate\Database\Eloquent\Builder|\App\Models\Syj\GroupModel whereName($value)
 * @method static \Illuminate\Database\Eloquent\Builder|\App\Models\Syj\GroupModel whereState($value)
 * @method static \Illuminate\Database\Eloquent\Builder|\App\Models\Syj\GroupModel whereTotalNumber($value)
 * @method static \Illuminate\Database\Eloquent\Builder|\App\Models\Syj\GroupModel whereUpdatedAt($value)
 * @mixin \Eloquent
 */
class GroupModel extends Model
{
    //

    protected $table = 'syj_groups';

    protected $dateFormat = 'U';

    protected $fillable = ['name', 'image', 'state', 'capacity_number', 'total_number', 'expired_at'];
}
