<?php

namespace App\Models\Syj;

use Illuminate\Database\Eloquent\Model;

/**
 * App\Models\Syj\TacitQuestionModel
 *
 * @property int $id
 * @property string $question 问题
 * @property array $options 选项
 * @method static \Illuminate\Database\Eloquent\Builder|\App\Models\Syj\TacitQuestionModel newModelQuery()
 * @method static \Illuminate\Database\Eloquent\Builder|\App\Models\Syj\TacitQuestionModel newQuery()
 * @method static \Illuminate\Database\Eloquent\Builder|\App\Models\Syj\TacitQuestionModel query()
 * @method static \Illuminate\Database\Eloquent\Builder|\App\Models\Syj\TacitQuestionModel whereId($value)
 * @method static \Illuminate\Database\Eloquent\Builder|\App\Models\Syj\TacitQuestionModel whereOptions($value)
 * @method static \Illuminate\Database\Eloquent\Builder|\App\Models\Syj\TacitQuestionModel whereQuestion($value)
 * @mixin \Eloquent
 */
class TacitQuestionModel extends Model
{
    //
    protected $table = 'syj_game_tacit_questions';

    protected $timestamp = false;

    protected $fillable = ['question', 'options'];

    protected $casts = [
        'options' => 'array',
    ];
}
