<?php

namespace App\Models\Syj;

use Illuminate\Database\Eloquent\Model;

/**
 * App\Models\Syj\UserModel
 *
 * @property int $id
 * @property string $openid
 * @property string|null $unionid
 * @property int|null $phone 手机号
 * @property string $nickname 昵称
 * @property string $avatar 头像
 * @property int $sex 性别
 * @property string $province 省份
 * @property string $city 城市
 * @property \Illuminate\Support\Carbon $created_at
 * @property \Illuminate\Support\Carbon $updated_at
 * @property int $login_at 登录时间
 * @method static \Illuminate\Database\Eloquent\Builder|\App\Models\Syj\UserModel newModelQuery()
 * @method static \Illuminate\Database\Eloquent\Builder|\App\Models\Syj\UserModel newQuery()
 * @method static \Illuminate\Database\Eloquent\Builder|\App\Models\Syj\UserModel query()
 * @method static \Illuminate\Database\Eloquent\Builder|\App\Models\Syj\UserModel whereAvatar($value)
 * @method static \Illuminate\Database\Eloquent\Builder|\App\Models\Syj\UserModel whereCity($value)
 * @method static \Illuminate\Database\Eloquent\Builder|\App\Models\Syj\UserModel whereCreatedAt($value)
 * @method static \Illuminate\Database\Eloquent\Builder|\App\Models\Syj\UserModel whereId($value)
 * @method static \Illuminate\Database\Eloquent\Builder|\App\Models\Syj\UserModel whereLoginAt($value)
 * @method static \Illuminate\Database\Eloquent\Builder|\App\Models\Syj\UserModel whereNickname($value)
 * @method static \Illuminate\Database\Eloquent\Builder|\App\Models\Syj\UserModel whereOpenid($value)
 * @method static \Illuminate\Database\Eloquent\Builder|\App\Models\Syj\UserModel wherePhone($value)
 * @method static \Illuminate\Database\Eloquent\Builder|\App\Models\Syj\UserModel whereProvince($value)
 * @method static \Illuminate\Database\Eloquent\Builder|\App\Models\Syj\UserModel whereSex($value)
 * @method static \Illuminate\Database\Eloquent\Builder|\App\Models\Syj\UserModel whereUnionid($value)
 * @method static \Illuminate\Database\Eloquent\Builder|\App\Models\Syj\UserModel whereUpdatedAt($value)
 * @mixin \Eloquent
 */
class UserModel extends Model
{
    //
    protected $table = 'syj_users';

    protected $dateFormat = 'U';

    protected $fillable = ['openid', 'unionid', 'phone', 'nickname', 'avatar', 'sex', 'province', 'city', 'login_at'];
}
