<?php

namespace App\Models\User;

use App\Models\Model;

/**
 * App\Models\User\FeedcheckLogModel
 *
 * @property int $id 主键
 * @property int $uid 用户
 * @property int $partner_id 卡片
 * @property int|null $is_pass 是否通过0不通过|1通过
 * @property int $created_at 创建时间
 * @property int|null $expire_at 过期时间
 * @method static \Illuminate\Database\Eloquent\Builder|\App\Models\User\FeedcheckLogModel newModelQuery()
 * @method static \Illuminate\Database\Eloquent\Builder|\App\Models\User\FeedcheckLogModel newQuery()
 * @method static \Illuminate\Database\Eloquent\Builder|\App\Models\User\FeedcheckLogModel query()
 * @method static \Illuminate\Database\Eloquent\Builder|\App\Models\User\FeedcheckLogModel whereCreatedAt($value)
 * @method static \Illuminate\Database\Eloquent\Builder|\App\Models\User\FeedcheckLogModel whereExpireAt($value)
 * @method static \Illuminate\Database\Eloquent\Builder|\App\Models\User\FeedcheckLogModel whereId($value)
 * @method static \Illuminate\Database\Eloquent\Builder|\App\Models\User\FeedcheckLogModel whereIsPass($value)
 * @method static \Illuminate\Database\Eloquent\Builder|\App\Models\User\FeedcheckLogModel wherePartnerId($value)
 * @method static \Illuminate\Database\Eloquent\Builder|\App\Models\User\FeedcheckLogModel whereUid($value)
 * @mixin \Eloquent
 */
class FeedcheckLogModel extends Model
{
    protected $table = "kdgx_fpdx_admin_feedcheck_log";

    public $fillable = ['id', 'uid', 'partner_id', 'is_pass', 'created_at', 'expire_at'];

    public $timestamps = false;
}
