<?php

namespace App\Models\User;

use App\Models\Model;

/**
 * App\Models\User\PopularityDayLogModel
 *
 * @property int $id 主键
 * @property \Illuminate\Support\Carbon $created_at 创建时间
 * @property int $uid 用户
 * @property int $sex 性别1男2女
 * @property string $date 日期
 * @property int $popularity 人气值基础分
 * @property string $location 城市
 * @method static \Illuminate\Database\Eloquent\Builder|\App\Models\User\PopularityDayLogModel newModelQuery()
 * @method static \Illuminate\Database\Eloquent\Builder|\App\Models\User\PopularityDayLogModel newQuery()
 * @method static \Illuminate\Database\Eloquent\Builder|\App\Models\User\PopularityDayLogModel query()
 * @method static \Illuminate\Database\Eloquent\Builder|\App\Models\User\PopularityDayLogModel whereCreatedAt($value)
 * @method static \Illuminate\Database\Eloquent\Builder|\App\Models\User\PopularityDayLogModel whereDate($value)
 * @method static \Illuminate\Database\Eloquent\Builder|\App\Models\User\PopularityDayLogModel whereId($value)
 * @method static \Illuminate\Database\Eloquent\Builder|\App\Models\User\PopularityDayLogModel whereLocation($value)
 * @method static \Illuminate\Database\Eloquent\Builder|\App\Models\User\PopularityDayLogModel wherePopularity($value)
 * @method static \Illuminate\Database\Eloquent\Builder|\App\Models\User\PopularityDayLogModel whereSex($value)
 * @method static \Illuminate\Database\Eloquent\Builder|\App\Models\User\PopularityDayLogModel whereUid($value)
 * @mixin \Eloquent
 */
class PopularityDayLogModel extends Model
{
    protected $table = "kdgx_fpdx_populary_log";
    protected $fillable = ['id', 'created_at', 'uid', 'date', 'popularity', 'location'];
}
