<?php

namespace App\Models\Wechat;

use Illuminate\Database\Eloquent\Model;

/**
 * App\Models\Wechat\FormIdModel
 *
 * @property int $id
 * @property string $appid
 * @property string $public_id
 * @property string $openid
 * @property string $form_id
 * @property int $send_at
 * @property string $errmsg
 * @property \Illuminate\Support\Carbon $created_at
 * @property \Illuminate\Support\Carbon $updated_at
 * @method static \Illuminate\Database\Eloquent\Builder|\App\Models\Wechat\FormIdModel newModelQuery()
 * @method static \Illuminate\Database\Eloquent\Builder|\App\Models\Wechat\FormIdModel newQuery()
 * @method static \Illuminate\Database\Eloquent\Builder|\App\Models\Wechat\FormIdModel query()
 * @method static \Illuminate\Database\Eloquent\Builder|\App\Models\Wechat\FormIdModel whereAppid($value)
 * @method static \Illuminate\Database\Eloquent\Builder|\App\Models\Wechat\FormIdModel whereCreatedAt($value)
 * @method static \Illuminate\Database\Eloquent\Builder|\App\Models\Wechat\FormIdModel whereErrmsg($value)
 * @method static \Illuminate\Database\Eloquent\Builder|\App\Models\Wechat\FormIdModel whereFormId($value)
 * @method static \Illuminate\Database\Eloquent\Builder|\App\Models\Wechat\FormIdModel whereId($value)
 * @method static \Illuminate\Database\Eloquent\Builder|\App\Models\Wechat\FormIdModel whereOpenid($value)
 * @method static \Illuminate\Database\Eloquent\Builder|\App\Models\Wechat\FormIdModel wherePublicId($value)
 * @method static \Illuminate\Database\Eloquent\Builder|\App\Models\Wechat\FormIdModel whereSendAt($value)
 * @method static \Illuminate\Database\Eloquent\Builder|\App\Models\Wechat\FormIdModel whereUpdatedAt($value)
 * @mixin \Eloquent
 */
class FormIdModel extends Model
{
    //

    protected $table = 'kdgx_mini_form';

    protected $dateFormat = 'U';

    public $fillable = ['public_id', 'openid', 'form_id', 'send_at', 'errmsg'];
}
