<?php

namespace App\Models\Welfare;

use Illuminate\Database\Eloquent\Model;

/**
 * App\Models\Welfare\SigninModel
 *
 * @property int $id
 * @property int $uid
 * @property int $continue_time 连续次数
 * @property \Illuminate\Support\Carbon $created_at 创建时间
 * @property \Illuminate\Support\Carbon $updated_at 修改时间
 * @method static \Illuminate\Database\Eloquent\Builder|\App\Models\Welfare\SigninModel newModelQuery()
 * @method static \Illuminate\Database\Eloquent\Builder|\App\Models\Welfare\SigninModel newQuery()
 * @method static \Illuminate\Database\Eloquent\Builder|\App\Models\Welfare\SigninModel query()
 * @method static \Illuminate\Database\Eloquent\Builder|\App\Models\Welfare\SigninModel whereContinueTime($value)
 * @method static \Illuminate\Database\Eloquent\Builder|\App\Models\Welfare\SigninModel whereCreatedAt($value)
 * @method static \Illuminate\Database\Eloquent\Builder|\App\Models\Welfare\SigninModel whereId($value)
 * @method static \Illuminate\Database\Eloquent\Builder|\App\Models\Welfare\SigninModel whereUid($value)
 * @method static \Illuminate\Database\Eloquent\Builder|\App\Models\Welfare\SigninModel whereUpdatedAt($value)
 * @mixin \Eloquent
 */
class SigninModel extends Model
{
    //
    protected $table = "kdgx_fpdx_welfare_signins";

    protected $dateFormat = 'U';

    public $fillable = ['uid', 'continue_time'];
}
