<?php

namespace App\Models\Welfare;

use Illuminate\Database\Eloquent\Model;

/**
 * App\Models\Welfare\TicketModel
 *
 * @property int $id
 * @property int $uid
 * @property string $type 获取的类型
 * @property int $value 邀请人/被邀请人的uid
 * @property int $lottery_id 抽奖活动ID
 * @property string $ticket_code 兑换码
 * @property int $lucky 是否中奖
 * @property \Illuminate\Support\Carbon $created_at 创建时间
 * @property \Illuminate\Support\Carbon $updated_at 修改时间
 * @property int $deleted_at 删除时间
 * @method static \Illuminate\Database\Eloquent\Builder|\App\Models\Welfare\TicketModel newModelQuery()
 * @method static \Illuminate\Database\Eloquent\Builder|\App\Models\Welfare\TicketModel newQuery()
 * @method static \Illuminate\Database\Eloquent\Builder|\App\Models\Welfare\TicketModel query()
 * @method static \Illuminate\Database\Eloquent\Builder|\App\Models\Welfare\TicketModel whereCreatedAt($value)
 * @method static \Illuminate\Database\Eloquent\Builder|\App\Models\Welfare\TicketModel whereDeletedAt($value)
 * @method static \Illuminate\Database\Eloquent\Builder|\App\Models\Welfare\TicketModel whereId($value)
 * @method static \Illuminate\Database\Eloquent\Builder|\App\Models\Welfare\TicketModel whereLotteryId($value)
 * @method static \Illuminate\Database\Eloquent\Builder|\App\Models\Welfare\TicketModel whereLucky($value)
 * @method static \Illuminate\Database\Eloquent\Builder|\App\Models\Welfare\TicketModel whereTicketCode($value)
 * @method static \Illuminate\Database\Eloquent\Builder|\App\Models\Welfare\TicketModel whereType($value)
 * @method static \Illuminate\Database\Eloquent\Builder|\App\Models\Welfare\TicketModel whereUid($value)
 * @method static \Illuminate\Database\Eloquent\Builder|\App\Models\Welfare\TicketModel whereUpdatedAt($value)
 * @method static \Illuminate\Database\Eloquent\Builder|\App\Models\Welfare\TicketModel whereValue($value)
 * @mixin \Eloquent
 */
class TicketModel extends Model
{

    protected $table = "kdgx_fpdx_welfare_lottery_tickets";

    protected $dateFormat = 'U';

    public $fillable = ['uid', 'lottery_id', 'type', 'value', 'ticket_code', 'lucky', 'deleted_at'];
}
