<?php

/**
 * 口袋微信客服好友信息表
 * User: easyboom
 * Date: 2019/1/7
 * Time: 下午6:03
 */

namespace App\Models\Wxkf;

use App\Models\Model;

/**
 * App\Models\Wxkf\UserInfoModel
 *
 * @property int $id
 * @property \Illuminate\Support\Carbon $created_at 创建时间
 * @property \Illuminate\Support\Carbon $updated_at 更新时间
 * @property string $wxkf_wxid 微信客服id
 * @property string $wxid 微信id
 * @property string|null $wx_alias 微信号
 * @property string|null $nickname 微信昵称
 * @property string|null $head_img 头像的url地址
 * @property int $sex 性别:0或者1,默认是0,1代表女性
 * @method static \Illuminate\Database\Eloquent\Builder|\App\Models\Wxkf\UserInfoModel newModelQuery()
 * @method static \Illuminate\Database\Eloquent\Builder|\App\Models\Wxkf\UserInfoModel newQuery()
 * @method static \Illuminate\Database\Eloquent\Builder|\App\Models\Wxkf\UserInfoModel query()
 * @method static \Illuminate\Database\Eloquent\Builder|\App\Models\Wxkf\UserInfoModel whereCreatedAt($value)
 * @method static \Illuminate\Database\Eloquent\Builder|\App\Models\Wxkf\UserInfoModel whereHeadImg($value)
 * @method static \Illuminate\Database\Eloquent\Builder|\App\Models\Wxkf\UserInfoModel whereId($value)
 * @method static \Illuminate\Database\Eloquent\Builder|\App\Models\Wxkf\UserInfoModel whereNickname($value)
 * @method static \Illuminate\Database\Eloquent\Builder|\App\Models\Wxkf\UserInfoModel whereSex($value)
 * @method static \Illuminate\Database\Eloquent\Builder|\App\Models\Wxkf\UserInfoModel whereUpdatedAt($value)
 * @method static \Illuminate\Database\Eloquent\Builder|\App\Models\Wxkf\UserInfoModel whereWxAlias($value)
 * @method static \Illuminate\Database\Eloquent\Builder|\App\Models\Wxkf\UserInfoModel whereWxid($value)
 * @method static \Illuminate\Database\Eloquent\Builder|\App\Models\Wxkf\UserInfoModel whereWxkfWxid($value)
 * @mixin \Eloquent
 */
class UserInfoModel extends Model
{
    protected $table = "kdgx_wxkf_userinfo";

    public $fillable = [
        'id',
        'created_at',
        'updated_at',
        'wxkf_wxid',
        'wxid',
        'wx_alias',
        'nickname',
        'head_img',
        'sex'
    ];
    public $dateFormat = 'U';
}
