define({ "api": [
  {
    "type": "get",
    "url": "/news/newsContent",
    "title": "新闻详情",
    "version": "1.0.0",
    "name": "newsContent",
    "group": "news",
    "parameter": {
      "fields": {
        "Parameter": [
          {
            "group": "Parameter",
            "type": "Number",
            "optional": false,
            "field": "id",
            "description": "<p>新闻id</p>"
          }
        ]
      }
    },
    "success": {
      "fields": {
        "Success 200": [
          {
            "group": "Success 200",
            "type": "Number",
            "optional": false,
            "field": "code",
            "description": "<p>结果标识</p>"
          },
          {
            "group": "Success 200",
            "type": "String",
            "optional": false,
            "field": "message",
            "description": "<p>结果说明</p>"
          },
          {
            "group": "Success 200",
            "type": "Object",
            "optional": false,
            "field": "data",
            "description": "<p>结果数据</p>"
          }
        ]
      },
      "examples": [
        {
          "title": "Success-Response:",
          "content": "HTTP/11 200 OK\n{\n  \"code\": 1,\n  \"mess\": \"成功\",\n  \"data\": {}\n}",
          "type": "json"
        }
      ]
    },
    "filename": "app/Http/Controllers/Core/Oauth.php",
    "groupTitle": "news"
  },
  {
    "type": "get",
    "url": "/news/newsContent1",
    "title": "新闻详情1",
    "version": "1.0.0",
    "name": "newsContent1",
    "group": "news",
    "parameter": {
      "fields": {
        "Parameter": [
          {
            "group": "Parameter",
            "type": "Number",
            "optional": false,
            "field": "id",
            "description": "<p>新闻id</p>"
          }
        ]
      }
    },
    "success": {
      "fields": {
        "Success 200": [
          {
            "group": "Success 200",
            "type": "Number",
            "optional": false,
            "field": "code",
            "description": "<p>结果标识</p>"
          },
          {
            "group": "Success 200",
            "type": "String",
            "optional": false,
            "field": "message",
            "description": "<p>结果说明</p>"
          },
          {
            "group": "Success 200",
            "type": "Object",
            "optional": false,
            "field": "data",
            "description": "<p>结果数据</p>"
          }
        ]
      },
      "examples": [
        {
          "title": "Success-Response:",
          "content": "HTTP/11 200 OK\n{\n  \"code\": 1,\n  \"mess\": \"成功\",\n  \"data\": {}\n}",
          "type": "json"
        }
      ]
    },
    "filename": "app/Http/Controllers/Core/Oauth.php",
    "groupTitle": "news"
  }
] });
