# Friend好友列表相关

---

  - [AgreeApply同意好友申请](#AgreeApply)
  - [GetUnreadCount好友列表未读概览](#GetUnreadCount)
  - [GetChatHistory好友交互历史|判断是否解锁](#GetChatHistory)
  - [GetStarList星标好友 列表](#GetStarList)
  - [GetEachLikeList心动好友 列表](#GetEachLikeList)
  - [GetAllList好友列表](#GetAllList)
  - [GetApplyReceiveList收到的申请 列表](#GetApplyReceiveList)
  - [GetApplySendList发出申请 列表](#GetApplySendList)
  - [GetApplyAllList申请列表](#GetApplyAllList)

<a name="AgreeApply"></a>
## AgreeApply同意好友申请

`POST`

`/stub-api/v1/friend/agree_apply`

### Requests
|Key|Description|Type|Required|
|:-|:-|:-|:-|
|applyUid |被同意的用户id|`int`|true|

<a name="GetUnreadCount"></a>
## GetUnreadCount好友列表未读概览

`GET`

`/stub-api/v1/friend/get_unread_count`

### Responses
|Key|Description|Type|Required|
|:-|:-|:-|:-|
|result | |`Json`|true|

<a name="GetChatHistory"></a>
## GetChatHistory好友交互历史|判断是否解锁

`GET`

`/stub-api/v1/friend/get_chat_history`

### Requests
|Key|Description|Type|Required|
|:-|:-|:-|:-|
|page | |`int`| |
|friendUid | |`int`|true|

### Responses
|Key|Description|Type|Required|
|:-|:-|:-|:-|
|result | |`Json`|true|

<a name="GetStarList"></a>
## GetStarList星标好友 列表

`GET`

`/stub-api/v1/friend/get_star_list`

### Requests
|Key|Description|Type|Required|
|:-|:-|:-|:-|
|page | |`int`| |

### Responses
|Key|Description|Type|Required|
|:-|:-|:-|:-|
|result | |`Json`|true|

<a name="GetEachLikeList"></a>
## GetEachLikeList心动好友 列表

`GET`

`/stub-api/v1/friend/get_each_like_list`

### Requests
|Key|Description|Type|Required|
|:-|:-|:-|:-|
|page | |`int`| |

### Responses
|Key|Description|Type|Required|
|:-|:-|:-|:-|
|result | |`Json`|true|

<a name="GetAllList"></a>
## GetAllList好友列表

`GET`

`/stub-api/v1/friend/get_all_list`

### Requests
|Key|Description|Type|Required|
|:-|:-|:-|:-|
|page | |`int`| |

### Responses
|Key|Description|Type|Required|
|:-|:-|:-|:-|
|result | |`Json`|true|

<a name="GetApplyReceiveList"></a>
## GetApplyReceiveList收到的申请 列表

`GET`

`/stub-api/v1/friend/get_apply_receive_list`

### Requests
|Key|Description|Type|Required|
|:-|:-|:-|:-|
|page | |`int`| |

### Responses
|Key|Description|Type|Required|
|:-|:-|:-|:-|
|result | |`Json`|true|

<a name="GetApplySendList"></a>
## GetApplySendList发出申请 列表

`GET`

`/stub-api/v1/friend/get_apply_send_list`

### Requests
|Key|Description|Type|Required|
|:-|:-|:-|:-|
|page | |`int`| |

### Responses
|Key|Description|Type|Required|
|:-|:-|:-|:-|
|result | |`Json`|true|

<a name="GetApplyAllList"></a>
## GetApplyAllList申请列表

`GET`

`/stub-api/v1/friend/get_apply_all_list`

### Requests
|Key|Description|Type|Required|
|:-|:-|:-|:-|
|page | |`int`| |

### Responses
|Key|Description|Type|Required|
|:-|:-|:-|:-|
|result | |`Json`|true|

