# Notice通知开关配置

---

  - [UpdateNoticeByGroup修改通知群组开关配置](#UpdateNoticeByGroup)
  - [UpdateNoticeByKey修改通知开关配置](#UpdateNoticeByKey)
  - [GetNoticeByKeyToInt获取通知开关配置](#GetNoticeByKeyToInt)
  - [GetNoticeProfileList获取我的通知开关配置](#GetNoticeProfileList)

<a name="UpdateNoticeByGroup"></a>
## UpdateNoticeByGroup修改通知群组开关配置

`POST`

`/stub-api/v1/notice/update_notice_by_group`

### Requests
|Key|Description|Type|Required|
|:-|:-|:-|:-|
|group |群组|`String`|true|
|isOpen |开关|`Boolean`|true|

<a name="UpdateNoticeByKey"></a>
## UpdateNoticeByKey修改通知开关配置

`POST`

`/stub-api/v1/notice/update_notice_by_key`

### Requests
|Key|Description|Type|Required|
|:-|:-|:-|:-|
|key |通知key|`String`|true|
|isOpen |开关|`boolean`| |

<a name="GetNoticeByKeyToInt"></a>
## GetNoticeByKeyToInt获取通知开关配置

`GET`

`/stub-api/v1/notice/get_notice_by_key_to_int`

### Requests
|Key|Description|Type|Required|
|:-|:-|:-|:-|
|key |通知key|`String`|true|

### Responses
|Key|Description|Type|Required|
|:-|:-|:-|:-|
|result | |`Json`|true|

<a name="GetNoticeProfileList"></a>
## GetNoticeProfileList获取我的通知开关配置

`GET`

`/stub-api/v1/notice/get_notice_profile_list`

### Responses
|Key|Description|Type|Required|
|:-|:-|:-|:-|
|result | |`Json`|true|

