# Pair72小时相关

---

  - [GetAloneGroup获取脱单群](#GetAloneGroup)
  - [RemoveKeepCp移除cp关系](#RemoveKeepCp)
  - [KeepCp保持cp关系](#KeepCp)
  - [GetKeepRoom获取保持关系的房间](#GetKeepRoom)
  - [ConfirmBeAlone确认落单](#ConfirmBeAlone)
  - [OperationalLog操作日志](#OperationalLog)
  - [Regrets反悔CP关系](#Regrets)
  - [ConfirmCp确认CP关系](#ConfirmCp)
  - [AddScoreByFlower通过小花提升72小时匹配成功率](#AddScoreByFlower)
  - [Refund退款](#Refund)
  - [EnrollNext报名下一期](#EnrollNext)
  - [EnrollPro付费报名](#EnrollPro)
  - [EnrollFree免费报名](#EnrollFree)
  - [GetAllTags获取所有标签](#GetAllTags)
  - [GetActivityList获取匹配列表](#GetActivityList)
  - [Lastenroll最近报名的列表](#Lastenroll)
  - [GetActivityConductStageId获取当前正在进行的活动](#GetActivityConductStageId)
  - [ActivityInfo通过期数获取匹配信息](#ActivityInfo)
  - [ActivityRecent获取我最后一次报名的数据](#ActivityRecent)
  - [ActivityLast获取当前活动信息](#ActivityLast)

<a name="GetAloneGroup"></a>
## GetAloneGroup获取脱单群

`GET`

`/stub-api/v1/pair/get_alone_group`

### Requests
|Key|Description|Type|Required|
|:-|:-|:-|:-|
|stageId |期数|`Integer`| |
|activityType |获取类型(72h|qbj)【默认:72h】|`String`| |

### Responses
|Key|Description|Type|Required|
|:-|:-|:-|:-|
|result | |`Json`|true|

<a name="RemoveKeepCp"></a>
## RemoveKeepCp移除cp关系

`DELETE`

`/stub-api/v1/pair/remove_keep_cp`

### Requests
|Key|Description|Type|Required|
|:-|:-|:-|:-|
|roomId | |`Integer`|true|

### Responses
|Key|Description|Type|Required|
|:-|:-|:-|:-|
|result | |`Json`|true|

<a name="KeepCp"></a>
## KeepCp保持cp关系

`POST`

`/stub-api/v1/pair/keep_cp`

### Requests
|Key|Description|Type|Required|
|:-|:-|:-|:-|
|roomId | |`Integer`|true|

### Responses
|Key|Description|Type|Required|
|:-|:-|:-|:-|
|result | |`Json`|true|

<a name="GetKeepRoom"></a>
## GetKeepRoom获取保持关系的房间

`GET`

`/stub-api/v1/pair/get_keep_room`

### Responses
|Key|Description|Type|Required|
|:-|:-|:-|:-|
|result | |`Json`|true|

<a name="ConfirmBeAlone"></a>
## ConfirmBeAlone确认落单

`POST`

`/stub-api/v1/pair/confirm_be_alone`

### Requests
|Key|Description|Type|Required|
|:-|:-|:-|:-|
|stageId | |`Integer`|true|

### Responses
|Key|Description|Type|Required|
|:-|:-|:-|:-|
|result | |`Json`|true|

<a name="OperationalLog"></a>
## OperationalLog操作日志

`POST`

`/stub-api/v1/pair/operational_log`

### Requests
|Key|Description|Type|Required|
|:-|:-|:-|:-|
|stageId | |`Integer`|true|
|type | |`String`|true|
|content | |`String`|true|

### Responses
|Key|Description|Type|Required|
|:-|:-|:-|:-|
|result | |`Json`|true|

<a name="Regrets"></a>
## Regrets反悔CP关系

`PUT`

`/stub-api/v1/pair/regrets`

### Requests
|Key|Description|Type|Required|
|:-|:-|:-|:-|
|pairId | |`Integer`|true|

### Responses
|Key|Description|Type|Required|
|:-|:-|:-|:-|
|result | |`Json`|true|

<a name="ConfirmCp"></a>
## ConfirmCp确认CP关系

`PUT`

`/stub-api/v1/pair/confirm_cp`

### Requests
|Key|Description|Type|Required|
|:-|:-|:-|:-|
|pairId | |`Integer`|true|
|confirm | |`Integer`|true|

### Responses
|Key|Description|Type|Required|
|:-|:-|:-|:-|
|result | |`Json`|true|

<a name="AddScoreByFlower"></a>
## AddScoreByFlower通过小花提升72小时匹配成功率

`POST`

`/stub-api/v1/pair/add_score_by_flower`

### Requests
|Key|Description|Type|Required|
|:-|:-|:-|:-|
|pairId | |`Integer`|true|
|redFlower | |`Integer`|true|
|goldFlower | |`Integer`|true|

### Responses
|Key|Description|Type|Required|
|:-|:-|:-|:-|
|result | |`Json`|true|

<a name="Refund"></a>
## Refund退款

`GET`

`/stub-api/v1/pair/refund`

### Requests
|Key|Description|Type|Required|
|:-|:-|:-|:-|
|pairId | |`Integer`|true|

### Responses
|Key|Description|Type|Required|
|:-|:-|:-|:-|
|result | |`Json`|true|

<a name="EnrollNext"></a>
## EnrollNext报名下一期

`POST`

`/stub-api/v1/pair/enroll_next`

### Requests
|Key|Description|Type|Required|
|:-|:-|:-|:-|
|lastStageId | |`Integer`|true|
|allowPhoto | |`Integer`| |

### Responses
|Key|Description|Type|Required|
|:-|:-|:-|:-|
|result | |`Json`|true|

<a name="EnrollPro"></a>
## EnrollPro付费报名

`POST`

`/stub-api/v1/pair/enroll_pro`

### Requests
|Key|Description|Type|Required|
|:-|:-|:-|:-|
|couponId |优惠券ID|`Integer`| |
|stageId | |`Integer`| |
|mediaId | |`String`| |
|totalFee | |`Integer`|true|
|state | |`Integer`|true|
|addScore | |`Integer`|true|
|activityType | |`String`| |
|allowPhoto | |`String`| |

### Responses
|Key|Description|Type|Required|
|:-|:-|:-|:-|
|result | |`Json`|true|

<a name="EnrollFree"></a>
## EnrollFree免费报名

`POST`

`/stub-api/v1/pair/enroll_free`

### Requests
|Key|Description|Type|Required|
|:-|:-|:-|:-|
|stageId | |`Integer`| |
|mediaId | |`String`| |
|state | |`Integer`|true|
|score | |`Integer`|true|
|activityType | |`String`| |
|allowPhoto | |`String`| |

### Responses
|Key|Description|Type|Required|
|:-|:-|:-|:-|
|result | |`Json`|true|

<a name="GetAllTags"></a>
## GetAllTags获取所有标签

`GET`

`/stub-api/v1/pair/get_all_tags`

### Responses
|Key|Description|Type|Required|
|:-|:-|:-|:-|
|result | |`Json`|true|

<a name="GetActivityList"></a>
## GetActivityList获取匹配列表

`GET`

`/stub-api/v1/pair/get_activity_list`

### Responses
|Key|Description|Type|Required|
|:-|:-|:-|:-|
|result | |`Json`|true|

<a name="Lastenroll"></a>
## Lastenroll最近报名的列表

`GET`

`/stub-api/v1/pair/lastenroll`

### Responses
|Key|Description|Type|Required|
|:-|:-|:-|:-|
|result | |`Json`|true|

<a name="GetActivityConductStageId"></a>
## GetActivityConductStageId获取当前正在进行的活动

`GET`

`/stub-api/v1/pair/get_activity_conduct_stage_id`

### Responses
|Key|Description|Type|Required|
|:-|:-|:-|:-|
|result | |`Json`|true|

<a name="ActivityInfo"></a>
## ActivityInfo通过期数获取匹配信息

`GET`

`/stub-api/v1/pair/activity_info`

### Requests
|Key|Description|Type|Required|
|:-|:-|:-|:-|
|stageId | |`int`|true|

### Responses
|Key|Description|Type|Required|
|:-|:-|:-|:-|
|result | |`Json`|true|

<a name="ActivityRecent"></a>
## ActivityRecent获取我最后一次报名的数据

`GET`

`/stub-api/v1/pair/activity_recent`

### Responses
|Key|Description|Type|Required|
|:-|:-|:-|:-|
|result | |`Json`|true|

<a name="ActivityLast"></a>
## ActivityLast获取当前活动信息

`GET`

`/stub-api/v1/pair/activity_last`

### Requests
|Key|Description|Type|Required|
|:-|:-|:-|:-|
|activityType | |`int`| |

### Responses
|Key|Description|Type|Required|
|:-|:-|:-|:-|
|result | |`Json`|true|

