# Partner卡片相关

---

  - [LockLikeMe超级会员解锁 App解锁 解锁喜欢我的卡片](#LockLikeMe)
  - [SetPartnerSell设置(开/关)隐藏卡片](#SetPartnerSell)
  - [ThumbPartner点赞卡片](#ThumbPartner)
  - [GetPartnerUser获取卡片用户信息](#GetPartnerUser)

<a name="LockLikeMe"></a>
## LockLikeMe超级会员解锁 App解锁 解锁喜欢我的卡片

`POST`

`/stub-api/v1/partner/lock_like_me`

### Requests
|Key|Description|Type|Required|
|:-|:-|:-|:-|
|partnerId | |`int`|true|
|origin | |`String`| |

<a name="SetPartnerSell"></a>
## SetPartnerSell设置(开/关)隐藏卡片

`POST`

`/stub-api/v1/partner/set_partner_sell`

### Requests
|Key|Description|Type|Required|
|:-|:-|:-|:-|
|partner_id | |`Integer`|true|
|is_sell | |`Boolean`|true|

<a name="ThumbPartner"></a>
## ThumbPartner点赞卡片

`POST`

`/stub-api/v1/partner/thumb_partner`

### Requests
|Key|Description|Type|Required|
|:-|:-|:-|:-|
|partnerId |卡片id|`int`|true|
|thumb |点赞与否|[`Enums.PartnerThumb`](/stub-docs/{{version}}/generated/enums#PartnerThumb)|true|

### Responses
|Key|Description|Type|Required|
|:-|:-|:-|:-|
|result | |`Json`|true|

<a name="GetPartnerUser"></a>
## GetPartnerUser获取卡片用户信息

`POST`

`/stub-api/v1/partner/get_partner_user`

### Requests
|Key|Description|Type|Required|
|:-|:-|:-|:-|
|partnerId | |`Integer`| |
|uid | |`Integer`| |

### Responses
|Key|Description|Type|Required|
|:-|:-|:-|:-|
|result | |`Json`|true|

