# AdminPartner

---

  - [Change2New救活卡片](#Change2New)
  - [LowList标记不推荐的列表](#LowList)
  - [UnSelectPartner取消精选](#UnSelectPartner)
  - [IsSelectedList已精选列表](#IsSelectedList)

<a name="Change2New"></a>
## Change2New救活卡片

`POST`

`/stub-api/v1_1/admin_partner/change2_new`

### Requests
|Key|Description|Type|Required|
|:-|:-|:-|:-|
|req |请求数据包|[`Models.ChangePartner2New[]`](/stub-docs/{{version}}/generated/models#ChangePartner2New)| |

<a name="LowList"></a>
## LowList标记不推荐的列表

`POST`

`/stub-api/v1_1/admin_partner/low_list`

### Requests
|Key|Description|Type|Required|
|:-|:-|:-|:-|
|pages |页码|`int`| |

### Responses
|Key|Description|Type|Required|
|:-|:-|:-|:-|
|page | |[`Models.Page`](/stub-docs/{{version}}/generated/models#Page)|true|
|partners | |[`Models.AdminPartner[]`](/stub-docs/{{version}}/generated/models#AdminPartner)|true|

<a name="UnSelectPartner"></a>
## UnSelectPartner取消精选

`POST`

`/stub-api/v1_1/admin_partner/un_select_partner`

### Requests
|Key|Description|Type|Required|
|:-|:-|:-|:-|
|partnerId |卡片id|`int`| |

<a name="IsSelectedList"></a>
## IsSelectedList已精选列表

`POST`

`/stub-api/v1_1/admin_partner/is_selected_list`

### Requests
|Key|Description|Type|Required|
|:-|:-|:-|:-|
|pages |页码|`int`| |
|isFeedPush |是否只看可推流的:true=是;false=全部|`boolean`| |
|sex |性别 0=全部|[`Enums.Gender`](/stub-docs/{{version}}/generated/enums#Gender)| |

### Responses
|Key|Description|Type|Required|
|:-|:-|:-|:-|
|page | |[`Models.Page`](/stub-docs/{{version}}/generated/models#Page)|true|
|partners | |[`Models.AdminPartner[]`](/stub-docs/{{version}}/generated/models#AdminPartner)|true|

