# ImIM相关的接口

> {primary} IM相关的接口<br>消息存在 腾讯云消息，本地消息，最近消息 超过七天未同步自己服务器消息，需要先拉最近消息 其他时候，刚进入时拉取腾讯云用户列表的消息<br>如果有消息返回，重复拉取直到全部拉出 并且上报已读，以免未读消息被重复拉取<br>发消息时，先发送腾讯云，配置单聊消息回调可以自动上报自己的服务器，记录双方的最近消息 每次上报新消息时，保留自己的最近消息十条<br>暂时不确定定位消息是否使用seq，如果使用则必须先发送获取seq后上报


---

  - [MarkUserMessagesRead标记消息已读](#MarkUserMessagesRead)
  - [Delete删除消息，删除自己的最近消息](#Delete)
  - [Revoke撤回消息，删除两个人的最近消息](#Revoke)
  - [Send发送消息](#Send)
  - [GetUsersLatests获取用户最近消息，最近10条](#GetUsersLatests)

<a name="MarkUserMessagesRead"></a>
## MarkUserMessagesRead标记消息已读

`POST`

`/stub-api/v1_1/im/mark_user_messages_read`

### Requests
|Key|Description|Type|Required|
|:-|:-|:-|:-|
|message | |[`Models.TimMessage`](/stub-docs/{{version}}/generated/models#TimMessage)|true|

<a name="Delete"></a>
## Delete删除消息，删除自己的最近消息

`POST`

`/stub-api/v1_1/im/delete`

### Requests
|Key|Description|Type|Required|
|:-|:-|:-|:-|
|message | |[`Models.TimMessage`](/stub-docs/{{version}}/generated/models#TimMessage)|true|

<a name="Revoke"></a>
## Revoke撤回消息，删除两个人的最近消息

`POST`

`/stub-api/v1_1/im/revoke`

### Requests
|Key|Description|Type|Required|
|:-|:-|:-|:-|
|message | |[`Models.TimMessage`](/stub-docs/{{version}}/generated/models#TimMessage)|true|

<a name="Send"></a>
## Send发送消息

`POST`

`/stub-api/v1_1/im/send`


> {primary} 发送消息<br>由服务端转接发送消息

<a name="GetUsersLatests"></a>
## GetUsersLatests获取用户最近消息，最近10条

`POST`

`/stub-api/v1_1/im/get_users_latests`


> {primary} 获取用户最近消息，最近10条<br>用户读列表时会依次从腾讯云获取聊天记录 不满10条的从这里读 不需要每次读，并且进入会话后不使用这个

### Requests
|Key|Description|Type|Required|
|:-|:-|:-|:-|
|uids | |`int[]`|true|

### Responses
|Key|Description|Type|Required|
|:-|:-|:-|:-|
|messages |先全甩回去|[`Models.TimMessage[]`](/stub-docs/{{version}}/generated/models#TimMessage)|true|

