# Payment

---

  - [FetchAppWechatPayParams获取微信支付参数](#FetchAppWechatPayParams)
  - [GetCouponDetail获取卡券信息](#GetCouponDetail)
  - [GetCouponList卡券列表](#GetCouponList)

<a name="FetchAppWechatPayParams"></a>
## FetchAppWechatPayParams获取微信支付参数

`POST`

`/stub-api/v1_1/payment/fetch_app_wechat_pay_params`

### Requests
|Key|Description|Type|Required|
|:-|:-|:-|:-|
|orderId | |`int`|true|

### Responses
|Key|Description|Type|Required|
|:-|:-|:-|:-|
|result | |`Json`|true|

<a name="GetCouponDetail"></a>
## GetCouponDetail获取卡券信息

`GET`

`/stub-api/v1_1/payment/get_coupon_detail`

### Requests
|Key|Description|Type|Required|
|:-|:-|:-|:-|
|couponId | |`int`|true|
|goodsId | |`int`| |

### Responses
|Key|Description|Type|Required|
|:-|:-|:-|:-|
|result | |`Json`|true|

<a name="GetCouponList"></a>
## GetCouponList卡券列表

`GET`

`/stub-api/v1_1/payment/get_coupon_list`

### Requests
|Key|Description|Type|Required|
|:-|:-|:-|:-|
|type | |`String`| |
|goodsScope | |`String`| |
|perPage | |`int`| |

### Responses
|Key|Description|Type|Required|
|:-|:-|:-|:-|
|result | |`Json`|true|

