# UserHome用户首页列表接口

---

  - [GetPopularity获取人气值](#GetPopularity)
  - [RemindComplementCard提醒TA补全信息](#RemindComplementCard)
  - [GetVisitorList访客列表](#GetVisitorList)
  - [GetMyLikeList获取我喜欢的列表](#GetMyLikeList)
  - [GetLikeMeList获取心动我的列表](#GetLikeMeList)

<a name="GetPopularity"></a>
## GetPopularity获取人气值

`POST`

`/stub-api/v1_1/user_home/get_popularity`

### Responses
|Key|Description|Type|Required|
|:-|:-|:-|:-|
|popularity_share_end_at |分享助力到期时间|`int`|true|
|popularity_sign_end_at |签到助力到期时间|`int`|true|
|popularity_supvip_endat |超级会员助力到期时间|`int`|true|
|popularity |人气值|`int`|true|
|base |人气值基础分|`int`|true|

<a name="RemindComplementCard"></a>
## RemindComplementCard提醒TA补全信息

`POST`

`/stub-api/v1_1/user_home/remind_complement_card`

### Requests
|Key|Description|Type|Required|
|:-|:-|:-|:-|
|remind_uid | |`Integer`|true|
|type | |[`Enums.RemindNoticeType`](/stub-docs/{{version}}/generated/enums#RemindNoticeType)|true|

<a name="GetVisitorList"></a>
## GetVisitorList访客列表

`POST`

`/stub-api/v1_1/user_home/get_visitor_list`

### Requests
|Key|Description|Type|Required|
|:-|:-|:-|:-|
|page |分页(页数)|`Integer`| |
|limit |每页多少|`Integer`| |
|uid |用户id;不天默认取自己的|`int`| |

### Responses
|Key|Description|Type|Required|
|:-|:-|:-|:-|
|result | |`Json`|true|

<a name="GetMyLikeList"></a>
## GetMyLikeList获取我喜欢的列表

`GET`

`/stub-api/v1_1/user_home/get_my_like_list`

### Requests
|Key|Description|Type|Required|
|:-|:-|:-|:-|
|page |分页(页数)|`Integer`| |
|limit |每页多少|`Integer`| |

### Responses
|Key|Description|Type|Required|
|:-|:-|:-|:-|
|result | |`Json`|true|

<a name="GetLikeMeList"></a>
## GetLikeMeList获取心动我的列表

`GET`

`/stub-api/v1_1/user_home/get_like_me_list`

### Requests
|Key|Description|Type|Required|
|:-|:-|:-|:-|
|page |分页(页数)|`Integer`| |
|limit |每页多少|`Integer`| |

### Responses
|Key|Description|Type|Required|
|:-|:-|:-|:-|
|result | |`Json`|true|

