  - [IMCustomMsgTypeIM自定义消息类型](#IMCustomMsgType)
  - [RemindNoticeType提醒ta完善信息通知type](#RemindNoticeType)
  - [PartnerThumb](#PartnerThumb)
  - [RecommendPairApplyListContactInviteState推荐CP邀请列表中与联系人的邀请状态](#RecommendPairApplyListContactInviteState)
  - [RecommendPairApplyListContactLockState推荐CP邀请列表中与联系人的解锁状态](#RecommendPairApplyListContactLockState)
  - [AllContactsListType全部联系人-列表项类型](#AllContactsListType)
  - [WorkState工作状态](#WorkState)
  - [Constellation星座](#Constellation)
  - [Gender性别](#Gender)
  - [ChangePartner2NewType](#ChangePartner2NewType)
  - [FriendLevel](#FriendLevel)
  - [FriendInvitationType](#FriendInvitationType)
  - [IMMessageType](#IMMessageType)

<a name="IMCustomMsgType"></a>
## IMCustomMsgTypeIM自定义消息类型
|Key|Value|Description|
|:-|:-|:-|
|EventFriendApply|EventFriendApply|好友申请|
|EventAgreeFriendApply|EventAgreeFriendApply|同意好友申请|
|EventRefuseRefuseFriendApply|EventRefuseRefuseFriendApply|拒绝好友申请|
|EventBeContact|EventBeContact|成为普通联系人|
|EventBeFriend|EventBeFriend|成为好友联系人|
|MsgLikeQA|MsgLikeQA|玩法消息-心动问答|
|MsgLikeSing|MsgLikeSing|玩法消息-唱首歌|
|MsgLikeDraw|MsgLikeDraw|玩法消息-走心一画|
<a name="RemindNoticeType"></a>
## RemindNoticeType提醒ta完善信息通知type
|Key|Value|Description|
|:-|:-|:-|
|UNKONWN|0|未定义|
|FLOW|1|信息流提醒|
|MYLIKE|2|我心动的|
|LIKEME|3|心动我的|
<a name="PartnerThumb"></a>
## PartnerThumb
|Key|Value|Description|
|:-|:-|:-|
|UNLIKE|0|不喜欢|
|LIKE|1|喜欢|
<a name="RecommendPairApplyListContactInviteState"></a>
## RecommendPairApplyListContactInviteState推荐CP邀请列表中与联系人的邀请状态
|Key|Value|Description|
|:-|:-|:-|
|unInvite|unInvite|未邀请|
|inviteAndReceive|inviteAndReceive|已邀请并接受|
|inviteAndWait|inviteAndWait|已邀请并待接受|
|inviteAndRefuse|inviteAndRefuse|已邀请并且拒绝|
<a name="RecommendPairApplyListContactLockState"></a>
## RecommendPairApplyListContactLockState推荐CP邀请列表中与联系人的解锁状态
|Key|Value|Description|
|:-|:-|:-|
|UNLOCK|0|未解锁|
|LOCK|1|解锁|
<a name="AllContactsListType"></a>
## AllContactsListType全部联系人-列表项类型
|Key|Value|Description|
|:-|:-|:-|
|contact|contact|联系人|
|systemNotice|systemNotice|系统消息|
|friendApply|friendApply|好友申请|
|hello|hello|打招呼|
<a name="WorkState"></a>
## WorkState工作状态
|Key|Value|Description|
|:-|:-|:-|
|未知|未知| |
|工作党|工作党| |
|大学党|大学党| |
|高中党|高中党| |
|保密|保密| |
<a name="Constellation"></a>
## Constellation星座
|Key|Value|Description|
|:-|:-|:-|
|白羊座|白羊座| |
|金牛座|金牛座| |
|双子座|双子座| |
|巨蟹座|巨蟹座| |
|狮子座|狮子座| |
|处女座|处女座| |
|天秤座|天秤座| |
|天蝎座|天蝎座| |
|射手座|射手座| |
|摩羯座|摩羯座| |
|水瓶座|水瓶座| |
|双鱼座|双鱼座| |
<a name="Gender"></a>
## Gender性别
|Key|Value|Description|
|:-|:-|:-|
|UNKONWN|0|未知|
|MALE|1|男|
|FEMALE|2|女|
<a name="ChangePartner2NewType"></a>
## ChangePartner2NewType
|Key|Value|Description|
|:-|:-|:-|
|TOLOW|0|放弃|
|TONEW|1|救活|
<a name="FriendLevel"></a>
## FriendLevel
|Key|Value|Description|
|:-|:-|:-|
|STRANGER|0|陌生人|
|CONCONTACT|1|普通联系人|
|FRIEND|2|好友|
<a name="FriendInvitationType"></a>
## FriendInvitationType
|Key|Value|Description|
|:-|:-|:-|
|HELLO|0|打招呼|
|PHOTO|1|爆照(已废除)|
|ASKING|2|心动问答|
|SINGING|3|唱歌|
|DRAWING|4|走心一画|
<a name="IMMessageType"></a>
## IMMessageType
|Key|Value|Description|
|:-|:-|:-|
|TIMTextElem|TIMTextElem|文本消息|
|TIMLocationElem|TIMLocationElem|地理位置消息|
|TIMFaceElem|TIMFaceElem|表情消息|
|TIMCustomElem|TIMCustomElem|自定义消息元素|
|TIMSoundElem|TIMSoundElem|语音消息。（服务端集成 Rest API 不支持发送该类消息）|
|TIMImageElem|TIMImageElem|图像消息。（服务端集成 Rest API 不支持发送该类消息）|
|TIMFileElem|TIMFileElem|文件消息。（服务端集成 Rest API 不支持发送该类消息）|
|TIMVideoFileElem|TIMVideoFileElem|视频消息。（服务端集成 Rest API 不支持发送该类消息）|

