<?php

namespace App\Events;

use Illuminate\Foundation\Events\Dispatchable;
use Illuminate\Broadcasting\InteractsWithSockets;

/**
 * 审核卡片事件
 * Class CheckPartner
 * @package App\Events
 */
class CheckPartner
{
    use Dispatchable;
    use InteractsWithSockets;

    public $uid;
    public $field;
    public $check;
    public $stackGlobalConfig;

    /**
     * Create a new event instance.
     *
     * @param  int  $uid
     * @param  string  $field
     * @param  int  $check
     */
    public function __construct(int $uid, string $field, int $check)
    {
        $this->uid = $uid;
        $this->field = $field;
        $this->check = $check;
    }
}
