<?php

namespace App\Generated\V1_1\Messages\UserHome;

use Kamicloud\StubApi\Concerns\ValueHelper;
use Kamicloud\StubApi\Http\Messages\Message;
use Kamicloud\StubApi\Utils\Constants;

class GetPopularityMessage extends Message
{
    use ValueHelper;

    protected $popularity_share_end_at;
    protected $popularity_sign_end_at;
    protected $popularity_supvip_endat;
    protected $popularity;
    protected $base;

    public function requestRules()
    {
        return [
        ];
    }

    public function responseRules()
    {
        return [
            ['popularity_share_end_at', 'popularity_share_end_at', 'bail|integer', Constants::INTEGER, null],
            ['popularity_sign_end_at', 'popularity_sign_end_at', 'bail|integer', Constants::INTEGER, null],
            ['popularity_supvip_endat', 'popularity_supvip_endat', 'bail|integer', Constants::INTEGER, null],
            ['popularity', 'popularity', 'bail|integer', Constants::INTEGER, null],
            ['base', 'base', 'bail|integer', Constants::INTEGER, null],
        ];
    }

    public function setResponse($popularity_share_end_at, $popularity_sign_end_at, $popularity_supvip_endat, $popularity, $base)
    {
        $this->popularity_share_end_at = $popularity_share_end_at;
        $this->popularity_sign_end_at = $popularity_sign_end_at;
        $this->popularity_supvip_endat = $popularity_supvip_endat;
        $this->popularity = $popularity;
        $this->base = $base;
    }

}
