<?php

namespace App\Models\Appearance;

use Illuminate\Database\Eloquent\Model;

/**
 * App\Models\Appearance\PartnerRankModel
 *
 * @property int $id
 * @property string $type 榜单类型
 * @property string $date 日期
 * @property int $partner_id 卡片
 * @property int $sex 性别
 * @property string $school
 * @property int $count 投票数
 * @method static \Illuminate\Database\Eloquent\Builder|\App\Models\Appearance\PartnerRankModel newModelQuery()
 * @method static \Illuminate\Database\Eloquent\Builder|\App\Models\Appearance\PartnerRankModel newQuery()
 * @method static \Illuminate\Database\Eloquent\Builder|\App\Models\Appearance\PartnerRankModel query()
 * @method static \Illuminate\Database\Eloquent\Builder|\App\Models\Appearance\PartnerRankModel whereCount($value)
 * @method static \Illuminate\Database\Eloquent\Builder|\App\Models\Appearance\PartnerRankModel whereDate($value)
 * @method static \Illuminate\Database\Eloquent\Builder|\App\Models\Appearance\PartnerRankModel whereId($value)
 * @method static \Illuminate\Database\Eloquent\Builder|\App\Models\Appearance\PartnerRankModel wherePartnerId($value)
 * @method static \Illuminate\Database\Eloquent\Builder|\App\Models\Appearance\PartnerRankModel whereSchool($value)
 * @method static \Illuminate\Database\Eloquent\Builder|\App\Models\Appearance\PartnerRankModel whereSex($value)
 * @method static \Illuminate\Database\Eloquent\Builder|\App\Models\Appearance\PartnerRankModel whereType($value)
 * @mixin \Eloquent
 */
class PartnerRankModel extends Model
{
    //
    protected $table = 'fpdx_appearance_partner_ranks';

    public $timestamps = false;

    protected $fillable = ['type', 'sex', 'partner_id', 'count', 'date', 'school'];
}
