<?php

namespace App\Models\Appearance;

use Illuminate\Database\Eloquent\Model;

/**
 * App\Models\Appearance\SchoolRankModel
 *
 * @property int $id
 * @property string $type 榜单类型
 * @property string $date 日期
 * @property string $province 省
 * @property string $city 城市
 * @property string $school 学校
 * @property int $count 投票数
 * @method static \Illuminate\Database\Eloquent\Builder|\App\Models\Appearance\SchoolRankModel newModelQuery()
 * @method static \Illuminate\Database\Eloquent\Builder|\App\Models\Appearance\SchoolRankModel newQuery()
 * @method static \Illuminate\Database\Eloquent\Builder|\App\Models\Appearance\SchoolRankModel query()
 * @method static \Illuminate\Database\Eloquent\Builder|\App\Models\Appearance\SchoolRankModel whereCity($value)
 * @method static \Illuminate\Database\Eloquent\Builder|\App\Models\Appearance\SchoolRankModel whereCount($value)
 * @method static \Illuminate\Database\Eloquent\Builder|\App\Models\Appearance\SchoolRankModel whereDate($value)
 * @method static \Illuminate\Database\Eloquent\Builder|\App\Models\Appearance\SchoolRankModel whereId($value)
 * @method static \Illuminate\Database\Eloquent\Builder|\App\Models\Appearance\SchoolRankModel whereProvince($value)
 * @method static \Illuminate\Database\Eloquent\Builder|\App\Models\Appearance\SchoolRankModel whereSchool($value)
 * @method static \Illuminate\Database\Eloquent\Builder|\App\Models\Appearance\SchoolRankModel whereType($value)
 * @mixin \Eloquent
 */
class SchoolRankModel extends Model
{
    //

    protected $table = 'fpdx_appearance_school_ranks';

    public $timestamps = false;

    protected $fillable = ['type', 'province', 'city', 'count', 'date', 'school'];
}
