<?php

namespace App\Models;

/**
 * App\Models\BannerModel
 *
 * @property int $id 主键
 * @property \Illuminate\Support\Carbon $created_at 创建时间
 * @property \Illuminate\Support\Carbon|null $updated_at 更新时间
 * @property string|null $title 标题
 * @property string|null $description 描述
 * @property string|null $pic_url 图片地址
 * @property string|null $url 动作参数
 * @property string|null $action_type 动作类型
 * @property string|null $position 位置
 * @property int|null $sort 排序desc
 * @method static \Illuminate\Database\Eloquent\Builder|\App\Models\BannerModel newModelQuery()
 * @method static \Illuminate\Database\Eloquent\Builder|\App\Models\BannerModel newQuery()
 * @method static \Illuminate\Database\Eloquent\Builder|\App\Models\BannerModel query()
 * @method static \Illuminate\Database\Eloquent\Builder|\App\Models\BannerModel whereActionType($value)
 * @method static \Illuminate\Database\Eloquent\Builder|\App\Models\BannerModel whereCreatedAt($value)
 * @method static \Illuminate\Database\Eloquent\Builder|\App\Models\BannerModel whereDescription($value)
 * @method static \Illuminate\Database\Eloquent\Builder|\App\Models\BannerModel whereId($value)
 * @method static \Illuminate\Database\Eloquent\Builder|\App\Models\BannerModel wherePicUrl($value)
 * @method static \Illuminate\Database\Eloquent\Builder|\App\Models\BannerModel wherePosition($value)
 * @method static \Illuminate\Database\Eloquent\Builder|\App\Models\BannerModel whereSort($value)
 * @method static \Illuminate\Database\Eloquent\Builder|\App\Models\BannerModel whereTitle($value)
 * @method static \Illuminate\Database\Eloquent\Builder|\App\Models\BannerModel whereUpdatedAt($value)
 * @method static \Illuminate\Database\Eloquent\Builder|\App\Models\BannerModel whereUrl($value)
 * @mixin \Eloquent
 */
class BannerModel extends Model
{
    protected $table = 'kdgx_fpdx_banner';

    public $dateFormat = 'U';

    protected $fillable = ['title', 'description', 'pic_url', 'url', 'action_type', 'position', 'sort'];
}
