<?php

namespace App\Models;

/**
 * App\Models\CheckLog
 *
 * @property int $id 主键
 * @property \Illuminate\Support\Carbon $created_at 创建时间
 * @property \Illuminate\Support\Carbon|null $updated_at 更新时间
 * @property int $partner_id 卡片id
 * @property string $log 日志
 * @method static \Illuminate\Database\Eloquent\Builder|\App\Models\CheckLog newModelQuery()
 * @method static \Illuminate\Database\Eloquent\Builder|\App\Models\CheckLog newQuery()
 * @method static \Illuminate\Database\Eloquent\Builder|\App\Models\CheckLog query()
 * @method static \Illuminate\Database\Eloquent\Builder|\App\Models\CheckLog whereCreatedAt($value)
 * @method static \Illuminate\Database\Eloquent\Builder|\App\Models\CheckLog whereId($value)
 * @method static \Illuminate\Database\Eloquent\Builder|\App\Models\CheckLog whereLog($value)
 * @method static \Illuminate\Database\Eloquent\Builder|\App\Models\CheckLog wherePartnerId($value)
 * @method static \Illuminate\Database\Eloquent\Builder|\App\Models\CheckLog whereUpdatedAt($value)
 * @mixin \Eloquent
 */
class CheckLog extends Model
{
    protected $table = "check_logs";

    protected $dateFormat = 'U';

    protected $fillable = ['id', 'created_at', 'updated_at', 'partner_id', 'log'];
}
