<?php

namespace App\Models;

/**
 * App\Models\CommentModel
 *
 * @method static \Illuminate\Database\Eloquent\Builder|\App\Models\CommentModel newModelQuery()
 * @method static \Illuminate\Database\Eloquent\Builder|\App\Models\CommentModel newQuery()
 * @method static \Illuminate\Database\Eloquent\Builder|\App\Models\CommentModel query()
 * @mixin \Eloquent
 */
class CommentModel extends Model
{
    protected $table = 'kdgx_charge_partner_comment';

    public $dateFormat = 'U';

    public $fillable = ['id', 'created_at', 'updated_at', 'partner_id', 'uid', 'content'];
}
