<?php

namespace App\Models\Common;

use App\Models\Model;

/**
 * App\Models\Common\NoticeManageModel
 *
 * @property int $id
 * @property \Illuminate\Support\Carbon $created_at 创建时间
 * @property \Illuminate\Support\Carbon $updated_at 更新时间
 * @property int $uid 用户
 * @property string $key 通知类型
 * @property string $group 分组
 * @property int $isopen 是否打开0关闭|1打开
 * @method static \Illuminate\Database\Eloquent\Builder|\App\Models\Common\NoticeManageModel newModelQuery()
 * @method static \Illuminate\Database\Eloquent\Builder|\App\Models\Common\NoticeManageModel newQuery()
 * @method static \Illuminate\Database\Eloquent\Builder|\App\Models\Common\NoticeManageModel query()
 * @method static \Illuminate\Database\Eloquent\Builder|\App\Models\Common\NoticeManageModel whereCreatedAt($value)
 * @method static \Illuminate\Database\Eloquent\Builder|\App\Models\Common\NoticeManageModel whereGroup($value)
 * @method static \Illuminate\Database\Eloquent\Builder|\App\Models\Common\NoticeManageModel whereId($value)
 * @method static \Illuminate\Database\Eloquent\Builder|\App\Models\Common\NoticeManageModel whereIsopen($value)
 * @method static \Illuminate\Database\Eloquent\Builder|\App\Models\Common\NoticeManageModel whereKey($value)
 * @method static \Illuminate\Database\Eloquent\Builder|\App\Models\Common\NoticeManageModel whereUid($value)
 * @method static \Illuminate\Database\Eloquent\Builder|\App\Models\Common\NoticeManageModel whereUpdatedAt($value)
 * @mixin \Eloquent
 */
class NoticeManageModel extends Model
{
    protected $table = 'kdgx_miniprogram_notice_manage';

    protected $dateFormat = 'U';

    protected $fillable = ['key', 'uid', 'group', 'isopen'];
}
