<?php

namespace App\Models\Common;

use App\Models\Model;

/**
 * App\Models\Common\SchoolModel
 *
 * @property int $id
 * @property string $province 省市
 * @property string $city 城市
 * @property string $school 学校名称
 * @property int $education 0未知1专科以下2专科3本科4成人大学
 * @property string $type 院校类型
 * @property int $number 人数
 * @property int $create_time 创建时间
 * @property int $update_time 修改时间
 * @method static \Illuminate\Database\Eloquent\Builder|\App\Models\Common\SchoolModel newModelQuery()
 * @method static \Illuminate\Database\Eloquent\Builder|\App\Models\Common\SchoolModel newQuery()
 * @method static \Illuminate\Database\Eloquent\Builder|\App\Models\Common\SchoolModel query()
 * @method static \Illuminate\Database\Eloquent\Builder|\App\Models\Common\SchoolModel whereCity($value)
 * @method static \Illuminate\Database\Eloquent\Builder|\App\Models\Common\SchoolModel whereCreateTime($value)
 * @method static \Illuminate\Database\Eloquent\Builder|\App\Models\Common\SchoolModel whereEducation($value)
 * @method static \Illuminate\Database\Eloquent\Builder|\App\Models\Common\SchoolModel whereId($value)
 * @method static \Illuminate\Database\Eloquent\Builder|\App\Models\Common\SchoolModel whereNumber($value)
 * @method static \Illuminate\Database\Eloquent\Builder|\App\Models\Common\SchoolModel whereProvince($value)
 * @method static \Illuminate\Database\Eloquent\Builder|\App\Models\Common\SchoolModel whereSchool($value)
 * @method static \Illuminate\Database\Eloquent\Builder|\App\Models\Common\SchoolModel whereType($value)
 * @method static \Illuminate\Database\Eloquent\Builder|\App\Models\Common\SchoolModel whereUpdateTime($value)
 * @mixin \Eloquent
 */
class SchoolModel extends Model
{
    protected $table = "school";
}
