<?php

namespace App\Models\Daily;

use Illuminate\Database\Eloquent\Model;

/**
 * App\Models\Daily\DailyPushModel
 *
 * @property int $id
 * @property string $date
 * @property string $push_content
 * @property string $article_url
 * @property string $reply_content
 * @property \Illuminate\Support\Carbon $created_at
 * @property \Illuminate\Support\Carbon $updated_at
 * @property string $first
 * @property string $keyword1
 * @property string $keyword2
 * @method static \Illuminate\Database\Eloquent\Builder|\App\Models\Daily\DailyPushModel newModelQuery()
 * @method static \Illuminate\Database\Eloquent\Builder|\App\Models\Daily\DailyPushModel newQuery()
 * @method static \Illuminate\Database\Eloquent\Builder|\App\Models\Daily\DailyPushModel query()
 * @method static \Illuminate\Database\Eloquent\Builder|\App\Models\Daily\DailyPushModel whereArticleUrl($value)
 * @method static \Illuminate\Database\Eloquent\Builder|\App\Models\Daily\DailyPushModel whereCreatedAt($value)
 * @method static \Illuminate\Database\Eloquent\Builder|\App\Models\Daily\DailyPushModel whereDate($value)
 * @method static \Illuminate\Database\Eloquent\Builder|\App\Models\Daily\DailyPushModel whereFirst($value)
 * @method static \Illuminate\Database\Eloquent\Builder|\App\Models\Daily\DailyPushModel whereId($value)
 * @method static \Illuminate\Database\Eloquent\Builder|\App\Models\Daily\DailyPushModel whereKeyword1($value)
 * @method static \Illuminate\Database\Eloquent\Builder|\App\Models\Daily\DailyPushModel whereKeyword2($value)
 * @method static \Illuminate\Database\Eloquent\Builder|\App\Models\Daily\DailyPushModel wherePushContent($value)
 * @method static \Illuminate\Database\Eloquent\Builder|\App\Models\Daily\DailyPushModel whereReplyContent($value)
 * @method static \Illuminate\Database\Eloquent\Builder|\App\Models\Daily\DailyPushModel whereUpdatedAt($value)
 * @mixin \Eloquent
 */
class DailyPushModel extends Model
{
    //
    protected $table = 'daily_push';

    public $dateFormat = 'U';

    protected $fillable = ['date', 'push_content', 'article_url', 'reply_content'];
}
