<?php

namespace App\Models\Deed;

use App\Models\Model;

/**
 * App\Models\Deed\EachLikeModel
 *
 * @property int $id
 * @property int $created_at 创建时间
 * @property int $updated_at 修改时间
 * @property int $uid 后点赞的用户
 * @property int $tuid 先点赞的用户
 * @property int $read_at 阅读时间
 * @property int $state 相互喜欢的状态0:解开,1:相互喜欢
 * @method static \Illuminate\Database\Eloquent\Builder|\App\Models\Deed\EachLikeModel newModelQuery()
 * @method static \Illuminate\Database\Eloquent\Builder|\App\Models\Deed\EachLikeModel newQuery()
 * @method static \Illuminate\Database\Eloquent\Builder|\App\Models\Deed\EachLikeModel query()
 * @method static \Illuminate\Database\Eloquent\Builder|\App\Models\Deed\EachLikeModel whereCreatedAt($value)
 * @method static \Illuminate\Database\Eloquent\Builder|\App\Models\Deed\EachLikeModel whereId($value)
 * @method static \Illuminate\Database\Eloquent\Builder|\App\Models\Deed\EachLikeModel whereReadAt($value)
 * @method static \Illuminate\Database\Eloquent\Builder|\App\Models\Deed\EachLikeModel whereState($value)
 * @method static \Illuminate\Database\Eloquent\Builder|\App\Models\Deed\EachLikeModel whereTuid($value)
 * @method static \Illuminate\Database\Eloquent\Builder|\App\Models\Deed\EachLikeModel whereUid($value)
 * @method static \Illuminate\Database\Eloquent\Builder|\App\Models\Deed\EachLikeModel whereUpdatedAt($value)
 * @mixin \Eloquent
 */
class EachLikeModel extends Model
{
    protected $table = "kdgx_fpdx_eachlike";

    protected $dateFormat = 'U';

    public $timestamps = false;

    protected $fillable = ['id', 'created_at', 'updated_at', 'uid', 'tuid', 'read_at', 'state'];
}
