<?php

namespace App\Models\Deed;

use App\Models\Model;

/**
 * App\Models\Deed\FriendsLogModel
 *
 * @property int $id
 * @property \Illuminate\Support\Carbon $created_at 创建时间
 * @property \Illuminate\Support\Carbon $updated_at 更新时间
 * @property int $uid 用户
 * @property int $tuid 对某个用户
 * @property int $do 做了什么|0:相互心动;1取消心动
 * @property string $log 日志
 * @property int $read_at 阅读时间
 * @method static \Illuminate\Database\Eloquent\Builder|\App\Models\Deed\FriendsLogModel newModelQuery()
 * @method static \Illuminate\Database\Eloquent\Builder|\App\Models\Deed\FriendsLogModel newQuery()
 * @method static \Illuminate\Database\Eloquent\Builder|\App\Models\Deed\FriendsLogModel query()
 * @method static \Illuminate\Database\Eloquent\Builder|\App\Models\Deed\FriendsLogModel whereCreatedAt($value)
 * @method static \Illuminate\Database\Eloquent\Builder|\App\Models\Deed\FriendsLogModel whereDo($value)
 * @method static \Illuminate\Database\Eloquent\Builder|\App\Models\Deed\FriendsLogModel whereId($value)
 * @method static \Illuminate\Database\Eloquent\Builder|\App\Models\Deed\FriendsLogModel whereLog($value)
 * @method static \Illuminate\Database\Eloquent\Builder|\App\Models\Deed\FriendsLogModel whereReadAt($value)
 * @method static \Illuminate\Database\Eloquent\Builder|\App\Models\Deed\FriendsLogModel whereTuid($value)
 * @method static \Illuminate\Database\Eloquent\Builder|\App\Models\Deed\FriendsLogModel whereUid($value)
 * @method static \Illuminate\Database\Eloquent\Builder|\App\Models\Deed\FriendsLogModel whereUpdatedAt($value)
 * @mixin \Eloquent
 */
class FriendsLogModel extends Model
{
    protected $table = "kdgx_fpdx_friends_log";
    protected $dateFormat = "U";
    protected $fillable = ['id', 'created_at', 'updated_at', 'uid', 'tuid', 'do', 'log', 'read_at'];
}
