<?php

namespace App\Models\Diary;

use Illuminate\Database\Eloquent\Model;

/**
 * App\Models\Diary\ThumbModel
 *
 * @property int $id
 * @property int $uid uid
 * @property int $diary_id 日记ID
 * @property \Illuminate\Support\Carbon $created_at 创建时间
 * @property \Illuminate\Support\Carbon $updated_at 修改时间
 * @method static \Illuminate\Database\Eloquent\Builder|\App\Models\Diary\ThumbModel newModelQuery()
 * @method static \Illuminate\Database\Eloquent\Builder|\App\Models\Diary\ThumbModel newQuery()
 * @method static \Illuminate\Database\Eloquent\Builder|\App\Models\Diary\ThumbModel query()
 * @method static \Illuminate\Database\Eloquent\Builder|\App\Models\Diary\ThumbModel whereCreatedAt($value)
 * @method static \Illuminate\Database\Eloquent\Builder|\App\Models\Diary\ThumbModel whereDiaryId($value)
 * @method static \Illuminate\Database\Eloquent\Builder|\App\Models\Diary\ThumbModel whereId($value)
 * @method static \Illuminate\Database\Eloquent\Builder|\App\Models\Diary\ThumbModel whereUid($value)
 * @method static \Illuminate\Database\Eloquent\Builder|\App\Models\Diary\ThumbModel whereUpdatedAt($value)
 * @mixin \Eloquent
 */
class ThumbModel extends Model
{

    protected $table = "kdgx_fpdx_diary_thumbs";

    protected $dateFormat = 'U';

    public $fillable = ['uid', 'diary_id'];
}
