<?php

namespace App\Models\Fpdx;

use Illuminate\Database\Eloquent\Model;

/**
 * App\Models\Fpdx\GroupMemberModel
 *
 * @property int $id
 * @property int $uid
 * @property int $stage_id
 * @property string $activity_type 活动类型
 * @property string $type
 * @property int $group_id
 * @property \Illuminate\Support\Carbon $created_at
 * @property \Illuminate\Support\Carbon $updated_at
 * @method static \Illuminate\Database\Eloquent\Builder|\App\Models\Fpdx\GroupMemberModel newModelQuery()
 * @method static \Illuminate\Database\Eloquent\Builder|\App\Models\Fpdx\GroupMemberModel newQuery()
 * @method static \Illuminate\Database\Eloquent\Builder|\App\Models\Fpdx\GroupMemberModel query()
 * @method static \Illuminate\Database\Eloquent\Builder|\App\Models\Fpdx\GroupMemberModel whereActivityType($value)
 * @method static \Illuminate\Database\Eloquent\Builder|\App\Models\Fpdx\GroupMemberModel whereCreatedAt($value)
 * @method static \Illuminate\Database\Eloquent\Builder|\App\Models\Fpdx\GroupMemberModel whereGroupId($value)
 * @method static \Illuminate\Database\Eloquent\Builder|\App\Models\Fpdx\GroupMemberModel whereId($value)
 * @method static \Illuminate\Database\Eloquent\Builder|\App\Models\Fpdx\GroupMemberModel whereStageId($value)
 * @method static \Illuminate\Database\Eloquent\Builder|\App\Models\Fpdx\GroupMemberModel whereType($value)
 * @method static \Illuminate\Database\Eloquent\Builder|\App\Models\Fpdx\GroupMemberModel whereUid($value)
 * @method static \Illuminate\Database\Eloquent\Builder|\App\Models\Fpdx\GroupMemberModel whereUpdatedAt($value)
 * @mixin \Eloquent
 */
class GroupMemberModel extends Model
{
    //
    protected $table = 'fpdx_pair_group_members';

    protected $guarded = ['id'];

    protected $dateFormat = 'U';
}
