<?php

namespace App\Models\Fpdx;

use App\Models\Model;

/**
 * App\Models\Fpdx\MediaFeeLogModel
 *
 * @property int $id 主键
 * @property \Illuminate\Support\Carbon $created_at 创建时间
 * @property string $media_id 公众号id
 * @property string|null $tag 标记
 * @property float|null $fee 金额
 * @property \Illuminate\Support\Carbon $updated_at 更新时间
 * @property string|null $public_name 公众号名称
 * @method static \Illuminate\Database\Eloquent\Builder|\App\Models\Fpdx\MediaFeeLogModel newModelQuery()
 * @method static \Illuminate\Database\Eloquent\Builder|\App\Models\Fpdx\MediaFeeLogModel newQuery()
 * @method static \Illuminate\Database\Eloquent\Builder|\App\Models\Fpdx\MediaFeeLogModel query()
 * @method static \Illuminate\Database\Eloquent\Builder|\App\Models\Fpdx\MediaFeeLogModel whereCreatedAt($value)
 * @method static \Illuminate\Database\Eloquent\Builder|\App\Models\Fpdx\MediaFeeLogModel whereFee($value)
 * @method static \Illuminate\Database\Eloquent\Builder|\App\Models\Fpdx\MediaFeeLogModel whereId($value)
 * @method static \Illuminate\Database\Eloquent\Builder|\App\Models\Fpdx\MediaFeeLogModel whereMediaId($value)
 * @method static \Illuminate\Database\Eloquent\Builder|\App\Models\Fpdx\MediaFeeLogModel wherePublicName($value)
 * @method static \Illuminate\Database\Eloquent\Builder|\App\Models\Fpdx\MediaFeeLogModel whereTag($value)
 * @method static \Illuminate\Database\Eloquent\Builder|\App\Models\Fpdx\MediaFeeLogModel whereUpdatedAt($value)
 * @mixin \Eloquent
 */
class MediaFeeLogModel extends Model
{
    public $table = "kdgx_media_fee_log";

    protected $dateFormat = 'U';

    protected $fillable = ['id', 'media_id', 'tag', 'fee'];
}
