<?php

namespace App\Models\Fpdx;

use App\Models\Model;

/**
 * App\Models\Fpdx\RoomMasterModel
 *
 * @property int $id 主键
 * @property \Illuminate\Support\Carbon $created_at 创建时间
 * @property \Illuminate\Support\Carbon|null $updated_at 更新时间
 * @property int|null $room_id 房间id
 * @property int|null $uid 房主uid
 * @property int|null $type 管理级别：1房主;2管理员
 * @method static \Illuminate\Database\Eloquent\Builder|\App\Models\Fpdx\RoomMasterModel newModelQuery()
 * @method static \Illuminate\Database\Eloquent\Builder|\App\Models\Fpdx\RoomMasterModel newQuery()
 * @method static \Illuminate\Database\Eloquent\Builder|\App\Models\Fpdx\RoomMasterModel query()
 * @method static \Illuminate\Database\Eloquent\Builder|\App\Models\Fpdx\RoomMasterModel whereCreatedAt($value)
 * @method static \Illuminate\Database\Eloquent\Builder|\App\Models\Fpdx\RoomMasterModel whereId($value)
 * @method static \Illuminate\Database\Eloquent\Builder|\App\Models\Fpdx\RoomMasterModel whereRoomId($value)
 * @method static \Illuminate\Database\Eloquent\Builder|\App\Models\Fpdx\RoomMasterModel whereType($value)
 * @method static \Illuminate\Database\Eloquent\Builder|\App\Models\Fpdx\RoomMasterModel whereUid($value)
 * @method static \Illuminate\Database\Eloquent\Builder|\App\Models\Fpdx\RoomMasterModel whereUpdatedAt($value)
 * @mixin \Eloquent
 */
class RoomMasterModel extends Model
{
    protected $table = 'kdgx_fpdx_room_master';

    public $dateFormat = 'U';

    protected $fillable = ['room_id', 'uid', 'type'];
}
