<?php

namespace App\Models\Game;

use Illuminate\Database\Eloquent\Model;

/**
 * App\Models\Game\CycLogModel
 *
 * @property int $id
 * @property int $uid
 * @property string $openid
 * @property int $question_id
 * @property string $answer_option 回答选项
 * @property string $answer_content 答案内容
 * @property \Illuminate\Support\Carbon $created_at
 * @property \Illuminate\Support\Carbon $updated_at
 * @method static \Illuminate\Database\Eloquent\Builder|\App\Models\Game\CycLogModel newModelQuery()
 * @method static \Illuminate\Database\Eloquent\Builder|\App\Models\Game\CycLogModel newQuery()
 * @method static \Illuminate\Database\Eloquent\Builder|\App\Models\Game\CycLogModel query()
 * @method static \Illuminate\Database\Eloquent\Builder|\App\Models\Game\CycLogModel whereAnswerContent($value)
 * @method static \Illuminate\Database\Eloquent\Builder|\App\Models\Game\CycLogModel whereAnswerOption($value)
 * @method static \Illuminate\Database\Eloquent\Builder|\App\Models\Game\CycLogModel whereCreatedAt($value)
 * @method static \Illuminate\Database\Eloquent\Builder|\App\Models\Game\CycLogModel whereId($value)
 * @method static \Illuminate\Database\Eloquent\Builder|\App\Models\Game\CycLogModel whereOpenid($value)
 * @method static \Illuminate\Database\Eloquent\Builder|\App\Models\Game\CycLogModel whereQuestionId($value)
 * @method static \Illuminate\Database\Eloquent\Builder|\App\Models\Game\CycLogModel whereUid($value)
 * @method static \Illuminate\Database\Eloquent\Builder|\App\Models\Game\CycLogModel whereUpdatedAt($value)
 * @mixin \Eloquent
 */
class CycLogModel extends Model
{
    //
    protected $table = 'game_cyc_logs';

    protected $dateFormat = 'U';

    protected $fillable = ['question_id', 'answer_option', 'answer_content', 'openid', 'uid'];
}
