<?php

namespace App\Models\Goodnight;

use Illuminate\Database\Eloquent\Model;

/**
 * App\Models\Goodnight\SubscribeModel
 *
 * @property int $id
 * @property \Illuminate\Support\Carbon $created_at 创建时间
 * @property \Illuminate\Support\Carbon $updated_at 更新时间
 * @property int $voice_id 声音
 * @property int $uid 用户
 * @property int $is_push 是否推送
 * @property int|null $type 获取方式0:订阅推送|1:首次订阅系统奖励|2:捞晚安
 * @method static \Illuminate\Database\Eloquent\Builder|\App\Models\Goodnight\SubscribeModel newModelQuery()
 * @method static \Illuminate\Database\Eloquent\Builder|\App\Models\Goodnight\SubscribeModel newQuery()
 * @method static \Illuminate\Database\Eloquent\Builder|\App\Models\Goodnight\SubscribeModel query()
 * @method static \Illuminate\Database\Eloquent\Builder|\App\Models\Goodnight\SubscribeModel whereCreatedAt($value)
 * @method static \Illuminate\Database\Eloquent\Builder|\App\Models\Goodnight\SubscribeModel whereId($value)
 * @method static \Illuminate\Database\Eloquent\Builder|\App\Models\Goodnight\SubscribeModel whereIsPush($value)
 * @method static \Illuminate\Database\Eloquent\Builder|\App\Models\Goodnight\SubscribeModel whereType($value)
 * @method static \Illuminate\Database\Eloquent\Builder|\App\Models\Goodnight\SubscribeModel whereUid($value)
 * @method static \Illuminate\Database\Eloquent\Builder|\App\Models\Goodnight\SubscribeModel whereUpdatedAt($value)
 * @method static \Illuminate\Database\Eloquent\Builder|\App\Models\Goodnight\SubscribeModel whereVoiceId($value)
 * @mixin \Eloquent
 */
class SubscribeModel extends Model
{
    protected $table = 'kdgx_goodnight_subscribe_voice';

    protected $dateFormat = 'U';

    protected $fillable = ['id', 'created_at', 'updated_at', 'voice_id', 'uid', 'is_push', 'type'];
}
