<?php

namespace App\Models\Goodnight;

use Illuminate\Database\Eloquent\Model;

/**
 * App\Models\Goodnight\TagModel
 *
 * @property int $id
 * @property \Illuminate\Support\Carbon $created_at 创建时间
 * @property \Illuminate\Support\Carbon $updated_at 更新时间
 * @property int $voice_id 声音
 * @property int $uid 用户
 * @property string $tag 标签
 * @method static \Illuminate\Database\Eloquent\Builder|\App\Models\Goodnight\TagModel newModelQuery()
 * @method static \Illuminate\Database\Eloquent\Builder|\App\Models\Goodnight\TagModel newQuery()
 * @method static \Illuminate\Database\Eloquent\Builder|\App\Models\Goodnight\TagModel query()
 * @method static \Illuminate\Database\Eloquent\Builder|\App\Models\Goodnight\TagModel whereCreatedAt($value)
 * @method static \Illuminate\Database\Eloquent\Builder|\App\Models\Goodnight\TagModel whereId($value)
 * @method static \Illuminate\Database\Eloquent\Builder|\App\Models\Goodnight\TagModel whereTag($value)
 * @method static \Illuminate\Database\Eloquent\Builder|\App\Models\Goodnight\TagModel whereUid($value)
 * @method static \Illuminate\Database\Eloquent\Builder|\App\Models\Goodnight\TagModel whereUpdatedAt($value)
 * @method static \Illuminate\Database\Eloquent\Builder|\App\Models\Goodnight\TagModel whereVoiceId($value)
 * @mixin \Eloquent
 */
class TagModel extends Model
{
    protected $table = 'kdgx_goodnight_voice_tag';

    protected $dateFormat = 'U';

    protected $fillable = ['voice_id', 'uid', 'tag'];
}
