<?php

namespace App\Models\Goodnight;

use Illuminate\Database\Eloquent\Model;

/**
 * App\Models\Goodnight\ThumbModel
 *
 * @property int $id
 * @property \Illuminate\Support\Carbon $created_at 创建时间
 * @property \Illuminate\Support\Carbon $updated_at 更新时间
 * @property int $voice_id 声音
 * @property int $uid 用户
 * @method static \Illuminate\Database\Eloquent\Builder|\App\Models\Goodnight\ThumbModel newModelQuery()
 * @method static \Illuminate\Database\Eloquent\Builder|\App\Models\Goodnight\ThumbModel newQuery()
 * @method static \Illuminate\Database\Eloquent\Builder|\App\Models\Goodnight\ThumbModel query()
 * @method static \Illuminate\Database\Eloquent\Builder|\App\Models\Goodnight\ThumbModel whereCreatedAt($value)
 * @method static \Illuminate\Database\Eloquent\Builder|\App\Models\Goodnight\ThumbModel whereId($value)
 * @method static \Illuminate\Database\Eloquent\Builder|\App\Models\Goodnight\ThumbModel whereUid($value)
 * @method static \Illuminate\Database\Eloquent\Builder|\App\Models\Goodnight\ThumbModel whereUpdatedAt($value)
 * @method static \Illuminate\Database\Eloquent\Builder|\App\Models\Goodnight\ThumbModel whereVoiceId($value)
 * @mixin \Eloquent
 */
class ThumbModel extends Model
{
    protected $table = 'kdgx_goodnight_voice_thumb';

    protected $dateFormat = 'U';

    protected $fillable = ['voice_id', 'uid'];
}
