<?php

namespace App\Models\Goodnight;

use Illuminate\Database\Eloquent\Model;

/**
 * App\Models\Goodnight\TopicExampleModel
 *
 * @property int $id
 * @property \Illuminate\Support\Carbon $created_at
 * @property \Illuminate\Support\Carbon $updated_at
 * @property int $topic_id
 * @property string $content
 * @property int $show 是否显示
 * @method static \Illuminate\Database\Eloquent\Builder|\App\Models\Goodnight\TopicExampleModel newModelQuery()
 * @method static \Illuminate\Database\Eloquent\Builder|\App\Models\Goodnight\TopicExampleModel newQuery()
 * @method static \Illuminate\Database\Eloquent\Builder|\App\Models\Goodnight\TopicExampleModel query()
 * @method static \Illuminate\Database\Eloquent\Builder|\App\Models\Goodnight\TopicExampleModel whereContent($value)
 * @method static \Illuminate\Database\Eloquent\Builder|\App\Models\Goodnight\TopicExampleModel whereCreatedAt($value)
 * @method static \Illuminate\Database\Eloquent\Builder|\App\Models\Goodnight\TopicExampleModel whereId($value)
 * @method static \Illuminate\Database\Eloquent\Builder|\App\Models\Goodnight\TopicExampleModel whereShow($value)
 * @method static \Illuminate\Database\Eloquent\Builder|\App\Models\Goodnight\TopicExampleModel whereTopicId($value)
 * @method static \Illuminate\Database\Eloquent\Builder|\App\Models\Goodnight\TopicExampleModel whereUpdatedAt($value)
 * @mixin \Eloquent
 */
class TopicExampleModel extends Model
{
    //

    protected $table = 'kdgx_goodnight_voice_topic_examples';

    protected $dateFormat = 'U';

    protected $fillable = ['show', 'topic_id', 'content'];
}
