<?php

namespace App\Models\Gteam;

use App\Models\Model;

/**
 * App\Models\Gteam\EnterInviteModel
 *
 * @property int $id
 * @property \Illuminate\Support\Carbon|null $created_at
 * @property \Illuminate\Support\Carbon|null $updated_at
 * @property int $uid
 * @property int $enter_id 报名id
 * @property int $invite_uid 邀请用户
 * @property int $state 是否有效
 * @property int $activity_id 活动
 * @property float $dis_score 折扣比例
 * @property string|null $comment 留言
 * @method static \Illuminate\Database\Eloquent\Builder|\App\Models\Gteam\EnterInviteModel newModelQuery()
 * @method static \Illuminate\Database\Eloquent\Builder|\App\Models\Gteam\EnterInviteModel newQuery()
 * @method static \Illuminate\Database\Eloquent\Builder|\App\Models\Gteam\EnterInviteModel query()
 * @method static \Illuminate\Database\Eloquent\Builder|\App\Models\Gteam\EnterInviteModel whereActivityId($value)
 * @method static \Illuminate\Database\Eloquent\Builder|\App\Models\Gteam\EnterInviteModel whereComment($value)
 * @method static \Illuminate\Database\Eloquent\Builder|\App\Models\Gteam\EnterInviteModel whereCreatedAt($value)
 * @method static \Illuminate\Database\Eloquent\Builder|\App\Models\Gteam\EnterInviteModel whereDisScore($value)
 * @method static \Illuminate\Database\Eloquent\Builder|\App\Models\Gteam\EnterInviteModel whereEnterId($value)
 * @method static \Illuminate\Database\Eloquent\Builder|\App\Models\Gteam\EnterInviteModel whereId($value)
 * @method static \Illuminate\Database\Eloquent\Builder|\App\Models\Gteam\EnterInviteModel whereInviteUid($value)
 * @method static \Illuminate\Database\Eloquent\Builder|\App\Models\Gteam\EnterInviteModel whereState($value)
 * @method static \Illuminate\Database\Eloquent\Builder|\App\Models\Gteam\EnterInviteModel whereUid($value)
 * @method static \Illuminate\Database\Eloquent\Builder|\App\Models\Gteam\EnterInviteModel whereUpdatedAt($value)
 * @mixin \Eloquent
 */
class EnterInviteModel extends Model
{
    public $table = "kdgx_gteam_enter_invite";

    protected $dateFormat = 'U';

    protected $fillable = [
        'id',
        'uid',
        'enter_id',
        'invite_uid',
        'created_at',
        'updated_at',
        'state',
        'activity_id',
        'dis_score',
        'comment'
    ];
}
