<?php

namespace App\Models\Log;

use Illuminate\Database\Eloquent\Model;

/**
 * App\Models\Log\AppSignModel
 *
 * @property int $id
 * @property int $uid
 * @property \Illuminate\Support\Carbon $created_at
 * @property string $date
 * @method static \Illuminate\Database\Eloquent\Builder|\App\Models\Log\AppSignModel newModelQuery()
 * @method static \Illuminate\Database\Eloquent\Builder|\App\Models\Log\AppSignModel newQuery()
 * @method static \Illuminate\Database\Eloquent\Builder|\App\Models\Log\AppSignModel query()
 * @method static \Illuminate\Database\Eloquent\Builder|\App\Models\Log\AppSignModel whereCreatedAt($value)
 * @method static \Illuminate\Database\Eloquent\Builder|\App\Models\Log\AppSignModel whereDate($value)
 * @method static \Illuminate\Database\Eloquent\Builder|\App\Models\Log\AppSignModel whereId($value)
 * @method static \Illuminate\Database\Eloquent\Builder|\App\Models\Log\AppSignModel whereUid($value)
 * @mixin \Eloquent
 */
class AppSignModel extends Model
{


    protected $table = "fpdx_app_sign_logs";

    protected $dateFormat = 'U';

    protected $fillable = ['uid', 'date'];

    public const UPDATED_AT = null;
}
