<?php

namespace App\Models\Log;

use App\Models\Model;

/**
 * App\Models\Log\ClickUserHomeLogModel
 *
 * @property int $id
 * @property \Illuminate\Support\Carbon|null $created_at
 * @property \Illuminate\Support\Carbon|null $updated_at
 * @property int $into_at 进入时间
 * @property int $leave_at 离开时间
 * @property int $click_uid 点击用户
 * @property int $home_uid 用户主页
 * @property int $scene 场景
 * @method static \Illuminate\Database\Eloquent\Builder|\App\Models\Log\ClickUserHomeLogModel newModelQuery()
 * @method static \Illuminate\Database\Eloquent\Builder|\App\Models\Log\ClickUserHomeLogModel newQuery()
 * @method static \Illuminate\Database\Eloquent\Builder|\App\Models\Log\ClickUserHomeLogModel query()
 * @method static \Illuminate\Database\Eloquent\Builder|\App\Models\Log\ClickUserHomeLogModel whereClickUid($value)
 * @method static \Illuminate\Database\Eloquent\Builder|\App\Models\Log\ClickUserHomeLogModel whereCreatedAt($value)
 * @method static \Illuminate\Database\Eloquent\Builder|\App\Models\Log\ClickUserHomeLogModel whereHomeUid($value)
 * @method static \Illuminate\Database\Eloquent\Builder|\App\Models\Log\ClickUserHomeLogModel whereId($value)
 * @method static \Illuminate\Database\Eloquent\Builder|\App\Models\Log\ClickUserHomeLogModel whereIntoAt($value)
 * @method static \Illuminate\Database\Eloquent\Builder|\App\Models\Log\ClickUserHomeLogModel whereLeaveAt($value)
 * @method static \Illuminate\Database\Eloquent\Builder|\App\Models\Log\ClickUserHomeLogModel whereScene($value)
 * @method static \Illuminate\Database\Eloquent\Builder|\App\Models\Log\ClickUserHomeLogModel whereUpdatedAt($value)
 * @mixin \Eloquent
 */
class ClickUserHomeLogModel extends Model
{
    protected $table = "kdgx_fpdx_click_userhome_log";

    protected $dateFormat = 'U';

    protected $fillable = ['into_at', 'leave_at', 'click_uid', 'home_uid', 'scene'];
}
