<?php

namespace App\Models;

use App\Models\Model;

/**
 * App\Models\NoticeLogModel
 *
 * @property int $id
 * @property int $uid
 * @property string $title 推送事件
 * @property string $notice_type 通知类型
 * @property int $read_at 阅读时间
 * @property string $content 内容
 * @property \Illuminate\Support\Carbon $created_at 创建时间
 * @property \Illuminate\Support\Carbon $updated_at 修改时间
 * @property int $result 发送结果
 * @method static \Illuminate\Database\Eloquent\Builder|\App\Models\NoticeLogModel newModelQuery()
 * @method static \Illuminate\Database\Eloquent\Builder|\App\Models\NoticeLogModel newQuery()
 * @method static \Illuminate\Database\Eloquent\Builder|\App\Models\NoticeLogModel query()
 * @method static \Illuminate\Database\Eloquent\Builder|\App\Models\NoticeLogModel whereContent($value)
 * @method static \Illuminate\Database\Eloquent\Builder|\App\Models\NoticeLogModel whereCreatedAt($value)
 * @method static \Illuminate\Database\Eloquent\Builder|\App\Models\NoticeLogModel whereId($value)
 * @method static \Illuminate\Database\Eloquent\Builder|\App\Models\NoticeLogModel whereNoticeType($value)
 * @method static \Illuminate\Database\Eloquent\Builder|\App\Models\NoticeLogModel whereReadAt($value)
 * @method static \Illuminate\Database\Eloquent\Builder|\App\Models\NoticeLogModel whereResult($value)
 * @method static \Illuminate\Database\Eloquent\Builder|\App\Models\NoticeLogModel whereTitle($value)
 * @method static \Illuminate\Database\Eloquent\Builder|\App\Models\NoticeLogModel whereUid($value)
 * @method static \Illuminate\Database\Eloquent\Builder|\App\Models\NoticeLogModel whereUpdatedAt($value)
 * @mixin \Eloquent
 */
class NoticeLogModel extends Model
{

    protected $table = 'kdgx_fpdx_notice_logs';

    public $dateFormat = 'U';

    protected $fillable = ['title', 'uid', 'read_at', 'notice_type', 'content', 'result'];
}
