<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Model;

/**
 * App\Models\RiskListModel
 *
 * @method static \Illuminate\Database\Eloquent\Builder|\App\Models\RiskListModel newModelQuery()
 * @method static \Illuminate\Database\Eloquent\Builder|\App\Models\RiskListModel newQuery()
 * @method static \Illuminate\Database\Eloquent\Builder|\App\Models\RiskListModel query()
 * @mixin \Eloquent
 */
class RiskListModel extends Model
{
    //

    protected $table = 'fpdx_risklists';


    protected $dateFormat = 'U';

    protected $casts = [
        'create_at' => 'timestamp',
        'updated_at' => 'timestamp',
        'end_at' => 'timestamp',
    ];

    protected $fillable = ['uid', 'phone', 'weixin', 'qq'];
}
