<?php

namespace App\Models\Share;

use Illuminate\Database\Eloquent\Model;

/**
 * App\Models\Share\FlowerListModel
 *
 * @property int $id
 * @property \Illuminate\Support\Carbon $created_at 创建时间
 * @property \Illuminate\Support\Carbon $updated_at 更新时间
 * @property int $expired_at 到期时间
 * @property float $fee 金额
 * @property int $completeness 完成度
 * @property int $notice 是否通知0不通知1通知
 * @property int $uid 用户
 * @property int $is_notice 是否失效通知
 * @method static \Illuminate\Database\Eloquent\Builder|\App\Models\Share\FlowerListModel newModelQuery()
 * @method static \Illuminate\Database\Eloquent\Builder|\App\Models\Share\FlowerListModel newQuery()
 * @method static \Illuminate\Database\Eloquent\Builder|\App\Models\Share\FlowerListModel query()
 * @method static \Illuminate\Database\Eloquent\Builder|\App\Models\Share\FlowerListModel whereCompleteness($value)
 * @method static \Illuminate\Database\Eloquent\Builder|\App\Models\Share\FlowerListModel whereCreatedAt($value)
 * @method static \Illuminate\Database\Eloquent\Builder|\App\Models\Share\FlowerListModel whereExpiredAt($value)
 * @method static \Illuminate\Database\Eloquent\Builder|\App\Models\Share\FlowerListModel whereFee($value)
 * @method static \Illuminate\Database\Eloquent\Builder|\App\Models\Share\FlowerListModel whereId($value)
 * @method static \Illuminate\Database\Eloquent\Builder|\App\Models\Share\FlowerListModel whereIsNotice($value)
 * @method static \Illuminate\Database\Eloquent\Builder|\App\Models\Share\FlowerListModel whereNotice($value)
 * @method static \Illuminate\Database\Eloquent\Builder|\App\Models\Share\FlowerListModel whereUid($value)
 * @method static \Illuminate\Database\Eloquent\Builder|\App\Models\Share\FlowerListModel whereUpdatedAt($value)
 * @mixin \Eloquent
 */
class FlowerListModel extends Model
{
    protected $table = "kdgx_charge_flower_list";

    protected $dateFormat = 'U';

    protected $fillable = ['expired_at', 'fee', 'completeness', 'notice', 'uid', 'is_notice'];
}
