<?php

namespace App\Models\Share;

use App\Models\Model;

/**
 * App\Models\Share\PopularitySharehelpModel
 *
 * @property int $id
 * @property \Illuminate\Support\Carbon $created_at 创建时间
 * @property int $share_uid 分享用户
 * @property int $help_uid 助力用户
 * @property int $end_at 助力到期时间
 * @property int $helpuid_type 用户类型:0老用户;1新用户
 * @method static \Illuminate\Database\Eloquent\Builder|\App\Models\Share\PopularitySharehelpModel newModelQuery()
 * @method static \Illuminate\Database\Eloquent\Builder|\App\Models\Share\PopularitySharehelpModel newQuery()
 * @method static \Illuminate\Database\Eloquent\Builder|\App\Models\Share\PopularitySharehelpModel query()
 * @method static \Illuminate\Database\Eloquent\Builder|\App\Models\Share\PopularitySharehelpModel whereCreatedAt($value)
 * @method static \Illuminate\Database\Eloquent\Builder|\App\Models\Share\PopularitySharehelpModel whereEndAt($value)
 * @method static \Illuminate\Database\Eloquent\Builder|\App\Models\Share\PopularitySharehelpModel whereHelpUid($value)
 * @method static \Illuminate\Database\Eloquent\Builder|\App\Models\Share\PopularitySharehelpModel whereHelpuidType($value)
 * @method static \Illuminate\Database\Eloquent\Builder|\App\Models\Share\PopularitySharehelpModel whereId($value)
 * @method static \Illuminate\Database\Eloquent\Builder|\App\Models\Share\PopularitySharehelpModel whereShareUid($value)
 * @mixin \Eloquent
 */
class PopularitySharehelpModel extends Model
{
    protected $table = "kdgx_fpdx_popularity_sharehelp";

    protected $fillable = ['share_uid', 'help_uid', 'end_at', 'helpuid_type'];

    public const UPDATED_AT = null;

    protected $dateFormat = "U";
}
