<?php

namespace App\Models\Syj;

use Illuminate\Database\Eloquent\Model;

/**
 * App\Models\Syj\GroupMemberModel
 *
 * @property int $id
 * @property int $uid
 * @property int $group_id
 * @property \Illuminate\Support\Carbon $created_at
 * @property \Illuminate\Support\Carbon $updated_at
 * @method static \Illuminate\Database\Eloquent\Builder|\App\Models\Syj\GroupMemberModel newModelQuery()
 * @method static \Illuminate\Database\Eloquent\Builder|\App\Models\Syj\GroupMemberModel newQuery()
 * @method static \Illuminate\Database\Eloquent\Builder|\App\Models\Syj\GroupMemberModel query()
 * @method static \Illuminate\Database\Eloquent\Builder|\App\Models\Syj\GroupMemberModel whereCreatedAt($value)
 * @method static \Illuminate\Database\Eloquent\Builder|\App\Models\Syj\GroupMemberModel whereGroupId($value)
 * @method static \Illuminate\Database\Eloquent\Builder|\App\Models\Syj\GroupMemberModel whereId($value)
 * @method static \Illuminate\Database\Eloquent\Builder|\App\Models\Syj\GroupMemberModel whereUid($value)
 * @method static \Illuminate\Database\Eloquent\Builder|\App\Models\Syj\GroupMemberModel whereUpdatedAt($value)
 * @mixin \Eloquent
 */
class GroupMemberModel extends Model
{
    //
    protected $table = 'syj_group_members';

    protected $dateFormat = 'U';

    protected $fillable = ['uid', 'group_id'];
}
