<?php

namespace App\Models\User;

use App\Models\Model;

/**
 * App\Models\User\FaceMatchModel
 *
 * @property int $id
 * @property \Illuminate\Support\Carbon|null $created_at
 * @property \Illuminate\Support\Carbon|null $updated_at
 * @property int $uid 用户
 * @property string $check_img 审核图片
 * @property string $match_img 对比图片
 * @property int $score 匹配分
 * @method static \Illuminate\Database\Eloquent\Builder|\App\Models\User\FaceMatchModel newModelQuery()
 * @method static \Illuminate\Database\Eloquent\Builder|\App\Models\User\FaceMatchModel newQuery()
 * @method static \Illuminate\Database\Eloquent\Builder|\App\Models\User\FaceMatchModel query()
 * @method static \Illuminate\Database\Eloquent\Builder|\App\Models\User\FaceMatchModel whereCheckImg($value)
 * @method static \Illuminate\Database\Eloquent\Builder|\App\Models\User\FaceMatchModel whereCreatedAt($value)
 * @method static \Illuminate\Database\Eloquent\Builder|\App\Models\User\FaceMatchModel whereId($value)
 * @method static \Illuminate\Database\Eloquent\Builder|\App\Models\User\FaceMatchModel whereMatchImg($value)
 * @method static \Illuminate\Database\Eloquent\Builder|\App\Models\User\FaceMatchModel whereScore($value)
 * @method static \Illuminate\Database\Eloquent\Builder|\App\Models\User\FaceMatchModel whereUid($value)
 * @method static \Illuminate\Database\Eloquent\Builder|\App\Models\User\FaceMatchModel whereUpdatedAt($value)
 * @mixin \Eloquent
 */
class FaceMatchModel extends Model
{
    protected $table = "kdgx_facematch";

    protected $fillable = ['id', 'created_at', 'updated_at', 'uid', 'check_img', 'match_img', 'score'];
}
