<?php

namespace App\Models\User;

use App\Models\Model;

/**
 * App\Models\User\LocklikemeModel
 *
 * @property int $id
 * @property \Illuminate\Support\Carbon $created_at 创建时间
 * @property \Illuminate\Support\Carbon $updated_at 更新时间
 * @property int $uid 用户
 * @property int $partner_id 卡片id
 * @property string $origin 解锁来源
 * @method static \Illuminate\Database\Eloquent\Builder|\App\Models\User\LocklikemeModel newModelQuery()
 * @method static \Illuminate\Database\Eloquent\Builder|\App\Models\User\LocklikemeModel newQuery()
 * @method static \Illuminate\Database\Eloquent\Builder|\App\Models\User\LocklikemeModel query()
 * @method static \Illuminate\Database\Eloquent\Builder|\App\Models\User\LocklikemeModel whereCreatedAt($value)
 * @method static \Illuminate\Database\Eloquent\Builder|\App\Models\User\LocklikemeModel whereId($value)
 * @method static \Illuminate\Database\Eloquent\Builder|\App\Models\User\LocklikemeModel whereOrigin($value)
 * @method static \Illuminate\Database\Eloquent\Builder|\App\Models\User\LocklikemeModel wherePartnerId($value)
 * @method static \Illuminate\Database\Eloquent\Builder|\App\Models\User\LocklikemeModel whereUid($value)
 * @method static \Illuminate\Database\Eloquent\Builder|\App\Models\User\LocklikemeModel whereUpdatedAt($value)
 * @mixin \Eloquent
 */
class LocklikemeModel extends Model
{
    protected $table = "kdgx_fpdx_likeme_lock";

    protected $dateFormat = 'U';

    protected $fillable = ['uid', 'partner_id', 'origin'];
}
