<?php

namespace App\Models\User;

use App\Models\Model;

/**
 * * Class MockThumbModel
 *  * @package App\Models\User
 *
 * @method static \Illuminate\Database\Eloquent\Builder|\App\Models\User\MockThumbModel newModelQuery()
 * @method static \Illuminate\Database\Eloquent\Builder|\App\Models\User\MockThumbModel newQuery()
 * @method static \Illuminate\Database\Eloquent\Builder|\App\Models\User\MockThumbModel query()
 * @mixin \Eloquent
 */
class MockThumbModel extends Model
{
    protected $table = "kdgx_fpdx_mock_thumb";

    public $timestamps = true;

    public const UPDATED_AT = null;

    protected $fillable = [
        'created_at',
        'uid',
        'thumb_user',
        'is_timing'
    ];
}
