<?php

namespace App\Models\User;

use App\Models\Model;

/**
 * * 签到
 *  * Class SignModel
 *  * @package App\Models\User
 *
 * @method static \Illuminate\Database\Eloquent\Builder|\App\Models\User\SignModel newModelQuery()
 * @method static \Illuminate\Database\Eloquent\Builder|\App\Models\User\SignModel newQuery()
 * @method static \Illuminate\Database\Eloquent\Builder|\App\Models\User\SignModel query()
 * @mixin \Eloquent
 */
class SignModel extends Model
{
    protected $table = "kdgx_fpdx_sign";

    public $timestamps = true;

    public const CREATED_AT = 'sign_at';

    public const UPDATED_AT = null;

    protected $fillable = ['uid', 'be_continuous_day', 'sign_date'];
}
