<?php

namespace App\Models\User;

use App\Models\Model;

/**
 * App\Models\User\SuperlikeModel
 *
 * @property int $id
 * @property \Illuminate\Support\Carbon $created_at 创建时间
 * @property \Illuminate\Support\Carbon $updated_at 更新时间
 * @property int $uid 用户
 * @property int $partner_id 卡片id
 * @property int $read_at 被喜欢者阅读时间
 * @property int $reply_at 被回应时间
 * @method static \Illuminate\Database\Eloquent\Builder|\App\Models\User\SuperLikeModel newModelQuery()
 * @method static \Illuminate\Database\Eloquent\Builder|\App\Models\User\SuperLikeModel newQuery()
 * @method static \Illuminate\Database\Eloquent\Builder|\App\Models\User\SuperLikeModel query()
 * @method static \Illuminate\Database\Eloquent\Builder|\App\Models\User\SuperLikeModel whereCreatedAt($value)
 * @method static \Illuminate\Database\Eloquent\Builder|\App\Models\User\SuperLikeModel whereId($value)
 * @method static \Illuminate\Database\Eloquent\Builder|\App\Models\User\SuperLikeModel wherePartnerId($value)
 * @method static \Illuminate\Database\Eloquent\Builder|\App\Models\User\SuperLikeModel whereReadAt($value)
 * @method static \Illuminate\Database\Eloquent\Builder|\App\Models\User\SuperLikeModel whereReplyAt($value)
 * @method static \Illuminate\Database\Eloquent\Builder|\App\Models\User\SuperLikeModel whereUid($value)
 * @method static \Illuminate\Database\Eloquent\Builder|\App\Models\User\SuperLikeModel whereUpdatedAt($value)
 * @mixin \Eloquent
 */
class SuperLikeModel extends Model
{
    protected $table = "kdgx_fpdx_superlike";

    protected $dateFormat = 'U';

    protected $fillable = ['id', 'created_at', 'updated_at', 'uid', 'partner_id', 'read_at', 'reply_at'];
}
