<?php

namespace App\Models\Welfare;

use Illuminate\Database\Eloquent\Model;

/**
 * App\Models\Welfare\JigsawFlowModel
 *
 * @property int $id
 * @property int $uid
 * @property string $source 来源
 * @property int $amount 数量
 * @property int $remains_amount 剩余数量
 * @property int $used_at
 * @property int $expired_at
 * @property \Illuminate\Support\Carbon $created_at
 * @property \Illuminate\Support\Carbon $updated_at
 * @method static \Illuminate\Database\Eloquent\Builder|\App\Models\Welfare\JigsawFlowModel newModelQuery()
 * @method static \Illuminate\Database\Eloquent\Builder|\App\Models\Welfare\JigsawFlowModel newQuery()
 * @method static \Illuminate\Database\Eloquent\Builder|\App\Models\Welfare\JigsawFlowModel query()
 * @method static \Illuminate\Database\Eloquent\Builder|\App\Models\Welfare\JigsawFlowModel whereAmount($value)
 * @method static \Illuminate\Database\Eloquent\Builder|\App\Models\Welfare\JigsawFlowModel whereCreatedAt($value)
 * @method static \Illuminate\Database\Eloquent\Builder|\App\Models\Welfare\JigsawFlowModel whereExpiredAt($value)
 * @method static \Illuminate\Database\Eloquent\Builder|\App\Models\Welfare\JigsawFlowModel whereId($value)
 * @method static \Illuminate\Database\Eloquent\Builder|\App\Models\Welfare\JigsawFlowModel whereRemainsAmount($value)
 * @method static \Illuminate\Database\Eloquent\Builder|\App\Models\Welfare\JigsawFlowModel whereSource($value)
 * @method static \Illuminate\Database\Eloquent\Builder|\App\Models\Welfare\JigsawFlowModel whereUid($value)
 * @method static \Illuminate\Database\Eloquent\Builder|\App\Models\Welfare\JigsawFlowModel whereUpdatedAt($value)
 * @method static \Illuminate\Database\Eloquent\Builder|\App\Models\Welfare\JigsawFlowModel whereUsedAt($value)
 * @mixin \Eloquent
 */
class JigsawFlowModel extends Model
{
    //
    protected $table = "kdgx_fpdx_welfare_jigsaw_flows";

    protected $dateFormat = 'U';

    public $fillable = ['uid', 'source', 'amount', 'remains_amount', 'used_at', 'expired_at'];
}
