<?php

namespace App\Models\Welfare;

use Illuminate\Database\Eloquent\Model;

/**
 * App\Models\Welfare\PrizeModel
 *
 * @property int $id
 * @property int $uid
 * @property string $name
 * @property string $weixin
 * @property int $state
 * @property string $title
 * @property string $cost
 * @property string $cover_url
 * @property \Illuminate\Support\Carbon $created_at 创建时间
 * @property \Illuminate\Support\Carbon $updated_at 修改时间
 * @property int $deleted_at 删除时间
 * @method static \Illuminate\Database\Eloquent\Builder|\App\Models\Welfare\PrizeModel newModelQuery()
 * @method static \Illuminate\Database\Eloquent\Builder|\App\Models\Welfare\PrizeModel newQuery()
 * @method static \Illuminate\Database\Eloquent\Builder|\App\Models\Welfare\PrizeModel query()
 * @method static \Illuminate\Database\Eloquent\Builder|\App\Models\Welfare\PrizeModel whereCost($value)
 * @method static \Illuminate\Database\Eloquent\Builder|\App\Models\Welfare\PrizeModel whereCoverUrl($value)
 * @method static \Illuminate\Database\Eloquent\Builder|\App\Models\Welfare\PrizeModel whereCreatedAt($value)
 * @method static \Illuminate\Database\Eloquent\Builder|\App\Models\Welfare\PrizeModel whereDeletedAt($value)
 * @method static \Illuminate\Database\Eloquent\Builder|\App\Models\Welfare\PrizeModel whereId($value)
 * @method static \Illuminate\Database\Eloquent\Builder|\App\Models\Welfare\PrizeModel whereName($value)
 * @method static \Illuminate\Database\Eloquent\Builder|\App\Models\Welfare\PrizeModel whereState($value)
 * @method static \Illuminate\Database\Eloquent\Builder|\App\Models\Welfare\PrizeModel whereTitle($value)
 * @method static \Illuminate\Database\Eloquent\Builder|\App\Models\Welfare\PrizeModel whereUid($value)
 * @method static \Illuminate\Database\Eloquent\Builder|\App\Models\Welfare\PrizeModel whereUpdatedAt($value)
 * @method static \Illuminate\Database\Eloquent\Builder|\App\Models\Welfare\PrizeModel whereWeixin($value)
 * @mixin \Eloquent
 */
class PrizeModel extends Model
{
    //
    protected $table = "kdgx_fpdx_welfare_prizes";

    protected $dateFormat = 'U';

    public $fillable = [
        'uid',
        'state',
        'title',
        'cost',
        'cover_url',
        'price',
        'count',
        'name',
        'weixin',
        'receive_explain',
        'deleted_at'
    ];
}
