<?php

use Illuminate\Database\Seeder;

class PartnerSeeder extends Seeder
{
    /**
     * Run the database seeds.
     *
     * @return void
     */
    public function run()
    {
        $users = \App\Models\User\UserModel::take(40)->get();
        foreach ($users as $user) {
            $user->partner_id = factory(\App\Models\PartnerModel::class)->create([
                'uid' => $user->uid,
                'photo_src' => $user->photo_src,
                'photo_1' => $user->photo_1,
                'photo_2' => $user->photo_2,
                'photo_3' => $user->photo_3,
                'photo_4' => $user->photo_4,
                'voice' => $user->voice,
                'qq' => $user->qq,
                'weixin' => $user->weixin,
                'sex' => $user->sex,
            ])->id;
        }
    }
}
