### ImIM相关的接口
[`MarkUserMessagesRead标记消息已读`](/stub-docs/{{version}}/generated/apis/Im#MarkUserMessagesRead)

[`Delete删除消息，删除自己的最近消息`](/stub-docs/{{version}}/generated/apis/Im#Delete)

[`Revoke撤回消息，删除两个人的最近消息`](/stub-docs/{{version}}/generated/apis/Im#Revoke)

[`Send发送消息`](/stub-docs/{{version}}/generated/apis/Im#Send)

[`GetUsersLatests获取用户最近消息，最近10条`](/stub-docs/{{version}}/generated/apis/Im#GetUsersLatests)

### ReportLog
[`ClickUserHome访问他人主页日志`](/stub-docs/{{version}}/generated/apis/ReportLog#ClickUserHome)

[`FeedLog信息流上报日志`](/stub-docs/{{version}}/generated/apis/ReportLog#FeedLog)

### AdminPartner
[`Change2New救活卡片`](/stub-docs/{{version}}/generated/apis/AdminPartner#Change2New)

[`LowList标记不推荐的列表`](/stub-docs/{{version}}/generated/apis/AdminPartner#LowList)

[`UnSelectPartner取消精选`](/stub-docs/{{version}}/generated/apis/AdminPartner#UnSelectPartner)

[`IsSelectedList已精选列表`](/stub-docs/{{version}}/generated/apis/AdminPartner#IsSelectedList)

### School学校相关接口
[`GetList学校列表`](/stub-docs/{{version}}/generated/apis/School#GetList)

### City城市相关接口
[`Search搜索城市`](/stub-docs/{{version}}/generated/apis/City#Search)

[`GetList获取城市列表`](/stub-docs/{{version}}/generated/apis/City#GetList)

### Tags
[`GetAllTag获取全部标签列表`](/stub-docs/{{version}}/generated/apis/Tags#GetAllTag)

### UserHome用户首页列表接口
[`GetPopularity获取人气值`](/stub-docs/{{version}}/generated/apis/UserHome#GetPopularity)

[`RemindComplementCard提醒TA补全信息`](/stub-docs/{{version}}/generated/apis/UserHome#RemindComplementCard)

[`GetVisitorList访客列表`](/stub-docs/{{version}}/generated/apis/UserHome#GetVisitorList)

[`GetMyLikeList获取我喜欢的列表`](/stub-docs/{{version}}/generated/apis/UserHome#GetMyLikeList)

[`GetLikeMeList获取心动我的列表`](/stub-docs/{{version}}/generated/apis/UserHome#GetLikeMeList)

### UserNotice
[`SysnoticeList系统消息`](/stub-docs/{{version}}/generated/apis/UserNotice#SysnoticeList)

[`SysnoticeDesc`](/stub-docs/{{version}}/generated/apis/UserNotice#SysnoticeDesc)

### Homepage
[`FeedScore获取卡片其他信息`](/stub-docs/{{version}}/generated/apis/Homepage#FeedScore)

[`OpenidFeed游客信息流`](/stub-docs/{{version}}/generated/apis/Homepage#OpenidFeed)

[`Feed信息流`](/stub-docs/{{version}}/generated/apis/Homepage#Feed)

[`ActivityTimeTable发现页数据`](/stub-docs/{{version}}/generated/apis/Homepage#ActivityTimeTable)

### Notice通知开关配置
[`UpdateNoticeByGroup修改通知群组开关配置`](/stub-docs/{{version}}/generated/apis/Notice#UpdateNoticeByGroup)

[`UpdateNoticeByKey修改通知开关配置`](/stub-docs/{{version}}/generated/apis/Notice#UpdateNoticeByKey)

[`GetNoticeByKeyToInt获取通知开关配置`](/stub-docs/{{version}}/generated/apis/Notice#GetNoticeByKeyToInt)

[`GetNoticeProfileList获取我的通知开关配置`](/stub-docs/{{version}}/generated/apis/Notice#GetNoticeProfileList)

### Lbs高德地图接口 掉用量限制：https://lbs.amap.com/api/webservice/guide/tools/flowlevel
[`Geo地理编码 https://lbs.amap.com/api/webservice/guide/api/georegeo#geo`](/stub-docs/{{version}}/generated/apis/Lbs#Geo)

[`Regeo逆地理编码 高德文档：https://lbs.amap.com/api/webservice/guide/api/georegeo#regeo`](/stub-docs/{{version}}/generated/apis/Lbs#Regeo)

[`District行政区域查询 高德文档：https://lbs.amap.com/api/webservice/guide/api/district`](/stub-docs/{{version}}/generated/apis/Lbs#District)

[`Ipip定位 高德文档：https://lbs.amap.com/api/webservice/guide/api/ipconfig`](/stub-docs/{{version}}/generated/apis/Lbs#Ip)

### Common辅助接口
[`FaceDetect人脸识别`](/stub-docs/{{version}}/generated/apis/Common#FaceDetect)

### Banner
[`PositionList获取某位置广告列表`](/stub-docs/{{version}}/generated/apis/Banner#PositionList)

### Share
[`LikeMeHistory助力历史接口`](/stub-docs/{{version}}/generated/apis/Share#LikeMeHistory)

[`LikeMeCheck会员专属加成 助力-喜欢我的解锁分享`](/stub-docs/{{version}}/generated/apis/Share#LikeMeCheck)

[`LikeMe获取解锁进度详情 详情-喜欢我的解锁`](/stub-docs/{{version}}/generated/apis/Share#LikeMe)

[`PairVipCheck通过vip提升成功率 / 获取我邀请人的列表`](/stub-docs/{{version}}/generated/apis/Share#PairVipCheck)

[`PairGet获取匹配分享记录`](/stub-docs/{{version}}/generated/apis/Share#PairGet)

### Invite
[`LastInvite获取最近的邀请列表`](/stub-docs/{{version}}/generated/apis/Invite#LastInvite)

### Pair72小时相关
[`GetAloneGroup获取脱单群`](/stub-docs/{{version}}/generated/apis/Pair#GetAloneGroup)

[`RemoveKeepCp移除cp关系`](/stub-docs/{{version}}/generated/apis/Pair#RemoveKeepCp)

[`KeepCp保持cp关系`](/stub-docs/{{version}}/generated/apis/Pair#KeepCp)

[`GetKeepRoom获取保持关系的房间`](/stub-docs/{{version}}/generated/apis/Pair#GetKeepRoom)

[`ConfirmBeAlone确认落单`](/stub-docs/{{version}}/generated/apis/Pair#ConfirmBeAlone)

[`OperationalLog操作日志`](/stub-docs/{{version}}/generated/apis/Pair#OperationalLog)

[`Regrets反悔CP关系`](/stub-docs/{{version}}/generated/apis/Pair#Regrets)

[`ConfirmCp确认CP关系`](/stub-docs/{{version}}/generated/apis/Pair#ConfirmCp)

[`AddScoreByFlower通过小花提升72小时匹配成功率`](/stub-docs/{{version}}/generated/apis/Pair#AddScoreByFlower)

[`Refund退款`](/stub-docs/{{version}}/generated/apis/Pair#Refund)

[`EnrollNext报名下一期`](/stub-docs/{{version}}/generated/apis/Pair#EnrollNext)

[`EnrollPro付费报名`](/stub-docs/{{version}}/generated/apis/Pair#EnrollPro)

[`EnrollFree免费报名`](/stub-docs/{{version}}/generated/apis/Pair#EnrollFree)

[`GetAllTags获取所有标签`](/stub-docs/{{version}}/generated/apis/Pair#GetAllTags)

[`GetActivityList获取匹配列表`](/stub-docs/{{version}}/generated/apis/Pair#GetActivityList)

[`Lastenroll最近报名的列表`](/stub-docs/{{version}}/generated/apis/Pair#Lastenroll)

[`GetActivityConductStageId获取当前正在进行的活动`](/stub-docs/{{version}}/generated/apis/Pair#GetActivityConductStageId)

[`ActivityInfo通过期数获取匹配信息`](/stub-docs/{{version}}/generated/apis/Pair#ActivityInfo)

[`ActivityRecent获取我最后一次报名的数据`](/stub-docs/{{version}}/generated/apis/Pair#ActivityRecent)

[`ActivityLast获取当前活动信息`](/stub-docs/{{version}}/generated/apis/Pair#ActivityLast)

### Payment
[`FetchAppWechatPayParams获取微信支付参数`](/stub-docs/{{version}}/generated/apis/Payment#FetchAppWechatPayParams)

[`GetCouponDetail获取卡券信息`](/stub-docs/{{version}}/generated/apis/Payment#GetCouponDetail)

[`GetCouponList卡券列表`](/stub-docs/{{version}}/generated/apis/Payment#GetCouponList)

### DeedFriend
[`StarFriend星标好友`](/stub-docs/{{version}}/generated/apis/DeedFriend#StarFriend)

[`HideFriend删除好友`](/stub-docs/{{version}}/generated/apis/DeedFriend#HideFriend)

### Friend好友列表相关
[`AgreeApply同意好友申请`](/stub-docs/{{version}}/generated/apis/Friend#AgreeApply)

[`GetUnreadCount好友列表未读概览`](/stub-docs/{{version}}/generated/apis/Friend#GetUnreadCount)

[`GetChatHistory好友交互历史|判断是否解锁`](/stub-docs/{{version}}/generated/apis/Friend#GetChatHistory)

[`GetStarList星标好友 列表`](/stub-docs/{{version}}/generated/apis/Friend#GetStarList)

[`GetEachLikeList心动好友 列表`](/stub-docs/{{version}}/generated/apis/Friend#GetEachLikeList)

[`GetAllList好友列表`](/stub-docs/{{version}}/generated/apis/Friend#GetAllList)

[`GetApplyReceiveList收到的申请 列表`](/stub-docs/{{version}}/generated/apis/Friend#GetApplyReceiveList)

[`GetApplySendList发出申请 列表`](/stub-docs/{{version}}/generated/apis/Friend#GetApplySendList)

[`GetApplyAllList申请列表`](/stub-docs/{{version}}/generated/apis/Friend#GetApplyAllList)

### SignIn签到相关接口
[`Reward72PairCoupon领取72小时报名入场券`](/stub-docs/{{version}}/generated/apis/SignIn#Reward72PairCoupon)

[`Reward72DiscountCoupon领取72小时报名打折券`](/stub-docs/{{version}}/generated/apis/SignIn#Reward72DiscountCoupon)

[`RewardSupVipCoupon领取超级会员满减券`](/stub-docs/{{version}}/generated/apis/SignIn#RewardSupVipCoupon)

[`RewardUnLookCard领取解锁次数`](/stub-docs/{{version}}/generated/apis/SignIn#RewardUnLookCard)

[`RewardPopularity领取人气值奖励`](/stub-docs/{{version}}/generated/apis/SignIn#RewardPopularity)

[`RewardFlower领取小花奖励`](/stub-docs/{{version}}/generated/apis/SignIn#RewardFlower)

[`Sign签到`](/stub-docs/{{version}}/generated/apis/SignIn#Sign)

[`Today今日签到情况`](/stub-docs/{{version}}/generated/apis/SignIn#Today)

### Partner卡片相关
[`LockLikeMe超级会员解锁 App解锁 解锁喜欢我的卡片`](/stub-docs/{{version}}/generated/apis/Partner#LockLikeMe)

[`SetPartnerSell设置(开/关)隐藏卡片`](/stub-docs/{{version}}/generated/apis/Partner#SetPartnerSell)

[`ThumbPartner点赞卡片`](/stub-docs/{{version}}/generated/apis/Partner#ThumbPartner)

[`GetPartnerUser获取卡片用户信息`](/stub-docs/{{version}}/generated/apis/Partner#GetPartnerUser)

### User用户信息相关
[`SelectCover切换封面图`](/stub-docs/{{version}}/generated/apis/User#SelectCover)

[`DeletePhotos删除照片`](/stub-docs/{{version}}/generated/apis/User#DeletePhotos)

[`CreateAnswer回答个人问题`](/stub-docs/{{version}}/generated/apis/User#CreateAnswer)

[`GetQuestionAnswerList获取我回答的问题`](/stub-docs/{{version}}/generated/apis/User#GetQuestionAnswerList)

[`GetQuestionInfo获取问题详情`](/stub-docs/{{version}}/generated/apis/User#GetQuestionInfo)

[`GetQuestionList获取问题列表`](/stub-docs/{{version}}/generated/apis/User#GetQuestionList)

[`StoreSelfPartner创建个人交友卡片`](/stub-docs/{{version}}/generated/apis/User#StoreSelfPartner)

[`ToggleTag切换个人标签`](/stub-docs/{{version}}/generated/apis/User#ToggleTag)

[`UpdateProfile更新用户信息`](/stub-docs/{{version}}/generated/apis/User#UpdateProfile)

[`GetFpdxProfile原/api/msy/user&model=fpdx`](/stub-docs/{{version}}/generated/apis/User#GetFpdxProfile)

[`Profile用户信息`](/stub-docs/{{version}}/generated/apis/User#Profile)

