# Mockmock数据的接口（配合测试）

---

  - [DeleteBlackList删除黑名单](#DeleteBlackList)
  - [AddBlackList加入黑名单](#AddBlackList)
  - [SendSystemMessage](#SendSystemMessage)
  - [ThumbPartner](#ThumbPartner)
  - [SendFriendApply发起好友申请](#SendFriendApply)

<a name="DeleteBlackList"></a>
## DeleteBlackList删除黑名单

`POST`

`/stub-api/v1_1/mock/delete_black_list`

### Requests
|Key|Description|Type|Required|
|:-|:-|:-|:-|
|uid | |`Integer`|true|

<a name="AddBlackList"></a>
## AddBlackList加入黑名单

`POST`

`/stub-api/v1_1/mock/add_black_list`

### Requests
|Key|Description|Type|Required|
|:-|:-|:-|:-|
|uid |uid|`Integer`|true|

<a name="SendSystemMessage"></a>
## SendSystemMessage

`POST`

`/stub-api/v1_1/mock/send_system_message`

### Requests
|Key|Description|Type|Required|
|:-|:-|:-|:-|
|uid |uid|`Integer`|true|

<a name="ThumbPartner"></a>
## ThumbPartner

`POST`

`/stub-api/v1_1/mock/thumb_partner`

### Requests
|Key|Description|Type|Required|
|:-|:-|:-|:-|
|uid |uid|`Integer`|true|
|partnerId |卡片id|`int`|true|
|thumb |点赞与否|[`Enums.PartnerThumb`](/stub-docs/{{version}}/generated/enums#PartnerThumb)|true|

### Responses
|Key|Description|Type|Required|
|:-|:-|:-|:-|
|result | |`Json`|true|

<a name="SendFriendApply"></a>
## SendFriendApply发起好友申请

`POST`

`/stub-api/v1_1/mock/send_friend_apply`

### Requests
|Key|Description|Type|Required|
|:-|:-|:-|:-|
|uid | |`Integer`|true|
|contactUid | |`Integer`|true|

