# Pair72小时相关

---

  - [GetAloneGroup获取脱单群](#GetAloneGroup)
  - [RemoveKeepCp移除cp关系](#RemoveKeepCp)
  - [KeepCp保持cp关系](#KeepCp)
  - [GetKeepRoom获取保持关系的房间](#GetKeepRoom)
  - [ConfirmBeAlone确认落单](#ConfirmBeAlone)
  - [OperationalLog操作日志](#OperationalLog)
  - [Regrets反悔CP关系](#Regrets)
  - [ConfirmCp确认CP关系](#ConfirmCp)
  - [AddScoreByEnergy能量增加几率](#AddScoreByEnergy)
  - [AddScoreByOrder直缴增加匹配成功率](#AddScoreByOrder)
  - [AddScoreBySuperVip超级会员助力领取匹配成功率](#AddScoreBySuperVip)
  - [Refund退款](#Refund)
  - [Update修改报名信息](#Update)
  - [EnrollByNext报名下一期](#EnrollByNext)
  - [EnrollByEnergy能量报名](#EnrollByEnergy)
  - [EnrollBySuperVip免费报名](#EnrollBySuperVip)
  - [EnrollByPayment付费报名](#EnrollByPayment)
  - [EnrollByFree免费报名](#EnrollByFree)
  - [GetAllTags获取所有标签](#GetAllTags)
  - [GetActivityList获取匹配列表](#GetActivityList)
  - [Lastenroll最近报名的列表](#Lastenroll)
  - [GetActivityConductStageId获取当前正在进行的活动](#GetActivityConductStageId)
  - [ActivityInfo通过期数获取匹配信息](#ActivityInfo)
  - [ActivityRecent获取我最后一次报名的数据](#ActivityRecent)
  - [ActivityLast获取当前活动信息](#ActivityLast)
  - [GetRecommendPairApplyContacts获取分配对象活动可邀请的联系人列表](#GetRecommendPairApplyContacts)

<a name="GetAloneGroup"></a>
## GetAloneGroup获取脱单群

`GET`

`/stub-api/v1_1/pair/get_alone_group`

### Requests
|Key|Description|Type|Required|
|:-|:-|:-|:-|
|stageId |期数|`Integer`| |
|activityType |获取类型(72h|qbj)【默认:72h】|`String`| |

### Responses
|Key|Description|Type|Required|
|:-|:-|:-|:-|
|result | |`Json`|true|

<a name="RemoveKeepCp"></a>
## RemoveKeepCp移除cp关系

`DELETE`

`/stub-api/v1_1/pair/remove_keep_cp`

### Requests
|Key|Description|Type|Required|
|:-|:-|:-|:-|
|roomId | |`Integer`|true|

### Responses
|Key|Description|Type|Required|
|:-|:-|:-|:-|
|result | |`Json`|true|

<a name="KeepCp"></a>
## KeepCp保持cp关系

`POST`

`/stub-api/v1_1/pair/keep_cp`

### Requests
|Key|Description|Type|Required|
|:-|:-|:-|:-|
|roomId | |`Integer`|true|

### Responses
|Key|Description|Type|Required|
|:-|:-|:-|:-|
|result | |`Json`|true|

<a name="GetKeepRoom"></a>
## GetKeepRoom获取保持关系的房间

`GET`

`/stub-api/v1_1/pair/get_keep_room`

### Responses
|Key|Description|Type|Required|
|:-|:-|:-|:-|
|result | |`Json`|true|

<a name="ConfirmBeAlone"></a>
## ConfirmBeAlone确认落单

`POST`

`/stub-api/v1_1/pair/confirm_be_alone`

### Requests
|Key|Description|Type|Required|
|:-|:-|:-|:-|
|stageId | |`Integer`|true|

### Responses
|Key|Description|Type|Required|
|:-|:-|:-|:-|
|result | |`Json`|true|

<a name="OperationalLog"></a>
## OperationalLog操作日志

`POST`

`/stub-api/v1_1/pair/operational_log`

### Requests
|Key|Description|Type|Required|
|:-|:-|:-|:-|
|stageId | |`Integer`|true|
|type | |`String`|true|
|content | |`String`|true|

### Responses
|Key|Description|Type|Required|
|:-|:-|:-|:-|
|result | |`Json`|true|

<a name="Regrets"></a>
## Regrets反悔CP关系

`PUT`

`/stub-api/v1_1/pair/regrets`

### Requests
|Key|Description|Type|Required|
|:-|:-|:-|:-|
|pairId | |`Integer`|true|

### Responses
|Key|Description|Type|Required|
|:-|:-|:-|:-|
|result | |`Json`|true|

<a name="ConfirmCp"></a>
## ConfirmCp确认CP关系

`PUT`

`/stub-api/v1_1/pair/confirm_cp`

### Requests
|Key|Description|Type|Required|
|:-|:-|:-|:-|
|pairId | |`Integer`|true|
|confirm | |`Integer`|true|

### Responses
|Key|Description|Type|Required|
|:-|:-|:-|:-|
|result | |`Json`|true|

<a name="AddScoreByEnergy"></a>
## AddScoreByEnergy能量增加几率

`POST`

`/stub-api/v1_1/pair/add_score_by_energy`

### Requests
|Key|Description|Type|Required|
|:-|:-|:-|:-|
|pairId |报名ID|`Integer`|true|

### Responses
|Key|Description|Type|Required|
|:-|:-|:-|:-|
|result | |`Json`|true|

<a name="AddScoreByOrder"></a>
## AddScoreByOrder直缴增加匹配成功率

`POST`

`/stub-api/v1_1/pair/add_score_by_order`

### Requests
|Key|Description|Type|Required|
|:-|:-|:-|:-|
|pairId |报名ID|`Integer`|true|

### Responses
|Key|Description|Type|Required|
|:-|:-|:-|:-|
|result | |`Json`|true|

<a name="AddScoreBySuperVip"></a>
## AddScoreBySuperVip超级会员助力领取匹配成功率

`POST`

`/stub-api/v1_1/pair/add_score_by_super_vip`

### Requests
|Key|Description|Type|Required|
|:-|:-|:-|:-|
|pairId |报名ID|`Integer`|true|
|couponId |卡券ID|`Integer`|true|

### Responses
|Key|Description|Type|Required|
|:-|:-|:-|:-|
|result | |`Json`|true|

<a name="Refund"></a>
## Refund退款

`GET`

`/stub-api/v1_1/pair/refund`

### Requests
|Key|Description|Type|Required|
|:-|:-|:-|:-|
|pairId | |`Integer`|true|

### Responses
|Key|Description|Type|Required|
|:-|:-|:-|:-|
|result | |`Json`|true|

<a name="Update"></a>
## Update修改报名信息

`POST`

`/stub-api/v1_1/pair/update`

### Requests
|Key|Description|Type|Required|
|:-|:-|:-|:-|
|pairId |报名ID|`Integer`|true|
|km |范围：km|`Integer`|true|
|lng |经度|`String`|true|
|lat |纬度|`String`|true|
|location |地理位置|`String`|true|
|sex |性别:1=男,2=女|`Integer`|true|
|sxo |性取向:1=男,2=女 ...|`Integer`|true|
|minAge |匹配最小年龄|`Integer`|true|
|maxAge |匹配最大年龄|`Integer`|true|

<a name="EnrollByNext"></a>
## EnrollByNext报名下一期

`POST`

`/stub-api/v1_1/pair/enroll_by_next`

### Requests
|Key|Description|Type|Required|
|:-|:-|:-|:-|
|pairId |上一期的报名ID|`Integer`|true|
|stageId |活动期数|`Integer`|true|
|mediaId |渠道ID|`String`| |
|km |范围：km|`Integer`|true|
|lng |经度|`String`|true|
|lat |纬度|`String`|true|
|location |地理位置|`String`|true|
|sex |性别:1=男,2=女|`Integer`|true|
|sxo |性取向:1=男,2=女 ...|`Integer`|true|
|minAge |匹配最小年龄|`Integer`|true|
|maxAge |匹配最大年龄|`Integer`|true|

### Responses
|Key|Description|Type|Required|
|:-|:-|:-|:-|
|pair | |`Json`|true|

<a name="EnrollByEnergy"></a>
## EnrollByEnergy能量报名

`POST`

`/stub-api/v1_1/pair/enroll_by_energy`

### Requests
|Key|Description|Type|Required|
|:-|:-|:-|:-|
|stageId |活动期数|`Integer`|true|
|mediaId |渠道ID|`String`| |
|km |范围：km|`Integer`|true|
|lng |经度|`String`|true|
|lat |纬度|`String`|true|
|location |地理位置|`String`|true|
|sex |性别:1=男,2=女|`Integer`|true|
|sxo |性取向:1=男,2=女 ...|`Integer`|true|
|minAge |匹配最小年龄|`Integer`|true|
|maxAge |匹配最大年龄|`Integer`|true|

### Responses
|Key|Description|Type|Required|
|:-|:-|:-|:-|
|pair | |`Json`|true|

<a name="EnrollBySuperVip"></a>
## EnrollBySuperVip免费报名

`POST`

`/stub-api/v1_1/pair/enroll_by_super_vip`

### Requests
|Key|Description|Type|Required|
|:-|:-|:-|:-|
|stageId |活动期数|`Integer`|true|
|mediaId |渠道ID|`String`| |
|km |范围：km|`Integer`|true|
|lng |经度|`String`|true|
|lat |纬度|`String`|true|
|location |地理位置|`String`|true|
|sex |性别:1=男,2=女|`Integer`|true|
|sxo |性取向:1=男,2=女 ...|`Integer`|true|
|minAge |匹配最小年龄|`Integer`|true|
|maxAge |匹配最大年龄|`Integer`|true|

### Responses
|Key|Description|Type|Required|
|:-|:-|:-|:-|
|pair | |`Json`|true|

<a name="EnrollByPayment"></a>
## EnrollByPayment付费报名

`POST`

`/stub-api/v1_1/pair/enroll_by_payment`

### Requests
|Key|Description|Type|Required|
|:-|:-|:-|:-|
|couponId |优惠券ID|`Integer`| |
|stageId |活动期数|`Integer`|true|
|mediaId |渠道ID|`String`| |
|km |范围：km|`Integer`|true|
|lng |经度|`String`|true|
|lat |纬度|`String`|true|
|location |地理位置|`String`|true|
|sex |性别:1=男,2=女|`Integer`|true|
|sxo |性取向:1=男,2=女 ...|`Integer`|true|
|minAge |匹配最小年龄|`Integer`|true|
|maxAge |匹配最大年龄|`Integer`|true|

### Responses
|Key|Description|Type|Required|
|:-|:-|:-|:-|
|pair |订单ID|`Json`|true|

<a name="EnrollByFree"></a>
## EnrollByFree免费报名

`POST`

`/stub-api/v1_1/pair/enroll_by_free`

### Requests
|Key|Description|Type|Required|
|:-|:-|:-|:-|
|stageId |活动期数|`Integer`|true|
|mediaId |渠道ID|`String`| |
|km |范围：km|`Integer`|true|
|lng |经度|`String`|true|
|lat |纬度|`String`|true|
|location |地理位置|`String`|true|
|sex |性别:1=男,2=女|`Integer`|true|
|sxo |性取向:1=男,2=女 ...|`Integer`|true|
|minAge |匹配最小年龄|`Integer`|true|
|maxAge |匹配最大年龄|`Integer`|true|

### Responses
|Key|Description|Type|Required|
|:-|:-|:-|:-|
|pair | |`Json`|true|

<a name="GetAllTags"></a>
## GetAllTags获取所有标签

`GET`

`/stub-api/v1_1/pair/get_all_tags`

### Responses
|Key|Description|Type|Required|
|:-|:-|:-|:-|
|result | |`Json`|true|

<a name="GetActivityList"></a>
## GetActivityList获取匹配列表

`GET`

`/stub-api/v1_1/pair/get_activity_list`

### Responses
|Key|Description|Type|Required|
|:-|:-|:-|:-|
|result | |`Json`|true|

<a name="Lastenroll"></a>
## Lastenroll最近报名的列表

`GET`

`/stub-api/v1_1/pair/lastenroll`

### Responses
|Key|Description|Type|Required|
|:-|:-|:-|:-|
|result | |`Json`|true|

<a name="GetActivityConductStageId"></a>
## GetActivityConductStageId获取当前正在进行的活动

`GET`

`/stub-api/v1_1/pair/get_activity_conduct_stage_id`

### Responses
|Key|Description|Type|Required|
|:-|:-|:-|:-|
|result | |`Json`|true|

<a name="ActivityInfo"></a>
## ActivityInfo通过期数获取匹配信息

`GET`

`/stub-api/v1_1/pair/activity_info`

### Requests
|Key|Description|Type|Required|
|:-|:-|:-|:-|
|stageId | |`int`|true|

### Responses
|Key|Description|Type|Required|
|:-|:-|:-|:-|
|result | |`Json`|true|

<a name="ActivityRecent"></a>
## ActivityRecent获取我最后一次报名的数据

`GET`

`/stub-api/v1_1/pair/activity_recent`

### Responses
|Key|Description|Type|Required|
|:-|:-|:-|:-|
|result | |`Json`|true|

<a name="ActivityLast"></a>
## ActivityLast获取当前活动信息

`GET`

`/stub-api/v1_1/pair/activity_last`

### Requests
|Key|Description|Type|Required|
|:-|:-|:-|:-|
|activityType | |`int`| |

### Responses
|Key|Description|Type|Required|
|:-|:-|:-|:-|
|result | |`Json`|true|

<a name="GetRecommendPairApplyContacts"></a>
## GetRecommendPairApplyContacts获取分配对象活动可邀请的联系人列表

`POST`

`/stub-api/v1_1/pair/get_recommend_pair_apply_contacts`

### Requests
|Key|Description|Type|Required|
|:-|:-|:-|:-|
|recommendedContacts | |`int[]`|true|

### Responses
|Key|Description|Type|Required|
|:-|:-|:-|:-|
|contacts | |[`Models.RecommendPairApplyContact[]`](/stub-docs/{{version}}/generated/models#RecommendPairApplyContact)|true|

